<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2008 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Paul Oehler <poehler@interworx.com>
 * @date       Sep 30, 2008
 * @id $Id: AllTests.php,v 1.15 2009/06/16 20:47:05 jdaniel Exp $
 */

require_once 'AbstractTest.php';
require_once 'OverviewTest.php';
require_once 'BackupTest.php';
require_once 'UsersTest.php';
require_once 'SiteworxTest.php';
require_once 'ShellTest.php';
require_once 'ImportTest.php';
require_once 'ImportTransferTest.php';
require_once 'PackagesTest.php';
require_once 'ResellerTest.php';
require_once 'ResellerPackagesTest.php';
require_once 'ResellerBandwidthhistoryTest.php';
require_once 'HttpTest.php';
require_once 'MailMtaTest.php';
require_once 'MailMdaTest.php';
require_once 'MailSpamTest.php';
require_once 'MailVirusTest.php';
require_once 'MailQueueTest.php';
require_once 'MysqlTest.php';
require_once 'FtpTest.php';
require_once 'DnsTest.php';
require_once 'DnsZoneTest.php';
require_once 'DnsSyncTest.php';
require_once 'SshdTest.php';
require_once 'NfsTest.php';
require_once 'NfsExportTest.php';
require_once 'NfsMountTest.php';
require_once 'LogsTest.php';
require_once 'CronTest.php';
require_once 'IpTest.php';
require_once 'FirewallTest.php';
require_once 'UpdatesTest.php';
require_once 'SettingsTest.php';
require_once 'RrdTest.php';

/**
 * Test Suite of all tests
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Ctrl_Nodeworx_AllTests {

  /**
   * Builds the test suite
   *
   * @return PHPUnit_Framework_TestSuite
   */
  public static function suite() {
    $suite = new PHPUnit_Framework_TestSuite( 'IWorx_Ctrl_NodeworxTests' );

    $suite->addTestSuite( 'Ctrl_Nodeworx_AbstractTest' );

    $suite->addTestSuite( 'Ctrl_Nodeworx_OverviewTest' );
    $suite->addTestSuite( 'Ctrl_Nodeworx_UsersTest' );

    $suite->addTestSuite( 'Ctrl_Nodeworx_SiteworxTest' );
    $suite->addTestSuite( 'Ctrl_Nodeworx_PackagesTest' );
    $suite->addTestSuite( 'Ctrl_Nodeworx_ShellTest' );
    $suite->addTestSuite( 'Ctrl_Nodeworx_ImportTest' );
    $suite->addTestSuite( 'Ctrl_Nodeworx_ImportTransferTest' );
    $suite->addTestSuite( 'Ctrl_Nodeworx_BackupTest' );

    $suite->addTestSuite( 'Ctrl_Nodeworx_ResellerTest' );
    $suite->addTestSuite( 'Ctrl_Nodeworx_ResellerPackagesTest' );
    $suite->addTestSuite( 'Ctrl_Nodeworx_ResellerBandwidthhistoryTest' );

    $suite->addTestSuite( 'Ctrl_Nodeworx_HttpTest' );

    $suite->addTestSuite( 'Ctrl_Nodeworx_MailMtaTest' );
    $suite->addTestSuite( 'Ctrl_Nodeworx_MailMdaTest' );
    $suite->addTestSuite( 'Ctrl_Nodeworx_MailSpamTest' );
    $suite->addTestSuite( 'Ctrl_Nodeworx_MailVirusTest' );
    $suite->addTestSuite( 'Ctrl_Nodeworx_MailQueueTest' );

    $suite->addTestSuite( 'Ctrl_Nodeworx_MysqlTest' );

    $suite->addTestSuite( 'Ctrl_Nodeworx_FtpTest' );

    $suite->addTestSuite( 'Ctrl_Nodeworx_DnsTest' );
    $suite->addTestSuite( 'Ctrl_Nodeworx_DnsZoneTest' );
    $suite->addTestSuite( 'Ctrl_Nodeworx_DnsSyncTest' );

    $suite->addTestSuite( 'Ctrl_Nodeworx_LogsTest' );

    $suite->addTestSuite( 'Ctrl_Nodeworx_SshdTest' );

    $suite->addTestSuite( 'Ctrl_Nodeworx_NfsTest' );
    $suite->addTestSuite( 'Ctrl_Nodeworx_NfsExportTest' );
    $suite->addTestSuite( 'Ctrl_Nodeworx_NfsMountTest' );

    $suite->addTestSuite( 'Ctrl_Nodeworx_CronTest' );
    $suite->addTestSuite( 'Ctrl_Nodeworx_IpTest' );
    $suite->addTestSuite( 'Ctrl_Nodeworx_FirewallTest' );
    $suite->addTestSuite( 'Ctrl_Nodeworx_UpdatesTest' );
    $suite->addTestSuite( 'Ctrl_Nodeworx_SettingsTest' );
    $suite->addTestSuite( 'Ctrl_Nodeworx_RrdTest' );

    return $suite;
  }
}
?>