<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2008 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Paul Oehler <poehler@interworx.com>
 * @date       Feb 24, 2008
 * @id $Id: MailVirusTest.php,v 1.1 2009/02/27 06:19:34 poehler Exp $
 */

/**
 * Test Suite for Ctrl_Nodeworx_MailVirus
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Ctrl_Nodeworx_MailVirusTest extends IWorx_Framework_TestCase {

  const CTRL = 'Ctrl_Nodeworx_MailVirus';

  /**
   * test assigned vars of index action
   */
  public function testIndexActionAssignedVars() {
    $NW     = self::getMasterNodeWorx();
    $result = IW::FC()->routeFromPHP( self::CTRL, 'index', array(), $NW );
    $this->assertArrayHasKey( 'iw_virus', $result );
    $this->assertArrayHasKey( 'iw_form', $result );

    $forms = $result['iw_form'];

    $this->assertArrayHasKey( 'clam_sob', $forms );
    $class_name = Form::NW_MAILVIRUS_CLAMAV_START_ON_BOOT;
    $this->assertTrue( $forms['clam_sob'] instanceof $class_name );

    $this->assertArrayHasKey( 'fresh_sob', $forms );
    $class_name = Form::NW_MAILVIRUS_FRESH_START_ON_BOOT;
    $this->assertTrue( $forms['fresh_sob'] instanceof $class_name );

    $this->assertArrayHasKey( 'clam_autorestart', $forms );
    $class_name = Form::NW_MAILVIRUS_CLAMAV_AUTO_RESTART;
    $this->assertTrue( $forms['clam_autorestart'] instanceof $class_name );

    $this->assertArrayHasKey( 'options', $forms );
    $class_name = Form::NW_MAILVIRUS_OPTIONS;
    $this->assertTrue( $forms['options'] instanceof $class_name );
  }

  /**
   * test
   */
  public function testClamavAutoRestartAction() {
    $NW     = self::getMasterNodeWorx();
    $result = IW::FC()->routeFromPHP( self::CTRL,
                                      'clamavAutoRestart',
                                      array(),
                                      $NW );
    $this->assertTrue( $result );
  }

  /**
   * test
   */
  public function testFreshStartOnBootAction() {
    $NW     = self::getMasterNodeWorx();
    $result = IW::FC()->routeFromPHP( self::CTRL,
                                      'freshStartOnBoot',
                                      array(),
                                      $NW );
    $this->assertTrue( $result );
  }

  /**
   * test
   */
  public function testClamavStartOnBootAction() {
    $NW     = self::getMasterNodeWorx();
    $result = IW::FC()->routeFromPHP( self::CTRL,
                                      'clamavStartOnBoot',
                                      array(),
                                      $NW );
    $this->assertTrue( $result );
  }

  /**
   * test
   */
  public function testOptionsAction() {
    $NW     = self::getMasterNodeWorx();
    $result = IW::FC()->routeFromPHP( self::CTRL, 'options', array(), $NW );
    $this->assertTrue( $result );
  }
}
?>