<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2008 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Paul Oehler <poehler@interworx.com>
 * @date       Sep 30, 2008
 * @id $Id: AllTests.php,v 1.27 2009/07/10 00:38:43 poehler Exp $
 */
require_once 'BackupTest.php';
require_once 'CronTest.php';
require_once 'OverviewTest.php';
require_once 'EmailDeletionTest.php';
require_once 'EmailAliasTest.php';
require_once 'EmailAutorespondTest.php';
require_once 'EmailDomainkeysTest.php';
require_once 'EmailGroupTest.php';
require_once 'EmailTest.php';
require_once 'EmailRemotesetupTest.php';
require_once 'EmailBoxTest.php';
require_once 'EmailSpfTest.php';
require_once 'EmailSpamprefsTest.php';
require_once 'EmailFiltersTest.php';
require_once 'GemsTest.php';
require_once 'UsersTest.php';
require_once 'DomainsPointerTest.php';
require_once 'DomainsSlaveTest.php';
require_once 'DomainsSubTest.php';
require_once 'StatsBandwidthhistoryTest.php';
require_once 'PrefsTest.php';
require_once 'RailsTest.php';
require_once 'FtpTest.php';
require_once 'SslTest.php';
require_once 'SslKeyTest.php';
require_once 'MysqlDbTest.php';
require_once 'MysqlUserTest.php';
require_once 'HttpdVisitorsTest.php';

/**
 * Test Suite of all tests
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Ctrl_Siteworx_AllTests {

  /**
   * Builds the test suite
   *
   * @return PHPUnit_Framework_TestSuite
   */
  public static function suite() {
    $suite = new PHPUnit_Framework_TestSuite( 'IWorx_Ctrl_SiteworxTests' );

    // THIS IS FIRST - everything else needs the controller for getting the SW
    // so test this first to make sure we aren't completly hosed.
    $suite->addTestSuite( 'Ctrl_Siteworx_UsersTest' );
    // LEAVE THIS FIRST

    $suite->addTestSuite( 'Ctrl_Siteworx_BackupTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_CronTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_EmailDeletionTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_EmailTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_EmailAliasTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_EmailAutorespondTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_EmailBoxTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_EmailDomainkeysTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_EmailGroupTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_EmailRemotesetupTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_EmailSpfTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_EmailSpamprefsTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_EmailFiltersTest' );
    $suite->addTestSuite( 'Ctrl_SiteWorx_GemsTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_OverviewTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_DomainsPointerTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_DomainsSlaveTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_DomainsSubTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_StatsBandwidthhistoryTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_RailsTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_PrefsTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_FtpTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_SslTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_SslKeyTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_MysqlDbTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_MysqlUserTest' );
    $suite->addTestSuite( 'Ctrl_Siteworx_HttpdVisitorsTest' );

    return $suite;
  }
}
?>