<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2008 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Tim College <tcollege@interworx.com>
 * @date    Feb 25, 2009
 * @id $Id: OverviewTest.php,v 1.2 2009/02/26 22:38:31 tcollege Exp $
 */

/**
 * Unit tests for the overview controller
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Ctrl_Siteworx_OverviewTest extends IWorx_Framework_TestCase {
  const CTRL = 'Ctrl_Siteworx_Overview';

  /**
   * Gets the data from teh index action
   *
   * @return array
   */
  private function _getIndexData() {
    $SW = $this->getSWAccount();
    return IW::FC()->routeFromPHP( self::CTRL, 'index', array(), $SW );
  }

  /**
   * Tests for the presence of the iw_features
   */
  public function testIndexTemplateVarFeatures() {
    $data = $this->_getIndexData();
    $this->assertArrayHasKey( 'iw_features', $data, 'Features list is missing!' );
  }

  /**
   * Tests for the presence of the edit link
   */
  public function testIndexTemplateVarEditLink() {
    $data = $this->_getIndexData();
    $this->assertArrayHasKey( 'iw_edit_link', $data, 'Edit link is missing!' );
  }
}
?>