<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2008 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Jonathan Daniel <jdaniel@interworx.com>
 * @date    Jun 30, 2009
 * @id $Id: SslKeyTest.php,v 1.5 2009/09/16 08:15:51 poehler Exp $
 */

/**
 * TestCase for SslKey controller
 *
 * @package    InterWorx
 * @subpackage Tests
 * @group      slow-tests
 */
class Ctrl_Siteworx_SslKeyTest extends IWorx_Framework_TestCase {
  const CTRL = 'Ctrl_Siteworx_SslKey';

  /**
   * test index assigned vars
   */
  public function testIndexActionReturnsArray() {
    $this->deleteSWAccountIfNecessary();

    // add siteworx account on a dedi ip
    $NW    = self::getMasterNodeWorx();
    $input = self::_getSWAccountInput();
    $input['ipaddress'] = self::_getFirstAvailableDedicatedIP();
    $result = IW::FC()->routeFromPHP( 'Ctrl_Nodeworx_Siteworx',
                                      'add',
                                      $input,
                                      $NW );

    $SW = $this->getSWAccount();
    $output = IW::FC()->routeFromPHP( self::CTRL, 'index', array(), $SW );

    $this->assertType( 'array', $output );
    $this->assertType( 'array', $output['iw_form'] );

    $GenerateForm = $output['iw_form']['generate'];
    $this->assertTrue( $GenerateForm instanceof Form_SW_SslKey_Generate );
  }

  /**
   * test generate action with 1024 bit key
   */
  public function testGenerateAction() {
    $SW = $this->getSWAccount();
    $input  = array( 'key_length' => 1024 );
    $result = IW::FC()->routeFromPHP( self::CTRL, 'generate', $input, $SW );

    $this->assertTrue( $result );

    $result = IW::FC()->routeFromPHP( self::CTRL, 'delete', array(), $SW );
    $this->assertTrue( $result );

    $input  = array( 'key_length' => 2048 );
    $result = IW::FC()->routeFromPHP( self::CTRL, 'generate', $input, $SW );

    $this->assertTrue( $result );
  }

  /**
   * test
   */
  public function testCleanup() {
    $this->deleteSWAccountIfNecessary();
  }
}
?>