<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2008 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Tim College  <tcollege@interworx.com>
 * @author     Paul Oehler  <poehler@interworx.com>
 * @date       Sept 16, 2008
 * @id $Id: BrowserConfigSeleniumTestCase.php,v 1.11 2009/01/15 22:34:27 jdaniel Exp $
 */

/**
 * Class that holds the Selenium server and browser config
 *
 * It has to be done this way due to the way PHPUnit works - this file is
 * blocked from being commited to CVS, so that the buildtester works.
 * You should edit it to run tests based on your own server / install
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class BrowserConfigSeleniumTestCase extends PHPUnit_Extensions_SeleniumTestCase {

  public static $browsers =
  array(

        array(
              'name'    => 'buildtester.interworx.com',
              'browser' => '*firefox /usr/lib/firefox/firefox-bin',
              'host'    => 'vmw002.dtw.nexcess.net',
              'port'    => 4444,
              'timeout' => 30000
              ),
        /*
           array(
           'name'    => 'paul@home IE on XP',
           'browser' => '*iexplore',
           'host'    => '66.93.172.27',
           'port'    => 4444,
           'timeout' => 30000
           ),

           array(
                                        'name'    => 'paul@home Firefox on XP ',
                                        'browser' => '*firefox',
                                        'host'    => '66.93.172.27',
                                        'port'    => 4444,
                                        'timeout' => 30000
                                        ),
                                  array(
                                        'name'    => 'paul@home Opera on XP',
                                        'browser' => '*firefox',
                                        'host'    => '66.93.172.27',
                                        'port'    => 4444,
                                        'timeout' => 30000
                                        ),
                                  array(
                                        'name'    => 'paul@work IE on XP',
                                        'browser' => '*iexplore',
                                        'host'    => 'office.interworx.com',
                                        'port'    => 5555,
                                        'timeout' => 30000
                                        ),
                                        /*
                                  array(
                                        'name'    => 'paul@work Firefox on XP',
                                        'browser' => '*firefox',
                                        'host'    => 'office.interworx.com',
                                        'port'    => 5555,
                                        'timeout' => 30000
                                        ),
                                  array(
                                        'name'    => 'paul@work Opera on XP',
                                        'browser' => '*opera',
                                        'host'    => 'office.interworx.com',
                                        'port'    => 5555,
                                        'timeout' => 30000
                                        ),
                                  array(
                                        'name'    => 'tim@work IE on XP',
                                        'browser' => '*iexplore',
                                        'host'    => 'office.interworx.com',
                                        'port'    => 4444,
                                        'timeout' => 30000
                                        )

                                  array(
                                        'name'    => 'tim@work IE on XP',
                                        'browser' => '*iexplore',
                                        'host'    => 'office.interworx.com',
                                        'port'    => 4444,
                                        'timeout' => 30000
                                        ) */
        );

  /**
   * Sets up the browser url
   */
  public function setUp() {
    exec( '/bin/hostname', $result );
    $this->setBrowserUrl( "http://{$result[0]}:2080/" );
    $this->setTimeout( 120000 );
  }

  /**
   * @param string $url
   */
  public function setBrowserUrl( $url ) {
    parent::setBrowserUrl( $url );
    $this->_browser_url = $url;
  }

  /**
   * @return string
   */
  public function getBrowserUrl() {
    return $this->_browser_url;
  }

  /**
   * Shortcut for making a fail message
   *
   * @param string $message
   * @return string
   */
  protected function makeFailMessage( $message ) {
    // All aboard the FAILBOAT!
    $location = $this->getLocation();

    return 'Page ' . $location . ' ' . $message;
  }
}
?>