<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2008 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Tim College  <tcollege@interworx.com>
 * @date       Aug 6, 2008
 * @id $Id: AllTests.php,v 1.16 2009/07/02 21:21:05 jdaniel Exp $
 */
require_once 'NodeWorx/AllNodeWorxTests.php';
require_once 'SiteWorx/AllSiteWorxTests.php';

require_once 'SpiderAllLinksTest.php';
require_once 'PageErrorTest.php';
require_once 'PageXhrTest.php';

require_once '3rdParty_Tests/All3rdPartyTests.php';
require_once 'regression_tests/AllRegressionTests.php';

/**
 * Test Suite of all browser tests
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Browser_AllTests {
  /**
   * Builds the test suite
   *
   * @return PHPUnit_Framework_TestSuite
   */
  public static function suite() {
    $suite = new PHPUnit_Framework_TestSuite( 'IWorx_Browser' );

    $suite->addTestSuite( 'PageErrorTest' );
    $suite->addTestSuite( 'PageXhrTest' );
    $suite->addTestSuite( 'SpiderAllLinksTest' );
    $suite->addTest( Browser_AllNodeWorxTests::suite() );
    $suite->addTest( Browser_AllSiteWorxTests::suite() );
    $suite->addTest( Browser_AllRegressionTests::suite() );
    $suite->addTest( Browser_All3rdPartyTests::suite() );

    return $suite;
  }
}
?>