<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2008 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Tim College <tcollege@interworx.com>
 * @date       Aug 6, 2008
 * @id $Id: AllNodeWorxTests.php,v 1.5 2009/11/04 16:33:18 tcollege Exp $
 */
// NodeWorx
require_once 'PageNWIndexTest.php';
require_once 'PageNWUsersTest.php';
require_once 'PageNWPackageTest.php';
require_once 'PageNWImportTest.php';
require_once 'PageNWSiteworxTest.php';
require_once 'PageNWResellersTest.php';
require_once 'PageNWMailTest.php';
require_once 'PageNWBackupTest.php';
require_once 'PageNWPhpMyAdminTest.php';
require_once 'PageNWUpdatesTest.php';
require_once 'PageNWSoftaculousTest.php';
require_once 'PageNWSimpleScriptsTest.php';

/**
 * Test Suite of all browser NodeWorx tests
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Browser_AllNodeWorxTests {
  /**
   * Builds the test suite
   *
   * @return PHPUnit_Framework_TestSuite
   */
  public static function suite() {
    $suite = new PHPUnit_Framework_TestSuite( 'IWorx_NodeWorx_Browser' );

    $suite->addTestSuite( 'PageNWIndexTest' );
    $suite->addTestSuite( 'PageNWSiteworxTest' );
    $suite->addTestSuite( 'PageNWBackupTest' );
    $suite->addTestSuite( 'PageNWImportTest' );
    $suite->addTestSuite( 'PageNWUsersTest' );
    $suite->addTestSuite( 'PageNWPackageTest' );
    $suite->addTestSuite( 'PageNWResellersTest' );
    $suite->addTestSuite( 'PageNWMailTest' );
    $suite->addTestSuite( 'PageNWPhpMyAdminTest' );
    $suite->addTestSuite( 'PageNWUpdatesTest' );
    $suite->addTestSuite( 'PageNWSoftaculousTest' );
    $suite->addTestSuite( 'PageNWSimpleScriptsTest' );

    return $suite;
  }
}
?>