<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2008 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Jonathan Daniel <jdaniel@interworx.com>
 * @date    Oct 23, 2008
 * @id $Id: PageNWBackupTest.php,v 1.2 2009/08/21 02:29:34 poehler Exp $
 */

/**
 * NodeWorx backup test for Selenium
 *
 * @package    Interworx
 * @subpackage Tests
 *
 */
class PageNWBackupTest extends IWorxSeleniumTestCase {
  /**
   * testCreateBackup function
   */
  public function testCreateBackup() {
    $this->addSWAccountIfNecessary();

    $this->loginToNWAndGoTo( '/nodeworx/backup' );
    $this->assertTextPresent( self::SW_DOMAIN, 'Cannot find SiteWorx domain' );

    $checkbox_id = str_replace( '.', '_', self::SW_DOMAIN );

    $this->click( $checkbox_id );
    $this->select( 'input[type]', 'label=Full Backup' );

    $this->waitForPageToLoad();
    sleep( self::TIMEOUT );
  }
  /**
   * testRestoreBackup function
   */
  public function testRestoreBackup() {
    $url = '/nodeworx/backup?action=manage&account=' . self::SW_DOMAIN;
    $this->loginToNWAndGoTo( $url );

    // restores the first one on the list.  Kind of a hack.
    $this->click( 'link=Restore' );

    $this->waitForPageToLoad();

    // Gotta click the confirm button
    $this->click( 'confirm_action_0' );

    $this->clickAndWait( "//input[@value='Restore']" );
  }

  /**
   * testLoginAfterRestore function
   */
  public function testLoginAfterRestore() {
    $this->loginToSWAndGoTo( '/siteworx/overview' );

    $this->assertTrue( $this->isElementPresent( "//ul[@id='iw-menu']" ),
                       'Unable to Locate menu because I suck' );
  }

  /**
   * testDeleteBackup function
   */
  public function testDeleteBackup() {
    $url = '/nodeworx/backup?action=manage&account=' . self::SW_DOMAIN;
    $this->loginToNWAndGoTo( $url );

    $this->click( 'link=check all' );
    $this->select( 'input[type]', 'label=Delete ...' );

    $this->storeConfirmation();
    $this->waitForPageToLoad();

    $this->click( "//input[@value='". IWorxTranslate::tr( '##LG_DELETE##' ) . "']" );

    $this->waitForMessageBanner();

    $this->assertTextPresent( IWorxTranslate::tr( '##LG_BACKUP_DELETED##' ) );

    $this->waitForPageToLoad();
    $this->assertPageRenderedWithoutErrors();
  }
}
?>