<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2008 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Tim College  <tcollege@interworx.com>
 * @date       Aug 6, 2008
 * @id $Id: AllSiteWorxTests.php,v 1.2 2009/08/28 20:08:12 jdaniel Exp $
 */
require_once 'PageSWUsersTest.php';
require_once 'PageSWBackupTest.php';
require_once 'PageSWMySqlTest.php';
require_once 'PageSWHtaccessTest.php';
require_once 'PageSWHtaccessDirindexTest.php';
require_once 'PageSWPhpMyAdminTest.php';


/**
 * Test Suite of all browser SiteWorx tests
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Browser_AllSiteWorxTests {
  /**
   * Builds the test suite
   *
   * @return PHPUnit_Framework_TestSuite
   */
  public static function suite() {
    $suite = new PHPUnit_Framework_TestSuite('IWorx_SiteWorx_Browser');

    $suite->addTestSuite( 'PageSWUsersTest' );
    $suite->addTestSuite( 'PageSWBackupTest' );
    $suite->addTestSuite( 'PageSWMySqlTest' );
    $suite->addTestSuite( 'PageSWHtaccessTest' );
    $suite->addTestSuite( 'PageSWHtaccessDirindexTest' );
    $suite->addTestSuite( 'PageSWPhpMyAdminTest' );

    return $suite;
  }
}
?>