<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2008 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Jonathan Daniel <jdaniel@interworx.com>
 * @date    Aug 28, 2009
 * @id $Id: PageSWHtaccessTest.php,v 1.1 2009/08/28 20:08:12 jdaniel Exp $
 */

/**
 * Tests for htaccess
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class PageSWHtaccessTest extends IWorxSeleniumTestCase {

  /**
   * Tests creating a global htaccess file
   */
  public function testHtaccessCreateGlobal() {
    $this->addSWAccountIfNecessary();
    $SiteWorx = new SiteWorx( self::SW_DOMAIN );

    $this->loginToSWAndGoTo( '/siteworx/htaccess/' );

    $this->click( 'add_global_subbutton' );
    $this->waitForPageToLoad();

    $this->assertPageRenderedWithoutErrors();
  }

  /**
   * Tests enabling a global htaccess file
   */
  public function testHtaccessEnableGlobal() {
    $this->addSWAccountIfNecessary();
    $SiteWorx = new SiteWorx( self::SW_DOMAIN );

    $this->loginToSWAndGoTo( '/siteworx/htaccess/' );

    $this->click( 'add_global_subbutton' );
    $this->waitForPageToLoad();

    $this->assertPageRenderedWithoutErrors();
  }

  /**
   * Tests disabling a global htaccess file
   */
  public function testHtaccessDisableGlobal() {
    $this->addSWAccountIfNecessary();
    $SiteWorx = new SiteWorx( self::SW_DOMAIN );

    $this->loginToSWAndGoTo( '/siteworx/htaccess/' );

    $this->click( "//input[@value='Disable']" );
    $this->waitForPageToLoad();

    $this->assertPageRenderedWithoutErrors();
  }

  /**
   * Tests deleting a global htaccess file
   */
  public function testHtaccessDeleteGlobal() {
    $this->addSWAccountIfNecessary();
    $SiteWorx = new SiteWorx( self::SW_DOMAIN );

    $this->loginToSWAndGoTo( '/siteworx/htaccess/' );

    $this->click( "//input[@value='Delete']" );
    $this->waitForPageToLoad();
    $this->assertPageRenderedWithoutErrors();

    $this->click( 'submit' );
    $this->waitForPageToLoad();

    $this->assertPageRenderedWithoutErrors();
  }
}
?>