<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2008 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Jonathan Daniel <jdaniel@interworx.com>
 * @date    Jul 1, 2009
 * @id $Id: PageSWPhpMyAdminTest.php,v 1.2 2009/08/21 02:30:05 poehler Exp $
 */

/**
 * Tests the PhpMyAdmin Single-Signon
 *
 * @package    InterWorx
 * @subpackage Tests
 *
 */
class PageSWPhpMyAdminTest extends IWorxSeleniumTestCase {

  /**
   * testPhpMyAdminSignleSignOn function
   */
  public function testPhpMyAdminSingleSignOn() {
    $SiteWorx = new SiteWorx( self::SW_DOMAIN );
    $Driver   = $SiteWorx->getMySQLDriver();

    if( $Driver->databaseExists( 'dummy' ) === false ) {
      $Driver->addDatabase( 'dummy' );
    }

    $this->loginToSWAndGoTo( '/siteworx/overview' );
    $this->click( 'iw-menu-features-mysql-pma' );
    $this->waitForPageToLoad();

    sleep( 6 );

    $this->selectFrame( 'frame_content' );
    $this->click( "//li[@id='li_log_out']/a/strong" );
    $this->waitForPageToLoad();

    $this->assertPageRenderedWithoutErrors();
  }

  /**
   * Tests that logging into PHPMyAdmin won't work if the user doesn't have any
   * databases.
   */
  public function testPhpMyAdminWontLoginWithNoDbs() {
    $SiteWorx = new SiteWorx( self::SW_DOMAIN );
    $Driver   = $SiteWorx->getMySQLDriver();

    $dbs = $Driver->getDatabases();
    foreach( $dbs as $db ) {
      $Driver->deleteDatabase( $db->name );
    }

    $this->loginToSWAndGoTo( '/siteworx/overview' );
    $this->click( 'iw-menu-features-mysql-pma' );
    $this->waitForPageToLoad();

    sleep( 2 );

    $text = 'You must have at least one database to use phpMyAdmin';
    $this->assertTextPresent( $text );
  }

}
?>