<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2008 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Tim College  <tcollege@interworx.com>
 * @date       Aug 6, 2008
 * @id $Id: AllTests.php,v 1.33 2009/10/08 14:52:43 tcollege Exp $
 */

require_once 'IWTest.php';
require_once 'EnvTest.php';
require_once 'IWorxValidateTest.php';
require_once 'IWorxUtilTest.php';
require_once 'IWorxEncryptTest.php';
require_once 'IWorxExecTest.php';
require_once 'IWorxFileSysTest.php';
require_once 'IWorxGzipTest.php';
require_once 'IWorxGemsTest.php';
require_once 'IWorxDbUtilTest.php';
require_once 'IWorxTranslateTest.php';
require_once 'JSON/AllTests.php';
require_once 'CLIErrorBehaviorTest.php';
require_once 'IWorxHTTPTest.php';
require_once 'IniTest.php';
require_once 'DataSource/AllTests.php';
require_once 'Input/AllTests.php';
require_once 'CLI/AllTests.php';
require_once 'IWorx/Validate/AllTests.php';
require_once 'MySQL/AllTests.php';
require_once 'Smartyi18nTest.php';

/**
 * Test Suite of all include tests
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Include_AllTests {
  /**
   * Builds the test suite
   *
   * @return PHPUnit_Framework_TestSuite
   */
  public static function suite() {
    $suite = new PHPUnit_Framework_TestSuite( 'IWorx_Includes' );

    $suite->addTestSuite( 'IWTest' );
    $suite->addTestSuite( 'EnvTest' );
    $suite->addTestSuite( 'IWorxValidateTest' );
    $suite->addTestSuite( 'IWorxUtilTest' );
    $suite->addTestSuite( 'IWorxEncryptTest' );
    $suite->addTestSuite( 'IWorxExecTest' );
    $suite->addTestSuite( 'IWorxFileSysTest' );
    $suite->addTestSuite( 'IWorxGzipTest' );
    $suite->addTestSuite( 'IWorxDbUtilTest' );
    $suite->addTestSuite( 'IWorxTranslateTest' );
    $suite->addTest( JSON_AllTests::suite() );
    $suite->addTestSuite( 'CLIErrorBehaviorTest' );
    $suite->addTestSuite( 'IWorxHTTPTest' );
    $suite->addTestSuite( 'IniTest' );
    $suite->addTest( DataSource_AllTests::suite() );
    $suite->addTest( IWorx_Validate_AllTests::suite() );
    $suite->addTest( Input_AllTests::suite() );
    $suite->addTest( CLI_AllTests::suite() );
    $suite->addTest( MySQL_AllTests::suite() );
    $suite->addTestSuite( 'Smartyi18nTest' );

    return $suite;
  }
}
?>