<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2008 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Tim College <tcollege@interworx.com>
 * @date    Nov 7, 2008
 * @id $Id: IWorxTranslateTest.php,v 1.2 2008/11/14 09:11:07 poehler Exp $
 */

/**
 * Tests a few things with IWorxTranslate - only in english at the moment
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class IWorxTranslateTest extends PHPUnit_Framework_TestCase {
  /**
   * Spot checks a few translations that should always exist
   */
  public function testHasTranslation() {
    $this->assertTrue( IWorxTranslate::hasTranslation( '##LG_YES##' ),
                       'Translate did not exist for ##LG_YES##' );
    $this->assertTrue( IWorxTranslate::hasTranslation( 'LG_YES' ),
                       'Translate did not exist for LG_YES' );

    $this->assertTrue( IWorxTranslate::hasTranslation( '##LG_NO##' ),
                       'Translate did not exist for ##LG_NO##' );
    $this->assertTrue( IWorxTranslate::hasTranslation( 'LG_NO' ),
                       'Translate did not exist for LG_NO' );
  }

  /**
   * Tests a few translations that should always exist
   */
  public function testTr() {
    $this->assertEquals( 'yes', strtolower( IWorxTranslate::tr( '##LG_YES##' ) ) );
    $this->assertEquals( 'no', strtolower( IWorxTranslate::tr( '##LG_NO##' ) ) );
  }
}
?>