<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2008 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @subpackage Tests
 * @author     Tim College <tcollege@interworx.com>
 * @date       Oct 30, 2008
 * @id $Id: AllTests.php,v 1.7 2009/09/15 20:47:00 tcollege Exp $
 */

require_once 'InputTest.php';
require_once 'AllInputGenericTest.php';
require_once 'StringTest.php';
require_once 'RegexTest.php';
require_once 'NumberTest.php';
require_once 'IntegerTest.php';
require_once 'SetCustomTest.php';

/**
 * Test suite
 *
 * @package    InterWorx
 * @subpackage Tests
 */
class Input_AllTests {
  /**
   * Builds the test suite for datasource
   *
   * @return PHPUnit_Frameworx_TestSuite
   */
  public static function suite() {
    $suite = new PHPUnit_Framework_TestSuite( 'Input' );

    $suite->addTestSuite( 'Input_InputTest' );
    $suite->addTestSuite( 'Input_AllInputGenericTest' );
    $suite->addTestSuite( 'Input_StringTest' );
    $suite->addTestSuite( 'Input_RegexTest' );
    $suite->addTestSuite( 'Input_NumberTest' );
    $suite->addTestSuite( 'Input_IntegerTest' );
    $suite->addTestSuite( 'Input_SetCustomTest' );
    return $suite;
  }
}
?>