/*jslint undef: true, widget: true, browser: true, onevar: true, eqeqeq: true */
/*global YAHOO, iw_js_data, IW_AC_DATA, iw_xhr, iw_form_validate_handler, updateStatusClass, iw_lib, iw_ctrl_handler, iw_form_handler */

var iw_form = {
  init: function() {
    var YUI = YAHOO.util,
        Dom = YUI.Dom,
        E = YUI.Event,
        checkAlls = Dom.getElementsByClassName( 'iw-check-all', 'a' ),
        checkNones = Dom.getElementsByClassName( 'iw-check-none', 'a' );

    E.on( checkAlls, 'click', iw_form.checkAll );
    E.on( checkNones, 'click', iw_form.checkNone );

    this.initUnlimited();
    this.initFormValidation();
    this.initCustomRadioValues();
    this.initAutoCompletes();
    this.initTooltips();
    this.initSubmits();
    this.initCancels();
    this.initFileSwitchers();
  },

  initFileSwitchers: function() {
    var switchers = YAHOO.util.Dom.getElementsByClassName( 'iw-file-switch' );

    YAHOO.util.Event.on( switchers, 'click', this.fileSwitch );
  },

  fileSwitch: function( e ) {
    var up_lang = '##LG_SWITCH_TO_FILE_UPLOAD##',
        local_lang = '##LG_SWITCH_TO_FILE_LOCAL##',
        len = this.id.length,
        id = this.id.substr( 0, len - 9 ),
        input = document.getElementById( id ),
        input_name = input.name,
        alt_input = document.getElementById( id + '_alt' ),
        alt_input_name = alt_input.name;

    YAHOO.util.Event.stopEvent( e );

    if( this.innerHTML === up_lang ) {
      this.innerHTML = local_lang;
    } else {
      this.innerHTML = up_lang;
    }

    input.name  = alt_input.name;
    input.id    = alt_input.id;
    input.value = '';

    alt_input.name = input_name;
    alt_input.id   = id;

    YAHOO.util.Dom.setStyle( input, 'display', 'none' );
    YAHOO.util.Dom.setStyle( this, 'display', 'none' );
    YAHOO.util.Dom.setStyle( alt_input, 'display', 'inline' );
  },

  initAutoCompletes: function() {
    var autocompletes = YAHOO.util.Dom.getElementsByClassName( 'iw-form-ac' ),
        ac_length = autocompletes.length,
        YUI = YAHOO.util,
        Dom = YUI.Dom,
        AC, DS, input, i;

    for( i=0; i<ac_length; ++i ) {
      input = autocompletes[i];
      DS    = new YUI.LocalDataSource( IW_AC_DATA[ input.id ] );
      DS.responseSchema = { fields: [ "d", "v" ] };

      AC = new YAHOO.widget.AutoComplete( input, input.id + '_container', DS );
      AC.resultTypeList = false;
      AC.animHoriz      = false;
      AC.animVert       = false;
      if( YAHOO.env.ua.ie > 0 ) {
        AC.useIFrame = true;
      }
      AC.useShadow = true;
      // We do this ourselves in this.onACSelect
      AC.suppressInputUpdate = true;

      if( input.tagName === 'TEXTAREA' ) {
        // Set up stuff for multiple suggestions
        AC.delimChar = "\n";
        AC.containerExpandEvent.subscribe( this.onACExpand );
      }

      AC.itemSelectEvent.subscribe( this.onACSelect );

      if( input.value === '' ) {
        input.value = '##LG_BEGIN_TYPING_FOR_SUGGESTIONS##';
        Dom.addClass( input, 'iw-dim' );
      }

      YUI.Event.on( input, 'focus', this.onACFocus );

      if( this.isSetAutoComplete( input ) ) {
        AC.forceSelection = true;
        AC.itemSelectEvent.subscribe( this.onACSetSelect );
      }

      this.registeredACs[ input.id ] = AC;
    }//end for
  },

  onACExpand: function( sType, args) {
    var AC = args[0],
        data = args[2],
        input = AC.getInputEl(),
        height = input.clientHeight,
        container = AC.getContainerEl();
    YAHOO.util.Dom.setStyle( container, 'top', height + 'px' );

  },

  isSetAutoComplete: function( input ) {
    var td = YAHOO.util.Dom.getAncestorByTagName( input, 'td' ),
        divs = td.getElementsByTagName( 'div' ),
        divs_length = divs.length, i;

    for( i=0; i<divs_length; ++i ) {
      if( YAHOO.util.Dom.hasClass( divs[ i ], 'iw-form-ac-check' ) ) {
        return true;
      }
    }
    return false;
  },

  registeredACs: {},

  clearAutocompletes: function() {
    var YUI = YAHOO.util,
        Dom = YUI.Dom,
        autocompletes = Dom.getElementsByClassName( 'iw-form-ac', 'input' ),
        ac_length = autocompletes.length, i, input;

    for( i = 0; i < ac_length; ++i ) {
      input = autocompletes[i];
      if( input.value === '##LG_BEGIN_TYPING_FOR_SUGGESTIONS##' ) {
        input.value = '';
      }
    }

  },

  onACFocus: function() {
    if( this.value === '##LG_BEGIN_TYPING_FOR_SUGGESTIONS##' ) {
      this.value = '';
    }
    YAHOO.util.Dom.removeClass( this, 'iw-dim' );
  },

  onACSelect: function( sType, args ) {
    var AC = args[0],
        data = args[2],
        input = AC.getInputEl(),
        old_val = input.value.split( "\n" ),
        range;
    iw_form.clearStatus( input );

    // Remove the partial match
    old_val.pop();

    old_val.push( data.v );

    input.value = old_val.join( "\n" ) + "\n";

    // Move the caret for IE
    if( input.createTextRange ) {
      range = input.createTextRange();
      range.collapse( false );
      range.select();
    }
  },

  onACSetSelect: function( sType, args ) {
    var AC = args[0],
        data = args[2],
        input = AC.getInputEl(),
        check_name = iw_form.getInputNameFromACName( input ),
        table = document.getElementById( check_name + '_table' ),
        table_body = table.getElementsByTagName( 'tbody' )[0],
        rows = table.getElementsByTagName( 'tr' ),
        row_count = rows.length,
        id = check_name + '_' + row_count,
        value_input = iw_form.valueAlreadyExists( data.v, table ),
        new_row = '', input_string, label_string, oRow, oCellInput, oLabelInput;

    input.value = '';

    if( value_input ) {
      value_input.checked = 1;
      return;
    }

    input_string = '<input type="checkbox" checked="checked" ' + 'id="' + id +
                   '" value="' + data.v + '" name="' + check_name + '[]"/>';

    label_string = '<label for="' + id + '">' + data.d + ' - ##LG_UNSAVED##' + '</label>';

    if( table_body.insertRow ) {
      oRow        = table_body.insertRow( -1 );
      oCellInput  = oRow.insertCell( -1 );
      oLabelInput = oRow.insertCell( -1 );

      oCellInput.innerHTML  = input_string;
      oLabelInput.innerHTML = label_string;

      YAHOO.util.Dom.addClass( oRow, 'iw-form-unsaved' );
    } else {
      // This is for browsers that don't support the first way
      new_row = '<tr class="iw-form-unsaved"><td>' + input_string + '</td>' +
                '<td>' + label_string + '</td></tr>';

      table_body.innerHTML = table_body.innerHTML + new_row;
    }
  },

  /**
   * @return el|false
   */
  valueAlreadyExists: function( value, table ) {
    var inputs = table.getElementsByTagName( 'input' ),
        inputs_length = inputs.length,
        i;

    if( !inputs ) {
      return false;
    }

    for( i=0; i<inputs_length; ++i ) {
      if( inputs[i].value === value ) {
        return inputs[i];
      }
    }

    return false;
  },

  getInputNameFromACName: function( ac_input ) {
    // Whacks off the "_ac"
    return ac_input.id.substring( 0, ac_input.id.length - 3 );
  },

  initCustomRadioValues: function() {
    var YUI = YAHOO.util,
        radios = YUI.Dom.getElementsByClassName( 'iw-form-radio-custom', 'input' ),
        radios_length = radios.length,
        div, i, input;

    for( i = 0; i < radios_length; ++i ) {
      div   = YUI.Dom.getAncestorByTagName( radios[i], 'div' );
      input = YUI.Dom.getElementsByClassName( 'textbox', 'input', div );

      YUI.Event.on( input, 'focus', this.focusCustomRadio );
    }
  },

  focusCustomRadio: function( e ) {
    var YUI = YAHOO.util,
        div = YUI.Dom.getAncestorByTagName( this, 'div' ),
        radio = YUI.Dom.getElementsByClassName( 'iw-form-radio-custom', 'input', div );

    radio[0].checked = true;
  },

  initCancels: function() {
    var YUI = YAHOO.util,
        buttons = YUI.Dom.getElementsByClassName( 'iw-form-cancel', 'input' );

    YUI.Event.on( buttons, 'click', this.onCancel );
  },

  submitEvents: [],

  initSubmits: function() {
    var YUI = YAHOO.util,
        forms = YUI.Dom.getElementsByClassName( 'iw-form', 'form' ),
        i,
        len = forms.length;

    for( i = 0; i < len; ++i ) {
      this.submitEvents[ forms[i].name ] = new YUI.CustomEvent( forms[i].name + 'Submit', forms[i] );
    }
    YUI.Event.on( forms, 'submit', this.onSubmit );

    for( i = 0; i < len; ++i ) {
      if( this.isHandled( forms[i] ) ) {
        iw_form_handler( forms[i], null, 'submit' );
      }
    }
  },

  isHandled: function( form ) {
    if( form.no_handler ) {
      return false;
    }
    return true;
  },

  /**
   * Initializes tooltips for error display in validation
   */
  initTooltips: function() {
    var statusImgs = YAHOO.util.Dom.getElementsByClassName( 'iw-form-img', 'img' ),
        tooltip;

    tooltip = new YAHOO.widget.Tooltip( 'iw-form-tt', { context: statusImgs } );

    tooltip.contextMouseOverEvent.subscribe(
      function( type, args ) {
        var context = args[0];
        if( context && this._tempTitle ) {
          return true;
        }
        return false;
      }
    );
  },

  /**
   * Initializes unlimited checkboxes
   */
  initUnlimited: function() {
    var unlimChecks = YAHOO.util.Dom.getElementsByClassName( 'iw-unlim-check', 'input' ),
        unlimChecks_length = unlimChecks.length,
        i, div, input;

    YAHOO.util.Event.on( unlimChecks, 'click', iw_form.unlimitedCheck );

    for( i = 0; i < unlimChecks_length; ++i ) {
      div   = YAHOO.util.Dom.getAncestorByTagName( unlimChecks[i], 'div' );
      input = div.getElementsByTagName( 'input' )[0];
      if( input.value === '999999999' ) {
        unlimChecks[i].checked = 1;
        iw_form.doUnlimitedCheck( unlimChecks[i] );
      } else {
        unlimChecks[i].checked = 0;
        iw_form.doUnlimitedCheck( unlimChecks[i] );
      }
    }
  },

  /**
   * Sets up validation of form lines
   */
  initFormValidation: function() {
    if( iw_js_data.xhr_validate !== '1' ) {
      // Validation is turned off, bail.
      return;
    }
    var iw_forms = YAHOO.util.Dom.getElementsByClassName( 'iw-form', 'form' ),
        Event = YAHOO.util.Event,
        iw_forms_length = iw_forms.length,
        inputs,
        inputs_length,
        i,
        j,
        textareas,
        textareas_length,
        selects,
        selects_length;

    for( i = 0; i < iw_forms_length; ++i ) {
      inputs        = iw_forms[i].getElementsByTagName( 'input' );
      inputs_length = inputs.length;
      for( j = 0; j < inputs_length; ++j ) {
        if( inputs[j].type === 'text' || inputs[j].type === 'password' ) {
          if( iw_form.getStatusImage( inputs[j] ) === false ) {
            continue;
          }
          Event.on( inputs[j], 'blur', iw_form.validate );
          Event.on( inputs[j], 'focus', iw_form._clearStatus );
        } else if( inputs[j].type === 'radio' || inputs[j].type === 'checkbox' ) {
          if( iw_form.getStatusImage( inputs[j] ) === false ) {
            continue;
          }
          Event.on( inputs[j], 'focus', iw_form._clearStatus );
        }
      }
      textareas        = iw_forms[i].getElementsByTagName( 'textarea' );
      textareas_length = textareas.length;
      for( j = 0; j < textareas_length; ++j ) {
        Event.on( textareas[j], 'blur', iw_form.validate );
        Event.on( textareas[j], 'focus', iw_form._clearStatus );
      }
      selects        = iw_forms[i].getElementsByTagName( 'select' );
      selects_length = selects.length;
      for( j = 0; j < selects_length; ++j ) {
        Event.on( selects[j], 'blur', iw_form.validate );
        Event.on( selects[j], 'focus', iw_form._clearStatus );
      }
    }//end for
  },

  /**
   * Clears the input status
   */
  _clearStatus: function( e ) {
    YAHOO.util.Event.stopEvent( e );
    iw_form.clearStatus( this );
  },

  /**
   * Determines if an input is required or not
   *
   * @return boolean
   */
  isRequired: function( input ) {
    var Dom = YAHOO.util.Dom;

    return Dom.hasClass( input, 'iw-form-req' );
  },

  /**
   * Gets the input status image from a particular form input
   *
   * @param HTMLElement el The input next to the status image to get
   */
  getStatusImage: function( el ) {
    var Dom = YAHOO.util.Dom,
    div = Dom.getAncestorByTagName( el, 'div' ),
    stats = Dom.getElementsByClassName( 'iw-i', 'img', div );

    if( YAHOO.lang.isUndefined( stats[0] ) === true ) {
      return false;
    }

    return stats[0];
  },

  /**
   * Formats an array or string into a string suitable for display in the errors
   *
   * @param string|array
   * @return string
   */
  formatError: function( arrayOrString ) {
    if( YAHOO.lang.isArray( arrayOrString ) ) {
      return arrayOrString.join( '<br>' );
    }
    return arrayOrString;
  },

  /**
   * Marks a given input as invalid (red X)
   *
   * @param HTMLElement input
   * @param string      msg   error message for tooltip
   */
  markInvalid: function( input, msg ) {
    this._updateStatus( input, 'iw-i-negative', this.formatError( msg ) );
  },

  /**
   * Marks a given input as valid (green check)
   *
   * @param HTMLElement input
   */
  markValid: function( input ) {
    this._updateStatus( input, 'iw-i-positive' );
  },

  /**
   * Marks a given input as pending (spinner)
   *
   * @param HTMLElement Input
   */
  markPending: function( input ) {
    this._updateStatus( input, 'iw-i-pending' );
  },

  /**
   * Removes all status from the given input
   *
   * @param HTMLElement input
   */
  clearStatus: function( input ) {
    this._updateStatus( input, 'iw-i-clear' );
  },

  _updateStatus: function( input, css_class, msg ) {
    msg      = msg || '';
    var stat = iw_form.getStatusImage( input );
    if( YAHOO.lang.isUndefined( stat ) === false ) {
      iw_lib.updateIWIcon( stat, css_class );
      stat.title = msg;
    }
  },

  /**
   * Checks if an input has an error
   *
   * @param HTMLElement input
   */
  hasError: function( input ) {
    var stat = iw_form.getStatusImage( input );
    if( stat === false ) {
      return false;
    }
    return YAHOO.util.Dom.hasClass( stat, 'iw-i-negative' );
  },

  enableInputs: function( form ) {
    var i, el_count = form.elements.length;
    for( i=0; i<el_count; ++i ) {
      form.elements[i].disabled = false;
    }
  },

  onSubmit: function( e ) {
    iw_form.clearAutocompletes();
    if( iw_form.validateFormForErrors( e ) === true ) {
      // First, enable all the form fields, in case they were disabled
      iw_form.enableInputs( this );
      iw_form.submitEvents[ this.name ].fire( e );
    } else {
      YAHOO.util.Event.stopEvent( e );
    }
  },

  /**
   * Validates that the form has no errors
   *
   * @param Event e
   */
  validateFormForErrors: function( e ) {
    var is_valid = true,
        form = YAHOO.util.Event.getTarget( e ),
        i, len, current_input;

    iw_form.clearStatus( form.submit );

    for( i = 0, len = form.elements.length; i < len; ++i ) {
      current_input = form.elements[i];

      if( current_input.type === 'file' ) {
        continue;
      }

      iw_form.checkValidateRequired( current_input );
      if( current_input.name === 'submit' ||
          current_input.name === 'cancel' ) {
        continue;
      }
      if( iw_form.hasError( current_input ) === true ) {
        // Flag that the submit should be cancelled
        is_valid = false;
      }
    }

    if( is_valid === false ) {
      YAHOO.util.Event.stopEvent( e );
      iw_form.markInvalid( form.submit, '##LG_INPUT_FORM_DID_NOT_VALIDATE##' );
      return false;
    }

    return true;
  },

  onCancel: function( e ) {
    YAHOO.util.Event.stopEvent( e );
    history.back();
  },

  /**
   * Event wrapper to validate a given input
   *
   * @param Event e
   */
  validate: function( e ) {
    YAHOO.util.Event.stopEvent( e );
    iw_form.doValidate( this );
  },

  /**
   * Validates the input with regard to required or not
   *
   * Returns true or false. If true, it means that it did nothing, if false it
   * means that it did the validation, so the next step should not continue
   *
   * @param HTMLElement el
   * @return boolean READ DESCRIPTION ABOVE
   */
  checkValidateRequired: function( el ) {
    // Only check if the value is blank
    if( el.value === '' ) {
      if( YAHOO.util.Dom.getStyle( el, 'display' ) !== 'none' ) {
        if( iw_form.isRequired( el ) === true ) {
          iw_form.markInvalid( el, '##LG_INPUT_IS_REQUIRED##' );
          return false;
        } else {
          iw_form.markValid( el );
          return false;
        }
      }
    }
    return true;
  },

  /**
   * Validates an input
   *
   * @param HTMLElement el
   */
  doValidate: function( el ) {
    if( iw_form.registeredACs[ el.id ] ) {
      if( iw_form.registeredACs[ el.id ].isContainerOpen() ) {
        iw_form.clearStatus( el );
        return;
      }
    }

    var Dom = YAHOO.util.Dom,
        div = Dom.getAncestorByTagName( el, 'div' ),
        tr = Dom.getAncestorByTagName( div, 'tr' ),
        form = Dom.getAncestorByTagName( el, 'form' ),
        stat = iw_form.getStatusImage( el ),
        temp,
        temp_length,
        args,
        isRequired = iw_form.isRequired( el ),
        i,
        check,
        element_name,
        radios;

    if( Dom.getStyle( el, 'display' ) === 'none' ) {
      // Not displayed, so the user can't do anything about it
      return;
    }

    // Clear the status image
    iw_form.markPending( el );

    if( el.name === 'confirm_password' ) {
      // Stupid. The confirm password needs the input of the actual password
      if( el.value !== form.password.value ) {
        iw_form.markInvalid( el, '##LG_PASSWORDSDONOTMATCH##' );
        return;
      } else if( el.value !== '' ) {
        iw_form.markValid( el );
        return;
      }
    }

    element_name = el.name;

    radios = div.getElementsByTagName( 'input' );

    if( radios.length ) {
      if( radios[0].type === 'radio' ) {
        element_name = radios[0].name;
        if( el.value === '' ) {
          iw_form.clearStatus( el );
          return;
        }
      }
    }

    // First check the required status
    if( iw_form.checkValidateRequired( el ) === false ) {
      return;
    }

    // Now check the status of unlimited inputs
    if( el.value === '999999999' ) {
      check = Dom.getElementsByClassName( 'iw-unlim-check', 'input', div );
      if( check[0] ) {
        iw_form.markValid( el );
        return;
      }
    }
    // If it's a select, it's always valid unless someone is being a real shit
    // It'll be validated on the server anyway, so return
    if( el.tagName === 'SELECT' ) {
      iw_form.markValid( el );
      return;
    }

    args = { form: form.iw_form_class_name.value,
              input: element_name,
              value: el.value };

    // Get all inputs
    temp        = form.getElementsByTagName( 'input' );
    temp_length = temp.length;
    // Loop through and add the values of any hidden inputs to the form
    for( i = 0; i < temp_length; ++i ) {
      if( temp[i].type === 'hidden' ) {
        switch( temp[i].name ) {
          case 'iw_action_name':
          case 'iw_ctrl_name':
          case 'iw_form_class_name':
            break;

          default:
            args[ temp[i].name ] = temp[i].value;
        }
      }
    }

    iw_xhr.getReply( iw_form_validate_handler, args, stat );
  },

  /**
   * Checks all the checkboxes related to the input
   *
   * "related to the input" means "in the same div", which is how the Form class
   * and template will display it automatically.
   *
   * @param event e
   */
  checkAll: function( e ) {
    YAHOO.util.Event.stopEvent( e );
    var div = YAHOO.util.Dom.getAncestorByTagName( this, 'div' ),
        checks = div.getElementsByTagName( 'input' ),
        checks_length = checks.length,
        i;

    for( i = 0; i < checks_length; ++i ) {
      checks[i].checked = 'checked';
    }
  },

  /**
   * Unchecks all the checkboxes related to the input
   *
   * "related to the input" means "in the same div", which is how the Form class
   * and template will display it automatically.
   *
   * @param event e
   */
  checkNone: function( e ) {
    YAHOO.util.Event.stopEvent( e );
    var div = YAHOO.util.Dom.getAncestorByTagName( this, 'div' ),
        checks = div.getElementsByTagName( 'input' ),
        checks_length = checks.length,
        i;

    for( i = 0; i < checks_length; ++i ) {
      checks[i].checked = '';
    }
  },

  /**
   * Cache for holding properties of animated elements
   */
  inputPropertyCache: {},

  /**
   * When unlimited is checked, fills in the correct value for the input
   *
   * @param event e
   */
  unlimitedCheck: function( e ) {
    iw_form.doUnlimitedCheck( this );
  },

  /**
   * Actually does the unlimited check
   *
   * This needed to be split out because it needs to be called directly by the
   * code that initializes the unlimited behavior if the input is actually
   * unlimited already
   */
  doUnlimitedCheck: function( el ) {
    var div = YAHOO.util.Dom.getAncestorByTagName( el, 'div' ),
        inputs = div.getElementsByTagName( 'input' ),
        inputs_length = inputs.length,
        input = false,
        hider,
        setUnlimitedValue,
        i;

    for( i=0; i<inputs_length; ++i ) {
      if( input === false ) {
        if( inputs[i].type === 'text' ) {
          input = inputs[i];
        }
      }
    }

    if( YAHOO.lang.isUndefined( iw_form.inputPropertyCache[input.id] ) ) {
      iw_form.inputPropertyCache[input.id] = { width: input.offsetWidth };
    }

    if( el.checked ) {
      iw_form.inputPropertyCache[input.id].value = input.value;

      setUnlimitedValue = function() {
        input.value = '999999999';
        iw_form.doValidate( input );
      };

      hider = new YAHOO.util.Anim( input,
                                   { opacity: { to: 0 }, width: { to: 0 } },
                                   0.25,
                                   YAHOO.util.Easing.easeOut );
      hider.onComplete.subscribe( setUnlimitedValue );
    } else {
      if( YAHOO.lang.isUndefined( iw_form.inputPropertyCache[input.id].value ) === false ) {
        input.value = iw_form.inputPropertyCache[input.id].value;
      }

      hider = new YAHOO.util.Anim( input,
                                   { opacity: { from: 0, to: 100 }, width: { to: iw_form.inputPropertyCache[input.id].width } },
                                   0.25,
                                   YAHOO.util.Easing.easeIn );
    }//end if
    hider.animate();
  }
};

/**
 * Handles requests back to the server for line-by-line validation
 */
iw_form_validate_handler = {
  responder: 'Form_InputValidator',

  /**
   * Ok result
   */
  handle200: function( reply, el ) {
    iw_form.markValid( el );
  },

  /**
   * Not Ok result
   */
  handle204: function( reply, el ) {
    iw_form.markInvalid( el, reply.getReplyData().join( '<br>' ) );
  }
};


/**
 * Special function that adds a listener to a given eventname on the specified
 * element, and on that action submit/routes that form xhr style through the
 * json controller mechanism
 *
 * @param HTMLElement form      The form that will ultimately be submitted
 * @param HTMLElement element   The element that the specified event is listen on
 *                              If null, form is assumed as the element
 * @param string      eventname The event that is listened for: 'change' 'submit' etc
 * @param function    callback  If extra visual processing is required after the
 *                              for submission is complete, callback() will be called
 *                              with params r, success
 * @param c_hint      string    For stupid forms that don't have the iw_ctrl_name built in
 *                              you can specify the controller here, ie: 'nodeworx/firewall'
 * @param a_hint      string    For stupid forms that don't have the iw_action_name built in
 *                              you can specify the action here, ie: 'update'
 */
var iw_form_handler = function( form, element, eventname, c_hint, a_hint ) {
  element = element || form;
  c_hint  = c_hint || null;
  a_hint  = a_hint || null;

  /**
   * The handler callback, this function shows a banner if the reply contains data
   * and pops up an error if success was false.  Also routes to callback, if it was
   * specified when the iw_form_handler was made.  Finally, it  re-enables the
   * submit button if applicable
   *
   * @param iw_xhr.reply r
   * @param boolean      success
   */
  function complete( r, success ) {
    var redirect,
        i,
        error,
        input,
        d = r.getReplyData(),
        formName;

    if( success ) {
      // show success banner
      if( YAHOO.lang.isNull( d ) === false ) {
        if( YAHOO.lang.isUndefined( d.redirect ) === false ) {
          if( YAHOO.lang.isUndefined( d.force_redirect ) === false ||
              (window.location.pathname + window.location.search) !== d.redirect ) {
            d.message += ' -  ##LG_PLEASEWAIT##';
          }
        }
        iw_lib.iw_message_banner( d.message, 'iw-positive' );
      }
    } else {
      // show error banner
      if( YAHOO.lang.isNull( d ) === false ) {
        iw_lib.iw_message_banner( d.message, 'iw-negative' );
      }

      /**
       * If we got input_errors back, then we should try to mark the inputs
       * in the form as invalid
       */
      if( YAHOO.lang.isUndefined( d.input_errors ) === false ) {
        for( i in d.input_errors ) {
          if( d.input_errors.hasOwnProperty( i ) ) {
            error = d.input_errors[ i ];
            input = form[ error.name ];
            iw_form.markInvalid( input, error.err );
          }
        }
      }
    }//end if

    /**
     * Only disable the button and hide spinner if the button is really there
     */
    if( YAHOO.lang.isUndefined( form.submit.disabled ) === false ) {
      form.submit.disabled = 0;
      // Clear the spinner
      iw_form.clearStatus( form.submit );
    }

    /**
     * If there's extra Form Specific stuff to do, call the callback
     */
    formName = form.attributes.getNamedItem( 'name' ).value;
    if( YAHOO.lang.isFunction( window[ 'callback_' + formName ] ) ) {
      window[ 'callback_' + formName ]( r, success );
    }

    /**
     * If redirect data was part of the response, redirect to the new location
     * if not already there
     */
    if( YAHOO.lang.isNull( d ) === false ) {
      if( YAHOO.lang.isUndefined( d.redirect ) === false ) {
        redirect = d.redirect;
        if( YAHOO.lang.isUndefined( d.force_redirect ) === false ||
            (window.location.pathname + window.location.search) !== redirect ) {
          window.setTimeout( function() { window.location = redirect; }, 2000 );
        }
      }
    }
  }

  /**
   * This is the function that actually executes the iw_ctrl_handler / submits the form
   * It spins up the spinner and disables the submit button if applicable
   *
   * @param string type The type of event fired
   * @param array args
   */
  function route( type, args ) {
    // If this is called by a custom event, it's different
    var e = ( args ) ? args[0] || type : type,
        form = null;

    if( e.type === 'submit' ) {
                        // if it's a submit event, then the target IS the form
      form = YAHOO.util.Event.getTarget( e );
    } else {
        // if it's not a submit event, then the target is a form
        // element, and target.form is the form.
      form = YAHOO.util.Event.getTarget( e ).form;
    }

    // stop the event, we're taking over
    YAHOO.util.Event.stopEvent( e );

    // in IE form.submit is defined even if there is no
    // "submit" button in the form, so checking both submit and
    // submit.disabled here
    if( !YAHOO.lang.isUndefined( form.submit ) &&
        !YAHOO.lang.isUndefined( form.submit.disabled ) ) {
      // disable the submit button
      form.submit.disabled = 1;
      // Show the spinner on the submit button
      iw_form.markPending( form.submit );
    } else {
      // Show the spinner on the input element that triggered
      // the event
      iw_form.markPending( YAHOO.util.Event.getTarget( e ) );
    }
    // fire off to the xhr request
    iw_ctrl_handler.execute( form, complete, c_hint, a_hint );
  }

  // Only subscribe the event if the form is not null
  if( YAHOO.lang.isUndefined( element ) === false ) {
    // Interrupt the normal subscription and subscribe to the custom event instead
    if( eventname === 'submit' ) {
      iw_form.submitEvents[ form.name ].subscribe( route, element );
    } else {
      YAHOO.util.Event.on( element, eventname, route );
    }
  }
};

iw_form.init();
