/*jslint undef: true, widget: true, browser: true, onevar: true, eqeqeq: true */
/*global YAHOO iw_lib iw_service_running_handler */
var cpu = '/nodeworx/rrd?action=thumbnail&service=cpu&graph=usage';
var cpu_graph = function() {
  document.getElementById( 'cpu_graph' ).src = cpu;
};

var mem = '/nodeworx/rrd?action=thumbnail&service=memory&graph=usage';
var mem_graph = function() {
  document.getElementById( 'mem_graph' ).src = mem;
};

var bw = '/nodeworx/rrd?action=thumbnail&service=network&graph=traffic';
var bw_graph = function() {
  document.getElementById( 'bw_graph' ).src = bw;
};

var iw_box_toggle = {

  /**
   * restores previous open/closed status for iw-box bd sections
   */
  init: function() {
    var toggle_spans = YAHOO.util.Dom.getElementsByClassName( 'iw-toggle', 'span' ),
        toggle_length = toggle_spans.length,
        span_parent,
        body,
        icon,
        i;

    for( i = 0; i < toggle_length; ++i ) {
      span_parent = YAHOO.util.Dom.getAncestorByTagName( toggle_spans[ i ], 'div' );
      body = YAHOO.util.Dom.getNextSibling( span_parent );
      icon = YAHOO.util.Dom.getFirstChild( toggle_spans[ i ] );

      if( YAHOO.util.Cookie.get( icon.id, Number ) === 1 ) {
        iw_box_toggle.open( body, icon );
      } else {
        iw_box_toggle.close( body, icon );
      }
    }
  },

  /**
   * toggles a iw-box bd section open/closed
   */
  toggle: function( e ) {
    var icon = YAHOO.util.Event.getTarget( e ),
    header = YAHOO.util.Dom.getAncestorByTagName( icon, 'div' ),
    body = YAHOO.util.Dom.getNextSibling( header );

    if( iw_box_toggle.isOpen( body ) ) {
      iw_box_toggle.close( body, icon );
    } else {
      iw_box_toggle.open( body, icon );
    }
  },

  /**
   * true if a iw-box bd section is visible
   */
  isOpen: function( body ) {
    if( body.style.display === '' || body.style.display === 'none' ) {
      return false;
    } else {
      return true;
    }
  },

  /**
   * closes / hides a iw-box bd section
   */
  close: function( body, icon ) {
    YAHOO.util.Cookie.set( icon.id, 0, {
      path: "/",
      expires: new Date("January 12, 2025")
    } );
    body.style.display = 'none';
    icon.title = '##LG_OPEN##';
    iw_lib.updateIWIcon( icon, 'iw-i-plus' );
  },

  /**
   * open / displays a iw-box bd section
   */
  open: function( body, icon ) {
    YAHOO.util.Cookie.set( icon.id, 1, {
      path: "/",
      expires: new Date("January 12, 2025")
    } );
    body.style.display = 'block';
    icon.title = '##LG_CLOSE##';
    iw_lib.updateIWIcon( icon, 'iw-i-minus' );

    iw_box_toggle.refreshContent( body );

  },

  /**
   * when a iw-box bd section is opened, this function looks for
   * services or pending images to trigger
   */
  refreshContent: function( body ) {
    var services = YAHOO.util.Dom.getElementsByClassName( 'iw-service', 'div', body ),
        services_length = services.length,
        images = YAHOO.util.Dom.getElementsBy( function() { return true; }, 'img', body ),
        images_length = images.length,
        i;

    for( i = 0; i < services_length; i++ ) {
      if( YAHOO.util.Dom.hasClass( services[ i ], 'iw-disabled' ) ) {
        iw_service_running_handler.execute( services[ i ] );
      }
    }

    for( i = 0; i < images_length; i++ ) {
      if( images[ i ].src.match( '/img/spinner.gif' ) ) {
        window[ images[ i ].id ]();
      }
    }
  }
};

YAHOO.util.Event.onAvailable( 'iw-menu', iw_box_toggle.init );

YAHOO.util.Event.on( YAHOO.util.Dom.getElementsByClassName( 'iw-toggle', 'span' ),
                     'click',
                     iw_box_toggle.toggle );