/*jslint undef: true, widget: true, browser: true, onevar: true, eqeqeq: true */
/*global YAHOO iw_lib iw_xhr updateServiceStatus*/

/**
 *
 */
var iw_service_running_handler = {
  responder: 'Service_IsRunning',
  extractServiceName: function( el ) {
    return el.id.substring( 7 );
  },
  handle200: function( reply, el ) {
    updateServiceStatus( { el: el, new_class: 'iw-positive' } );
  },
  handle203: function( reply, el ) {
    updateServiceStatus( { el: el, new_class: 'iw-negative' } );
  },
  handle500series: function( reply, el ) {
    updateServiceStatus( { el: el, new_class: 'iw-negative' } );
    iw_xhr.handleError( reply );
  },
  handle700series: function( reply, el ) {
    iw_service_running_handler.handle500series( reply, el );
  },
  execute: function( el ) {
    var service_name = this.extractServiceName( el );
    iw_xhr.getReply( this, service_name, el );
  }
};

/**
 *
 */
var iw_start_handler        = Object.beget( iw_service_running_handler );
iw_start_handler.responder  = 'Service_Start';
iw_start_handler.isDisabled = function ( el_service ) {
  return ( YAHOO.util.Dom.hasClass( el_service, 'iw-negative' ) ) ? false : true;
};
iw_start_handler.execute = function( e ) {
  var target = YAHOO.util.Event.getTarget( e ),
      parent = YAHOO.util.Dom.getAncestorByClassName( target, 'iw-service' ),
      service_name;

  YAHOO.util.Event.stopEvent( e );

  if( this.isDisabled( parent ) === false ) {
    service_name = this.extractServiceName( parent );
    updateServiceStatus( { el: parent, new_class: 'iw-disabled' } );
    iw_xhr.getReply( this, service_name, parent );
  }
};

/**
 *
 */
var iw_stop_handler        = Object.beget( iw_start_handler );
iw_stop_handler.responder  = 'Service_Stop';
iw_stop_handler.isDisabled = function( el_service ) {
  return ( YAHOO.util.Dom.hasClass( el_service, 'iw-positive' ) ) ? false : true;
};

/**
 *
 */
var iw_restart_handler       = Object.beget( iw_stop_handler );
iw_restart_handler.responder = 'Service_Restart';

/**
 * TODO: write me
 */
function enableRefresh() {
  document.getElementById( 'iw-svc-refresh' ).disabled = 0;
}

/**
 * TODO: write me
 */
function refreshServices( e ) {
  var i,
      target,
      service_statuses,
      service_statuses_length,
      mybox;

  e = e || null;
  if( YAHOO.lang.isNull( e ) === false ) {
    YAHOO.util.Event.stopEvent( e );
    target          = YAHOO.util.Event.getTarget( e );
    target.disabled = 1;
    setTimeout( enableRefresh, 10000 );
  }

  service_statuses = YAHOO.util.Dom.getElementsByClassName( 'iw-service', 'div' );

  service_statuses_length = service_statuses.length;

  for( i = 0; i < service_statuses_length; ++i ) {
    mybox = YAHOO.util.Dom.getAncestorByClassName( service_statuses[ i ], 'bd', 'div' );

    if( !mybox || mybox.style.display === 'block' ) {
      updateServiceStatus( { el: service_statuses[ i ], new_class: 'iw-disabled' } );
      YAHOO.util.Event.onAvailable( 'iw-menu', iw_service_running_handler.execute, service_statuses[ i ], iw_service_running_handler );
    }
  }
}

/**
 * Custom event that is fired when the service status is changed
 */
var service_update_event = new YAHOO.util.CustomEvent( 'onServiceStatusUpdate' );

/**
 * TODO: write me
 */
function updateServiceStatus( input ) {
  var el = input.el,
      new_class = input.new_class || null,
      message_v = '<span title="##LG_STATUS##" class="iw-svc-status"><img class="iw-i-pending iw-i" width="16" height="16" src="/static/3.1.0-100/img/blank.gif"/></span>',
      target,
      service_name,
      status_el,
      status_img,
      img_class,
      status_v_el;

  if( YAHOO.lang.isNull( new_class ) === false ) {
    target = el.getElementsByTagName( 'img' )[0];
    switch( new_class ) {
      case 'iw-disabled':
        target.title = '##LG_PENDING##';
        img_class    = 'iw-i-pending';
        break;

      case 'iw-positive':
        target.title = '##LG_RUNNING##';
        img_class    = 'iw-i-positive';
        message_v    = target.title;
        break;

      case 'iw-negative':
        target.title = '##LG_STOPPED##';
        img_class    = 'iw-i-negative';
        message_v    = target.title;
        break;
    }
  }//end if

  service_name = iw_service_running_handler.extractServiceName( el );
  status_el    = document.getElementById( 'iw-stat-' + service_name );
  status_v_el  = document.getElementById( 'iw-stat-v-' + service_name );

  // update the status
  if( status_el ) {
    iw_lib.updateIWMessage( {el: status_el, new_class: input.new_class} );

    status_img = status_el.getElementsByTagName( 'img' );
    status_img = status_img[0];

    iw_lib.updateIWIcon( status_img, img_class );
  }
  // update the verbose status
  if( status_v_el ) {
    iw_lib.updateIWMessage( { el: status_v_el,
                       new_class: input.new_class,
                       message: message_v
                     } );
  }
  // Update the control itself
  iw_lib.updateIWMessage( input );

  // fire the event if we're updating to non-disabled mode
  if( new_class !== 'iw-disabled' ) {
    service_update_event.fire();
  }
}

/**
 * toggles service page rrd
 *
 * @param iw_xhr.reply r
 * @param boolean      success
 */
function toggleRrd( r, success ) {
  var el = document.getElementById( 'rrdgraphimage' ),
      rrd = document.getElementById( 'rrd' ),
      fade = null;

  if( rrd.value === '1' ) {
    if( el.height === 0 ) {
      fade = new YAHOO.util.Anim( el, { height: { to: 243 } }, 0.5 );
    }
  } else {
    if( el.height !== 0 ) {
      fade = new YAHOO.util.Anim( el, { height: { to: 0 } }, 0.5  );
    }
  }//end if

  if( fade !== null ) {
    fade.animate();
  }
}

/**
 * Connect the refresh button to the refreshServices func
 */
YAHOO.util.Event.on( 'iw-svc-refresh', 'click', refreshServices );


/**
 * Connect listeners to the start/stop/restart controls
 */
var start_controls   = YAHOO.util.Dom.getElementsByClassName( 'iw-i-start', 'img' );
var restart_controls = YAHOO.util.Dom.getElementsByClassName( 'iw-i-restart', 'img' );
var stop_controls    = YAHOO.util.Dom.getElementsByClassName( 'iw-i-stop', 'img' );

YAHOO.util.Event.on( start_controls, 'click', iw_start_handler.execute, iw_start_handler, true );
YAHOO.util.Event.on( restart_controls, 'click', iw_restart_handler.execute, iw_restart_handler, true );
YAHOO.util.Event.on( stop_controls, 'click', iw_stop_handler.execute, iw_stop_handler, true );

/**
 * When the page first loads, refresh the service status(es)
 */
refreshServices();
