#!/usr/bin/perl -s
use lib "/home/interworx/lib/scp-expect";
use Net::SCP::Expect;

if (!$localfile) {
  print "Missing local file!\n";
  exit 1;
}

if (!$inifile) {
  print "Missing backup transfer ini file!\n";
  exit 1;
}

my $INI = &getINI( 'ini_file' => $inifile );

my $username   = $INI->{'username'};
my $password   = $INI->{'password'};
my $hostname   = $INI->{'hostname'};
my $remotefile = $INI->{'remotefile'};

if (!$username) {
  print "Missing username!\n";
  exit 1;
}

if (!$password) {
  print "Missing password!";
  exit 1;
}

if (!$hostname) {
  print "Missing hostname!";
  exit 1;
}

if (!$remotefile) {
  print "Missing user!";
  exit 1;
}

my $scpe = Net::SCP::Expect->new(host=>$hostname, user=>$username, password=>$password, option=>'StrictHostKeyChecking=no');
$scpe->scp($localfile, $remotefile);

sub getINI (%) {
	my %args = @_;
	my %INI = ();

	open(INI, "$args{'ini_file'}")
		or print STDERR "Backup Transfer INI '$args{'ini_file'}' does not exist!\n";

	while (<INI>) {
    next if /^\[/;
    chomp;
		next if /^\#/;
		chomp;
		next unless $_; # skip empty lines
			s/\=/___EQ___/; # replace first equal sign
			my ($key, $val) = split /___EQ___/;
		$key =~ s/[\t ]//g;
		# strip quotes
		$val =~ s/"//g;
		# trim leading & trailing spaces
		$val = join " ", grep { $_ } split /[\t ]/, $val;
		$INI{$key} = "$val";
	}
# close INI;

	\%INI;
}
