
<!--
  NodeWorx Template
-->

<!--
  This template is used to display your server overview,
  including your info, the server info, and a quick look at
  the server statistics.
-->

<!--
  PLEASE read the skinning  manual before editing this
  template.  The skinning manual can be found at:
  http://interworx.info/products/iworx-cp/themes/howto/
-->

<!--
  Smarty variables available to the template designer:

  Just edit the iworx.ini file to see a popup window of
  what smarty variables are available to you.  You should
  base all of your templates on the iw_ prefix'd variables
  as any others *may* change
-->

{include file="content-frame-top.tpl"
         header="##LG_BACKUPRESTORE## :: ##LG_BACKUPMANAGEMENT##"}

  {counter start=1 print=false}
  

  <form name="manage"
        action="{$iw_self}"
        method="post">
  <table class="iw-table" width="100%">
    {foreach item=domain_backup_data from=$iw_backups}
    {if $domain_backup_data.domain_type eq "master" OR
        count($domain_backup_data.files) gt 0 }

      <tr class="iw-table-hd">
        <td></td>
        <td colspan="5" class="left">
          {if $domain_backup_data.domain_type eq "master"}
            ##LG_MASTER##:
          {else}
            ##LG_SECONDARY##:
          {/if}
          {$domain_backup_data.domain_name} -
          {$domain_backup_data.backup_dir}
        </td>
      </tr>

      <tr class="iw-table-hd">
        <td>
        </td>
        <td class="left">
          ##LG_BACKUPFILE##:
        </td>
        <td>
          ##LG_TYPE##:
        </td>
        <td>
          ##LG_SIZE##:
        </td>
        <td>
          ##LG_DATE##:
        </td>
        <td>
          ##LG_STATUS##:
        </td>
      </tr>

      {foreach item=backup from=$domain_backup_data.files name="backups"}
        <tr class="{cycle} ruler">
          <td>
            <input type="hidden"
                   name="action"
                   value="delete">
            <input type="hidden"
                   name="domain"
                   value="{$iw_backup_domain}">
            <input type="checkbox"
                   name="backups[]"
                   tabindex="{counter}"
                   id="{$backup.filename|replace:".":"_"}"
                   value="{$backup.filename}">
          </td>
          <td>
            {if !$backup.complete}
              <label for="{$backup.filename|replace:".":"_"}">
                {$backup.filename}
              </label>
            {else}
              <a href="/nodeworx/download?action=backup&amp;file={$backup.filename}&amp;domain={$domain_backup_data.domain_name}">{$backup.filename}</a>
            {/if}
          </td>
          <td class="center nowrap">
            <label for="{$backup.filename|replace:".":"_"}">
              {$backup.type}
            </label>
          </td>
          <td class="center nowrap">
            <label for="{$backup.filename|replace:".":"_"}">
              {if !$backup.complete}
                N/A
              {else}
                {$backup.filesize}
              {/if}
            </label>
          </td>
          <td class="center nowrap">
            <label for="{$backup.filename|replace:".":"_"}">
              {if !$backup.complete}
                N/A
              {else}
                {$backup.filedate|date_format:"%D %T"}
              {/if}
            </label>
          </td>
          <td class="center nowrap">
            {if !$backup.complete}
              {iw_message_block mode='neutral'}
                <label for="{$backup.filename|replace:".":"_"}">
                  ##LG_INPROGRESS##
                </label>
                {/iw_message_block}
            {else}
              {iw_message_block mode='positive'}
                <label for="{$backup.filename|replace:".":"_"}">
                  ##LG_COMPLETE##<br>
                  [ <a href="{$iw_self}?action=restore&amp;file={$backup.filename}&amp;domain={$iw_backup_domain}">##LG_RESTORE##</a> ]
                </label>
                {/iw_message_block}
            {/if}
          </td>
        </tr>
      {foreachelse}
        <tr>
          <td colspan="6" class="center nowrap">
            {iw_message text='##LG_NO_BACKUPS_FOR_ACCOUNT##' mode='neutral'}
          </td>
        </tr>
      {/foreach}
      <tr>
        <td colspan="6">&nbsp;</td>
      </tr>
    {/if}
    {/foreach}

    {if count( $iw_backups ) > 0}
      <tr class="iw-table-ft">
        <td class="center">
          <img alt="arrow" src="/nodeworx/templates/{$iw_theme}/images/arrow.gif">
        </td>
        <td colspan="5" class="left">
          [ <a href=""
               tabindex="{counter}"
               onClick="setCheckboxes('manage','backups[]',true);return false;">##LG_CHECKALL##</a> ]
          [ <a href=""
               tabindex="{counter}"
               onClick="setCheckboxes('manage','backups[]',false);return false;">##LG_CHECKNONE##</a> ]
          <select name="input[type]"
                  class="select"
    onchange='javascript:confirmSubmitCheckbox( this,
                                                "backups[]",
                                                "##LG_SELECTED_BACKUPS##",
                                                "##LG_CONFIRM_ACTION##",
                                                "##LG_NOTHING_SELECTED##" );'
                  tabindex="{counter}">
            <option value="0">##LG_WITH_SELECTED##:</option>
            {html_options options=$iw_manage_actions}
          </select>
        </td>
      </tr>
    {/if}
  </table>
  </form>
{include file="content-frame-bottom.tpl"}
