<!--
  NodeWorx Template
-->

<!--
  This template is used to display your server overview,
  including your info, the server info, and a quick look at
  the server statistics.
-->

<!--
  PLEASE read the skinning  manual before editing this
  template.  The skinning manual can be found at:
  http://interworx.info/products/iworx-cp/themes/howto/
-->

<!--
  Smarty variables available to the template designer:

  Just edit the iworx.ini file to see a popup window of
  what smarty variables are available to you.  You should
  base all of your templates on the iw_ prefix'd variables
  as any others *may* change
-->

{include file="content-frame-top.tpl"
         header="##LG_CLUSTER_MANAGEMENT## :: ##LG_LOAD_BALANCING##"}

{iw_add_js file="/static/$iw_lang/$iw_rpm_release/nodeworx/js/iw_service.js"}

  {* for tabindex *}
  {counter start=1 print=false}

  <table class="columns">

    

    <tr>
      <td class="columns" style="width: 50%;">

        <h1>##LG_LOAD_BALANCER_CONTROL##
            {iw_quickhelp id="LG_QH_LOADBALANCERCONTROL"}
        </h1>

        <table class="iw-table"
               width="100%">

          <tr class="{cycle}">
            <td class="iw-col1">
              ##LG_STATUS##:
            </td>
            <td>
              {iw_service_status_verbose driver="LoadBalancer"}
            </td>
          </tr>
          <tr class="{cycle}">
            <td class="iw-col1">
              ##LG_ACTION##:
            </td>
            <td>
              {iw_service_control driver="LoadBalancer"}
            </td>
          </tr>

        </table>

        {iw_form form=$iw_form.startOnBoot}           

        <h1>##LG_LOAD_BALANCER_INFO##</h1>

        <table class="iw-table"
               width="100%">

          <tr class="{cycle}">
            <td class="iw-col1" class="nowrap">
              ##LG_VERSION##:
              {iw_quickhelp id="LG_QH_LBVERSION"}
            </td>
            <td>
              {$iw_lb.version} ({$iw_lb.name})
            </td>
          </tr>
{if 0}
          <tr class="{cycle}">
            <td class="iw-col1" class="nowrap">
              ##LG_DEFAULT_POLICY##:
              {iw_quickhelp id="LG_QH_LBSCHEDULER"}
            </td>
            <td>
              <select name="input[scheduler]"
                      id="scheduler"
                      class="select"
                      tabindex="{counter}">
                {html_options options=$iw_lb_schedulers
                              selected=$iw_lb.scheduler}
              </select>
            </td>
          </tr>
          <tr class="iw-table-ft">
            <td colspan="2" class="submit">
              <input type="submit"
                     value="##LG_UPDATE##"
                     tabindex="{counter}"
                     class="button">
            </td>
          </tr>
{/if}
        </table>

      </td>

      <td class="columns" style="width: 50%;">

        <h1>##LG_LOAD_BALANCER_ACTIVITY##</h1>
        <div style="width: 100%; margin: 0px auto 5px auto; text-align: center;">
          {if count( $iw_nodes ) == 0 || count( $iw_lb.services ) == 0}
            {iw_message text="##LG_GRAPH_NOT_AVAILABLE##" mode="neutral"}
          {else}
            <a href="/nodeworx/rrd?action=history&amp;service=lb&amp;graph=connections&amp;sub=tcp_80"><img alt="Connections" src="/nodeworx/rrd?action=full&service=lb&graph=connections&sub=tcp_80&snapshot=daily"></a>
          {/if}
        </div>

      </td>
    </tr>
  </table>

  <h1>##LG_LOAD_BALANCED_SERVICES##
    {iw_quickhelp id="LG_QH_LOADBALANCERCONTROL"}
  </h1>
  <table class="iw-table"
         width="100%">

  <table class="iw-table"
         width="100%">

  <form action="{$iw_self}"
        method="post"
        name="add_service">

  <input type="hidden" name="action" value="add_service_commit">

    <tr class="iw-table-hd" class="{cycle}">
      <td colspan="2">

      </td>
      <td>
        ##LG_SERVICE## / ##LG_PORT##
      </td>
      <td>
        ##LG_VIRTUAL_IP##
      </td>
      <td>
        ##LG_POLICY##
      </td>
      <td>
        ##LG_PERSISTENT## / [##LG_TIMEOUT##]
      </td>
      <td>
        ##LG_INCLUDE_MANAGER##
      </td>
    </tr>

    {if count( $iw_nodes ) == 0}

      <tr>
        <td colspan="7">
          {iw_message text='##LG_NO_NODES_IN_CLUSTER##' mode='neutral'}
        </td>
      </tr>

    {else}

      <tr class="iw-table-input {cycle}">
        <td colspan="2" class="center">
          <input type="submit"
                 class="button"
                 tabindex="{counter}"
                 value="##LG_ADD##">
        </td>
        <td class="center">
          <select name="service_port"
                  id="port"
                  class="select"
                  tabindex="{counter}">
            {html_options options=$iw_available_services}
          </select>
        </td>
        <td class="center">
          <select name="virtual_ip"
                  id="vip"
                  class="select"
                  tabindex="{counter}">
            <option value="0.0.0.0">##LG_ALL_VIRTUAL_IPS##</option>
            {html_options options=$iw_vips}
          </select>
        </td>
        <td class="center">
          <select name="policy"
                  id="policy"
                  class="select"
                  tabindex="{counter}">
            {html_options options=$iw_lb_schedulers}
          </select>
        </td>
        <td class="center">
          <select name="persistent"
                  id="persistent"
                  class="select"
                  tabindex="{counter}">
            {html_options options=$iw_timeouts}
          </select>
        </td>
        <td class="center">
          <select class="select"
                  tabindex="{counter}"
                  name="include_manager"
                  id="manager">
            {html_options options=$iw_manager_options}
          </select>
        </td>
      </tr>

    </form>

    <form action="{$iw_self}"
          method="post"
          name="services">

      {foreach item=service from=$iw_lb.services}

        {cycle assign="rowclass"}

        <tr class="{$rowclass}">
          <td class="center" width="5%">
            <input type="checkbox"
                   name="services[]"
                   tabindex="{counter}"
                   value="{$service.info.vip}:{$service.info.port}"
                   id="{$service.info.vip}:{$service.info.port}">
          </td>
{if 0}
          <td class="center nowrap">
            [ <a tabindex="{counter}"
                 href="{$iw_self}}">##LG_EDIT##</a> ]
          </td>
{/if}
          <td>
            &nbsp;
          </td>
          <td class="center">
            <label for="{$service.info.vip}:{$service.info.port}">
              {$service.info.pport}
            </label>
          </td>
          <td>
            &nbsp;
          </td>
{if 0}
          <td class="center">
            <label for="{$service.info.vip}:{$service.info.port}">
              {$service.info.vip}
            </label>
          </td>
{/if}
          <td class="center">
            <label for="{$service.info.vip}:{$service.info.port}">
              {$service.info.ppolicy}
            </label>
          </td>
          <td class="center">
            <label for="{$service.info.vip}:{$service.info.port}">
              {if $service.info.persistent > 0}
                {math equation="x/y"
                      x=$service.info.persistent
                      y=60} ##LG_MINUTES##
              {else}
                ##LG_NO_PERSISTENCE##
              {/if}
            </label>
          </td>
          <td>
            &nbsp;
          </td>
        </tr>

        {if count( $service.realservers ) > 0}

          <tr class="{$rowclass}">
            <td colspan="1">
              &nbsp;
            </td>
            <td colspan="6">
              <table border="5" class="iw-table" width="800">

                <tr class="iw-table-hd">
                  <td width="25%">
                    ##LG_VIRTUAL_IP##
                  </td>
                  <td width="25%">
                    ##LG_NODES##
                  </td>
                  <td width="25%">
                    ##LG_PORT##
                  </td>
{if 0}
                  <td>
                    ##LG_WEIGHT##
                  </td>
{/if}
                  <td width="25%">
                    ##LG_ACTIVE_CONNECTIONS##
                  </td>
                </tr>
                <tr>
                  <td class="center">
                    {$service.info.vip}
                  </td>
                  <td class="center">
                {foreach item=node from=$service.realservers}
                    {$node.vip}<br>
                {/foreach}
                  </td>
                  <td class="center">
                    {$service.info.pport} [{$service.info.port}]
                  </td>
                  <td class="center">
                    {$node.active}
                  </td>
                </tr>
              </table>
            </td>
          </tr>

        {/if}

      {foreachelse}

        <tr>
          <td colspan="7">
            {iw_message text='##LG_NO_SERVICES_CONFIGURED##' mode='neutral'}
          </td>
        </tr>

      {/foreach}

      {if count( $iw_lb.services ) > 0}
      <tr class="iw-table-ft">
        <td class="center">
          <img alt="arrow" src="/nodeworx/templates/{$iw_theme}/images/arrow.gif">
        </td>
        <td colspan="6" class="left">
          [ <a href="#"
               tabindex="{counter}"
               onClick="setCheckboxes('services','services[]',true);return false;">##LG_CHECKALL##</a> ]
          [ <a href="#"
               tabindex="{counter}"
               onClick="setCheckboxes('services','services[]',false);return false;">##LG_CHECKNONE##</a> ]
          {iw_quickhelp id="LG_QH_IP_MNGMT_DROPDOWN"}
          <select name="action"
                  class="select"
                  onchange="document.services.submit();"
    onchange='javascript:confirmSubmitCheckbox( this,
                                                "services[]",
                                                "##LG_SELECTED_SERVICES##",
						"##LG_CONFIRM_ACTION##",
                                                "##LG_NOTHING_SELECTED##" );'
                  tabindex="{counter}">
            <option value="0">##LG_WITH_SELECTED##:</option>
            {html_options options=$iw_service_actions}
          </select>
        </td>
      </tr>
      {/if}

    {/if}
  </form>

  </table>

{include file="content-frame-bottom.tpl"}
