
<!--
  NodeWorx Template
-->

<!--
  This template is used to display your server overview,
  including your info, the server info, and a quick look at
  the server statistics.
-->

<!--
  PLEASE read the skinning  manual before editing this
  template.  The skinning manual can be found at:
  http://interworx.info/products/iworx-cp/themes/howto/
-->

<!--
  Smarty variables available to the template designer:

  Just edit the iworx.ini file to see a popup window of
  what smarty variables are available to you.  You should
  base all of your templates on the iw_ prefix'd variables
  as any others *may* change
-->

{include file="content-frame-top.tpl"
         header="##LG_CLUSTER_MANAGEMENT## :: ##LG_NODE_MANAGEMENT##"}

<script language="javascript" type="text/javascript">
{literal}
  function disableSubmit( comp ) {
    comp.disabled = true;
    comp.value    = '##LG_PLEASEWAIT##';
    with( document.node_add ) {
      for(i=0; i<elements.length; i++) {
        if( elements[i].disabled && elements[i].type != 'submit')
          elements[i].disabled=false;
      }
    }
    document.node_add.submit();
  }
{/literal}
</script>

  {counter start=1 print=false}
  

  {assign var=canadd value="true"}

  {if $iw_quorum_ip eq ''}
    {iw_message text='##LG_NO_QUORUM_IP_SET##' mode='negative'}
    {assign var=canadd value="false"}
  {/if}

  {if count( $iw_vips ) eq 0}
    {iw_message text='##LG_NO_VIRTUAL_IPS_SET##' mode='negative'}
    {assign var=canadd value="false"}
  {/if}

  {if $iw_init neq ''}
    {iw_message text='##LG_NODES_ADD_INIT##' mode='neutral'}
  {/if}

  <table class="columns">
    <tr><td>
      {iw_form form=$iw_form} 
    </td></tr>
  </table>

  <h1>##LG_NODES_IN_CLUSTER##
  {iw_quickhelp id="LG_QH_NODES_IN_CLUSTER"}
  </h1>
  <table class="iw-table"
         width="100%">

  <form name="nodes"
        method="post"
        action="{$iw_self}">

    <tr class="iw-table-hd">
      <td width="5%">
        &nbsp;
      </td>
      <td width="5%">
        ##LG_HOSTNAME##
      </td>
      <td>
        ##LG_ROLE##
      </td>
      <td width="10%">
        ##LG_STATUS##
      </td>
    </tr>

    

    <tr class="{cycle}">
      <td class="center">
        <input type="checkbox"
               name="nodes[]"
               tabindex="{counter}"
               disabled="true"
               value="{$node.hostname}"
               id="{$node.hostname}">
      </td>
      <td class="center">
        <label for="{$node.hostname}">
          {$iw_node.hostname}<br>
          [{$iw_node.ipaddr}]
        </label>
      </td>
      <td class="center">
        <label for="{$node.hostname}">
          ##LG_CLUSTER_MANAGER## /
          ##LG_LOAD_BALANCER##
        </label>
      </td>
      <td class="center">
        {iw_message_block mode='positive'}<label for="{$iw_node.hostname}">##LG_ACTIVE##</label>{/iw_message_block}
      </td>
    </tr>

    {foreach item=node from=$iw_nodes}

      <tr class="{cycle}">
        <td class="center">
          <input type="checkbox"
                 name="nodes[]"
                 tabindex="{counter}"
                 {if $node.inprogress neq ''}
                   disabled="true"
                 {/if}
                 value="{$node.hostname}"
                 id="{$node.hostname}">
        </td>
        <td class="center">
          <label for="{$node.hostname}">
            {$node.hostname}<br>
            [{$node.ipaddr}]
          </label>
        </td>
        <td class="center">
          <label for="{$node.hostname}">
            {if $node.isdirector}
              ##LG_DIRECTOR##
            {/if}
            {if $node.isrealserver}
              ##LG_REAL_SERVER##
            {/if}
          </label>
        </td>
        <td class="center">
          {if $node.inprogress neq ''}

            {iw_message_block mode='neutral'}
              <label for="{$node.hostname}">
                ##LG_INPROGRESS##
                <br>
                {$node.inprogress|string_format:"%.2f"}% ##LG_DONE##
              </label>
            {/iw_message_block}
          {else}
            {if $node.status eq 'active'}
              {iw_message_block mode='positive'}<label for="{$node.hostname}">##LG_ACTIVE##</label>{/iw_message_block}
            {else}
              {iw_message_block mode='negative'}<label for="{$node.hostname}">##LG_INACTIVE##</label>{/iw_message_block}
            {/if}
          {/if}
        </td>
      </tr>

    {/foreach}

    {if count( $iw_nodes ) eq 0}

      <tr>
        <td colspan="5">
          {iw_message text='##LG_NO_NODES_IN_CLUSTER##' mode='neutral'}
        </td>
      </tr>

    {else}

      <tr class="iw-table-ft">
        <td class="center">
          <img alt="arrow" src="/nodeworx/templates/{$iw_theme}/images/arrow.gif">
        </td>
        <td colspan="3" class="left">
          [ <a href="#"
               tabindex="{counter}"
               onClick="setCheckboxes('nodes','nodes[]',true);return false;">##LG_CHECKALL##</a> ]
          [ <a href="#"
               tabindex="{counter}"
               onClick="setCheckboxes('nodes','nodes[]',false);return false;">##LG_CHECKNONE##</a> ]
          {iw_quickhelp id="LG_QH_NODE_ACTION"}
          <select name="action"
                  class="select"

    onchange='javascript:confirmSubmitCheckbox( this,
                                                "nodes[]",
                                                "##LG_SELECTED_NODES##",
	                                     					"##LG_CONFIRM_ACTION##",
                                                "##LG_NOTHING_SELECTED##" );'
                                                tabindex="{counter}">
            <option value="0">##LG_WITH_SELECTED##:</option>
            {html_options options=$iw_node_actions}
          </select>
        </td>
      </tr>

    {/if}

  </form>

  </table>

{include file="content-frame-bottom.tpl"}
