
<!--
  NodeWorx Template
-->

<!--
  This template is used to display your server overview,
  including your info, the server info, and a quick look at
  the server statistics.
-->

<!--
  PLEASE read the skinning  manual before editing this
  template.  The skinning manual can be found at:
  http://interworx.info/products/iworx-cp/themes/howto/
-->

<!--
  Smarty variables available to the template designer:

  Just edit the iworx.ini file to see a popup window of
  what smarty variables are available to you.  You should
  base all of your templates on the iw_ prefix'd variables
  as any others *may* change
-->

{include file="content-frame-top.tpl"
         header="##LG_DNSMANAGEMENT##"}

  {* for tabindex *}
  {counter start=1 print=false}

  {if $iw_setup}
    {iw_message text='##LG_SETUP_DNS_SERVERS##' mode='neutral'}
  {/if}

  <table class="columns">



    <tr>
      <td class="columns" style="width: 50%;">

        <h1>##LG_DNS_SERVER_INFORMATION##</h1>
        <form action="{$iw_self}" method="post" name="default_servers">
        <input type="hidden" name="action" value="default_servers">
        <table class="iw-table" width="100%">
          <tr class="{cycle}">
            <td class="iw-col1">
              ##LG_VERSION##:
              {iw_quickhelp id="LG_QH_DNS_SERVER_VERSION"}
            </td>
            <td>
              {$iw_dns.version} (djbdns)
            </td>
          </tr>
        </table>
        </form>

        {iw_form form=$iw_form.servers}
        {if !$iw_is_reseller}
          {iw_form form=$iw_form.zone_defaults}
        {/if}
      </td>
      <td class="columns">
        {if !$iw_is_reseller}

        <h1>##LG_ACTIVE_DNS_SERVICES## (##LG_RECURSIVE##)
        {iw_quickhelp id="LG_QH_DNS_RECURSIVE"}
        </h1>

        <form name="caches" method="post" action="{$iw_self}">
        <input type="hidden" name="action" value="active_servers">
        <table class="iw-table" width="100%">
          <tr class="iw-table-hd">
            <td>
              &nbsp;
            </td>
            <td>
              ##LG_SERVER_IP##
            </td>
            <td>
              ##LG_PORT##
            </td>
            <td>
              ##LG_PROTOCOL##
            </td>
            <td>
              ##LG_STATUS##
            </td>
          </tr>



          {foreach item=cache from=$iw_caches}

            <tr class="{cycle} center ruler">
              <td>
                <input type="checkbox"
                       name="input[caches][]"
                       tabindex="{counter}"
                       value="{$cache.ip}"
                       id="cache-{$cache.ip}">
              </td>
              <td>
                <label for="cache-{$cache.ip}">
                  {$cache.ip}
                </label>
              </td>
              <td>
                <label for="cache-{$cache.ip}">
                  53
                </label>
              </td>
              <td>
                <label for="cache-{$cache.ip}">
                  TCP / UDP
                </label>
              </td>
              <td width="15%" class="nowrap">
                {if $cache.status eq 'up'}
                  {iw_message_block mode='positive'}
                    <label for="cache-{$cache.ip}">
                      ##LG_RUNNING##
                    </label>
                  {/iw_message_block}
                {else}
                  {iw_message_block mode='negative'}
                    <label for="cache-{$cache.ip}">
                      ##LG_STOPPED##
                    </label>
                  {/iw_message_block}
                {/if}
              </td>
            </tr>

          {/foreach}

          <tr class="iw-table-ft">
            <td class="center">
              <img alt="arrow" src="/nodeworx/templates/{$iw_theme}/images/arrow.gif">
            </td>
            <td colspan="4" class="left nowrap">
              [ <a href="#"
                   tabindex="{counter}"
                   onClick="setCheckboxes('caches','input[caches][]',true);return false;">##LG_CHECKALL##</a> ]
              [ <a href="#"
                   tabindex="{counter}"
                   onClick="setCheckboxes('caches','input[caches][]',false);return false;">##LG_CHECKNONE##</a> ]
              {iw_quickhelp id="LG_QH_RECURSIVE_DROP_DOWN"}
              <select name="input[action]"
                      class="select"

    onchange='javascript:confirmSubmitCheckbox( this,
                                                "input[caches][]",
                                                "##LG_SELECTED_DNS_SERVICES##",
						"##LG_CONFIRM_ACTION##",
                                                "##LG_NOTHING_SELECTED##" );'

                      tabindex="{counter}">
                <option value="0">##LG_WITH_SELECTED##:</option>
                {html_options options=$iw_cache_actions}
              </select>
            </td>
          </tr>
        </table>
        </form>

        <h1>##LG_ACTIVE_DNS_SERVICES## (##LG_ITERATIVE##)
        {iw_quickhelp id="LG_QH_DNS_ITERATIVE"}
        </h1>

        <form name="servers" method="post" action="{$iw_self}">
        <input type="hidden" name="action" value="active_servers">
        <table class="iw-table" width="100%">
          <tr class="iw-table-hd">
            <td>
              &nbsp;
            </td>
            <td>
              ##LG_SERVER_IP##
            </td>
            <td>
              ##LG_PORT##
            </td>
            <td>
              ##LG_PROTOCOL##
            </td>
            <td>
              ##LG_STATUS##
            </td>
          </tr>



          {foreach item=server from=$iw_servers}

            <tr class="{cycle} center ruler">
              <td>
                <input type="checkbox"
                       name="input[servers][]"
                       tabindex="{counter}"
                       value="{$server.ip}"
                       id="server-{$server.ip}">
              </td>
              <td>
                <label for="server-{$server.ip}">
                  {$server.ip}
                </label>
              </td>
              <td>
                <label for="server-{$server.ip}">
                  53
                </label>
              </td>
              <td>
                <label for="server-{$server.ip}">
                  UDP
                </label>
              </td>
              <td width="15%" class="nowrap">
                {if !$server.on_system}
                    {iw_message_block mode='negative'}
                      <label for="server-{$server.ip}">
                        ##LG_NOT_ON_SYSTEM##
                      </label>
                    {/iw_message_block}
                {else}
                  {if $server.status eq 'up'}
                    {iw_message_block mode='positive'}
                      <label for="server-{$server.ip}">
                        ##LG_RUNNING##
                      </label>
                    {/iw_message_block}
                  {else}
                    {iw_message_block mode='negative'}
                      <label for="server-{$server.ip}">
                        ##LG_STOPPED##
                      </label>
                    {/iw_message_block}
                  {/if}
                {/if}
              </td>
            </tr>

          {foreachelse}

            <tr>
              <td colspan="5">
                {iw_message text='##LG_NO_ITERATIVE_DNS_SERVERS_AVAILABLE##' mode='neutral'}
              </td>
            </tr>

          {/foreach}

          {if count( $iw_servers ) gt 0}
            <tr class="iw-table-ft">
              <td class="center">
                <img alt="arrow" src="/nodeworx/templates/{$iw_theme}/images/arrow.gif">
              </td>
              <td colspan="4" class="left nowrap">
                [ <a href="#"
                     tabindex="{counter}"
                     onClick="setCheckboxes('servers','input[servers][]',true);return false;">##LG_CHECKALL##</a> ]
                [ <a href="#"
                     tabindex="{counter}"
                     onClick="setCheckboxes('servers','input[servers][]',false);return false;">##LG_CHECKNONE##</a> ]
                {iw_quickhelp id="LG_QH_ITERATIVE_DROP_DOWN"}
                <select name="input[action]"
                        class="select"

    onchange='javascript:confirmSubmitCheckbox( this,
                                                "input[servers][]",
                                                "##LG_SELECTED_DNS_SERVICES##",
						"##LG_CONFIRM_ACTION##",
                                                "##LG_NOTHING_SELECTED##" );'
                        tabindex="{counter}">
                  <option value="0">##LG_WITH_SELECTED##:</option>
                  {html_options options=$iw_mapped_actions}
                </select>
              </td>
            </tr>
          {/if}
        </table>
        </form>

        {if count( $iw_unmapped_ips ) > 0}

          <h1>##LG_IPS_WITHOUT_DNS_SERVICES##</h1>
          <form name="unmapped" method="post" action="{$iw_self}">
          <input type="hidden" name="action" value="unmapped_ips">
          <table class="iw-table" width="100%">
            <tr class="iw-table-hd">
              <td>
                &nbsp;
              </td>
              <td>
                ##LG_SERVER_IP##
              </td>
              <td>
                ##LG_STATUS##
              </td>
            </tr>



            {foreach item=server from=$iw_unmapped_ips}

              <tr class="{cycle} center ruler">
                <td>
                  <input type="checkbox"
                         name="input[unmapped][]"
                         tabindex="{counter}"
                         value="{$server.ip}"
                         id="server-{$server.ip}">
                </td>
                <td>
                  <label for="server-{$server.ip}">
                    {$server.ip}
                  </label>
                </td>
                <td width="15%" class="nowrap">
                  {iw_message_block mode='neutral'}
                    <label for="server-{$server.ip}">
                      ##LG_UNUSED##
                    </label>
                  {/iw_message_block}
                </td>
              </tr>

            {/foreach}

            <tr class="iw-table-ft">
              <td class="center">
                <img alt="arrow" src="/nodeworx/templates/{$iw_theme}/images/arrow.gif">
              </td>
              <td colspan="4" class="left nowrap">
                [ <a href="#"
                     tabindex="{counter}"
                     onClick="setCheckboxes('unmapped','input[unmapped][]',true);return false;">##LG_CHECKALL##</a> ]
                [ <a href="#"
                     tabindex="{counter}"
                     onClick="setCheckboxes('unmapped','input[unmapped][]',false);return false;">##LG_CHECKNONE##</a> ]
              {iw_quickhelp id="LG_QH_DNS_IPS_DROP_DOWN"}
                <select name="todo"
                        class="select"
    onchange='javascript:confirmSubmitCheckbox( this,
                                                "input[unmapped][]",
                                                "##LG_SELECTED_DNS_SERVICES##",
						                        "##LG_CONFIRM_ACTION##",
                                                "##LG_NOTHING_SELECTED##" );'

                        tabindex="{counter}">
                  <option value="0">##LG_WITH_SELECTED##:</option>
                  {html_options options=$iw_unmapped_actions}
                </select>
              </td>
            </tr>
          </table>
        </form>
        {/if}
        {/if}
      </td>
    </tr>
  </table>

{include file="content-frame-bottom.tpl"}
