
<!--
  NodeWorx Template
-->

<!--
  This template is used to display your server overview,
  including your info, the server info, and a quick look at
  the server statistics.
-->

<!--
  PLEASE read the skinning  manual before editing this
  template.  The skinning manual can be found at:
  http://interworx.info/products/iworx-cp/themes/howto/
-->

<!--
  Smarty variables available to the template designer:

  Just edit the iworx.ini file to see a popup window of
  what smarty variables are available to you.  You should
  base all of your templates on the iw_ prefix'd variables
  as any others *may* change
-->

{include file="content-frame-top.tpl"
         header="##LG_FIREWALL##"}

{iw_add_js file="/static/$iw_lang/$iw_rpm_release/nodeworx/js/iw_service.js"}
{iw_add_js file="/static/$iw_lang/$iw_rpm_release/nodeworx/js/iw_firewall.js"}

  {* for tabindex *}
  {counter start=1 print=false}

  <table class="columns">



    <tr>
      <td class="columns" style="width: 50%;">

        <h1>##LG_SERVER_CONTROL##
        {iw_quickhelp id="LG_QH_FIREWALLCONTROL"}
        </h1>

        <table class="iw-table"
               width="100%">
          <tr class="{cycle}">
            <td class="iw-col1">
              ##LG_STATUS##:
            </td>
            <td>
              {iw_service_status_verbose driver="APF"}
            </td>
          </tr>
          <tr class="{cycle} nowrap">
            <td class="iw-col1">
              ##LG_ACTION##:
            </td>
            <td>
              {iw_service_control driver="APF"}
            </td>
          </tr>
        </table>

        {iw_form form=$iw_form.sob}

        {iw_form form=$iw_form.info}

      <td class="columns">
      {iw_form form=$iw_form.allowdeny}
      </td>
    </tr>

    <tr>
      <td class="columns" colspan="2">
        <h1>##LG_PORT_ACCESS##
        {iw_quickhelp id="LG_QH_FIREWALL_PORT_ACCESS"}

        <table class="iw-table"
               width="100%">

          <tr class="iw-table-hd">
            <td width="5%">&nbsp;</td>
            <td class="nowrap">
              ##LG_SERVICE##
            </td>
            <td class="nowrap">
              ##LG_PORT##
            </td>
            <td class="nowrap" width="5%">
              ##LG_TCP## ##LG_IN##
            </td>
            <td class="nowrap" width="5%">
              ##LG_TCP## ##LG_OUT##
            </td>
            <td class="nowrap" width="5%">
              ##LG_UDP## ##LG_IN##
            </td>
            <td class="nowrap" width="5%">
              ##LG_UDP## ##LG_OUT##
            </td>
          </tr>

        <form name="add_port"
              method="post"
              action="{$iw_self}">
        <input type="hidden" name="action" value="add_port">

          <tr class="iw-table-input">
            <td class="center">
              <input type="submit"
                     class="button"
                     tabindex="{counter}"
                     value="##LG_ADD##">
            </td>
            <td class="center">&nbsp;
            </td>
            <td class="center">
              <input type="text"
                     name="input[port]"
                     id="port"
                     tabindex="{counter}"
                     size="12"
                     class="textbox"
                     value="{$iw_feedback.port}">
            </td>
            <td class="center">
              <select name="input[tcp_flow_in]"
                     tabindex="{counter}"
                     class="select" >
              {html_options options=$iw_port_status}
              </select>
            </td>
            <td class="center">
              <select name="input[tcp_flow_out]"
                     tabindex="{counter}"
                     class="select" >
              {html_options options=$iw_port_status}
              </select>
            </td>
            <td class="center">
              <select name="input[udp_flow_in]"
                     tabindex="{counter}"
                     class="select" >
              {html_options options=$iw_port_status}
              </select>
            </td>
            <td class="center">
              <select name="input[udp_flow_out]"
                     tabindex="{counter}"
                     class="select" >
              {html_options options=$iw_port_status}
              </select>
            </td>
          </tr>
        </form>

        <form action="{$iw_self}"
              name="ports"
              method="post">


        {foreach key=port item=ips from=$iw_firewall.service_ports}
          {foreach key=ip item=service_info from=$ips}
          <tr class="{cycle} center ruler">
            <td class="center">
              <input type="checkbox"
                     name="ports[]"
                     tabindex="{counter}"
                     value="{$port}"
                     id="port_{$port}">
            </td>
            <td>
              <label for="port_{$port}">
                {$iw_service_names[$port]|default:"##LG_NOT_APPLICABLE##"}
              </label>
            </td>
            <td>
              <label for="port_{$port}">
                {$port|replace:"_":"-"}
              </label>
            </td>
            <td>
            {if $iw_firewall.running eq false}
              {assign var='iw_message_mode' value='neutral'}
            {elseif $service_info.tcp.in eq 'open'}
              {assign var='iw_message_mode' value='positive'}
            {else}
              {assign var='iw_message_mode' value='negative'}
            {/if}
              {iw_message_block mode=$iw_message_mode}
                <select name="input[{$port}][tcp_flow_in]"
                       tabindex="{counter}"
                       onchange="document.forms.ports.port_{$port}.checked=true"
                       class="select" >
                {html_options options=$iw_port_status
                              selected=$service_info.tcp.in|default:"closed"}
                </select>
              {/iw_message_block}
            </td>
            <td>
            {if $iw_firewall.running eq false}
              {assign var='iw_message_mode' value='neutral'}
            {elseif $service_info.tcp.out eq 'open'}
              {assign var='iw_message_mode' value='positive'}
            {else}
              {assign var='iw_message_mode' value='negative'}
            {/if}
              {iw_message_block mode=$iw_message_mode}
              <select name="input[{$port}][tcp_flow_out]"
                     tabindex="{counter}"
                     onchange="document.forms.ports.port_{$port}.checked=true"
                     class="select" >
              {html_options options=$iw_port_status
                            selected=$service_info.tcp.out|default:"closed"}
              </select>
              {/iw_message_block}
            </td>
            <td>
            {if $iw_firewall.running eq false}
              {assign var='iw_message_mode' value='neutral'}
            {elseif $service_info.udp.in eq 'open'}
              {assign var='iw_message_mode' value='positive'}
            {else}
              {assign var='iw_message_mode' value='negative'}
            {/if}
              {iw_message_block mode=$iw_message_mode}
              <select name="input[{$port}][udp_flow_in]"
                     tabindex="{counter}"
                     onchange="document.forms.ports.port_{$port}.checked=true"
                     class="select" >
              {html_options options=$iw_port_status
                            selected=$service_info.udp.in|default:"closed"}
              </select>
              {/iw_message_block}
            </td>
            <td>
            {if $iw_firewall.running eq false}
              {assign var='iw_message_mode' value='neutral'}
            {elseif $service_info.udp.out eq 'open'}
              {assign var='iw_message_mode' value='positive'}
            {else}
              {assign var='iw_message_mode' value='negative'}
            {/if}
            {iw_message_block mode=$iw_message_mode}
              <select name="input[{$port}][udp_flow_out]"
                     tabindex="{counter}"
                     onchange="document.forms.ports.port_{$port}.checked=true"
                     class="select" >
              {html_options options=$iw_port_status
                            selected=$service_info.udp.out|default:"closed"}
              </select>
            {/iw_message_block}
            </td>
          </tr>
        {/foreach}

        {foreachelse}

          <tr>
            <td colspan="7">
              {iw_message text='##LG_NO_PORTS##' mode='neutral'}
            </td>
          </tr>

        {/foreach}

          <tr class="iw-table-ft">
            <td class="center">
              <img alt="arrow" src="/nodeworx/templates/{$iw_theme}/images/arrow.gif">
            </td>
            <td colspan="7" class="left">
              [ <a href="#"
                   tabindex="{counter}"
                   onClick="setCheckboxes('ports','ports[]',true);return false;">##LG_CHECKALL##</a> ]
              [ <a href="#"
                   tabindex="{counter}"
                   onClick="setCheckboxes('ports','ports[]',false);return false;">##LG_CHECKNONE##</a> ]
              {iw_quickhelp id="LG_QH_FIREWALL_PORTS_DROPDOWN"}
              <select id="ports_select"
                      name="action"
                      class="select"
                      tabindex="{counter}">
                <option value="0">##LG_WITH_SELECTED##:</option>
                {html_options options=$iw_firewall_actions}
              </select>
            </td>
          </tr>
        </form>
        </table>
      </td>
    </tr>

  </table>

{include file="content-frame-bottom.tpl"}