
<!--
  NodeWorx Template
-->

<!--
  This template is used to display your server overview,
  including your info, the server info, and a quick look at
  the server statistics.
-->

<!--
  PLEASE read the skinning  manual before editing this
  template.  The skinning manual can be found at:
  http://interworx.info/products/iworx-cp/themes/howto/
-->

<!--
  Smarty variables available to the template designer:

  Just edit the iworx.ini file to see a popup window of
  what smarty variables are available to you.  You should
  base all of your templates on the iw_ prefix'd variables
  as any others *may* change
-->

{include
  file="content-frame-top.tpl"
  header="##LG_IP_MANAGEMENT##"}

{literal}
<script language="javascript" type="text/javascript">
  function enableElements() {
    with( document.ips ) {
      for(i=0; i<elements.length; i++) {
        if( elements[i].disabled && elements[i].type != 'submit' )
	  elements[i].disabled=false;
      }
    }
  }
</script>
{/literal}


  {* for tabindex *}
  {counter start=1 print=false}



  {* check for IPs that are NOT bound to the system
     but are used in siteworx accounts and throw up
     a warning *}

  {assign var="unmapped_ips" value="false"}
  {foreach item=ipaddr from=$iw_ip}
    {if !$ipaddr.sys_aware && count( $ipaddr.domains ) > 0}
      {assign var="unmapped_ips" value="true"}
    {/if}
  {/foreach}

  {if $unmapped_ips eq 'true'}
    {iw_message text='##LG_IP_UNMAPPED_IPS_WITH_DOMAINS##' mode='negative'}
  {/if}

  <table class="columns">
    <tr>
      <td class="columns" style="width: 50%;">
        {iw_form form=$iw_form.add_range}
      </td>
      <td class="columns" style="width: 50%;">
        <h1>##LG_NETWORK_DEVICES##
        {iw_quickhelp id="LG_QH_NETWORK_DEVICES"}
        </h1>

        <table class="iw-table"
               width="100%">
          <tr class="iw-table-hd">
            <td>##LG_DEVICE##
            </td>
            <td>##LG_FUNCTION##
            </td>
          </tr>
          {foreach key=device item=devinfo from=$iw_net_devices}
            <tr class="{cycle} ruler">
              <td>
                {$device}
              </td>
              <td>
                {if $device eq 'lo'}
                  ##LG_LOOPBACK##
                {elseif $device eq 'eth0'}
                  ##LG_PRIMARY_ETHERNET##
                {/if}
              </td>
            </tr>
          {/foreach}
        </table>
      </td>
    </tr>
  </table>

  <h1>
    ##LG_IP_ADDRESS_LIST##
  </h1>
  <form name="ips" action="{$iw_self}" method="post">
  <input type="hidden" name="action" value="update">
  <table class="iw-table"
         width="100%">
    <tr class="iw-table-hd">
      <td width="5%">&nbsp;</td>
      <td>
        ##LG_IPADDRESS##
      </td>

      {if $iw_has_internal_ips}
        <td>
          ##LG_EXTERNAL_IP##
        </td>
      {/if}

      <td>
        ##LG_DEVICE##
      </td>
      <td>
        ##LG_TYPE##
      </td>
      <td width="5%">
        ##LG_IP_AVAILABLE_TO_RESELLERS##
      </td>

      {if $iw_node.ismanager}
      <td width="5%">
        ##LG_IP_AVAILABLE_TO_CLUSTER##
      </td>
      {/if}

      <td width="5%">
        ##LG_SYSTEM_AWARE##
      </td>
      <td width="5%">
        ##LG_IWORX_AWARE##
      </td>
      <td>
        ##LG_STATUS##
      </td>
    </tr>

    {foreach item=ipaddr from=$iw_ip}

    {assign var=linedisabled value=false}
    {if ($ipaddr.vip eq 'yes' &&
         $iw_is_clustered     &&
         !$iw_is_manager) ||
        ($ipaddr.vip eq 'no' &&
         $iw_is_clustered    &&
         !$iw_is_manager     &&
         $ipaddr.device eq 'eth0')}
      {assign var=linedisabled value=true}
    {/if}

    <tr class="{cycle} ruler">
      <td class="center" width="5%">
        <input type="checkbox"
               name="input[ips][]"
               {if $linedisabled}disabled{/if}
               tabindex="{counter}"
               value="{$ipaddr.ipaddr}"
               id="ip_{$ipaddr.ipaddr|replace:".":"_"}">

      </td>
      <td class="center">
        <label for="ip_{$ipaddr.ipaddr|replace:".":"_"}">
          <strong>{$ipaddr.ipaddr}</strong>
        </label>
      </td>

      {if $iw_has_internal_ips}
      <td class="center" style="padding-left: 5px;">
        <input type="text"
               id="ext_ipaddr_{$ipaddr.ipaddr|replace:".":"_"}"
               name="input[{$ipaddr.ipaddr}][ext_ipaddr]"
               tabindex="{counter}"
               class="textbox"
               {if $linedisabled || !$ipaddr.is_internal}disabled{/if}
               size="16"
               onkeypress="document.forms.ips.ip_{$ipaddr.ipaddr|replace:".":"_"}.checked=true"
               maxlength="15"
               {if empty( $ipaddr.ext_ipaddr ) ||
                   $ipaddr.ext_ipaddr eq '0.0.0.0'}
                 value="{$ipaddr.ipaddr}"
               {else}
                 value="{$ipaddr.ext_ipaddr}"
               {/if}>
      </td>
      {/if}

      <td class="center nowrap" width="12%">
        {if $ipaddr.device eq '0'}
          <div class="iw-negative">
            <label for="ip_{$ipaddr.ipaddr|replace:".":"_"}">
              ##LG_NONE##
            </label>
          </div>
        {else}
          <label for="ip_{$ipaddr.ipaddr|replace:".":"_"}">
            {$ipaddr.device}
          </label>
        {/if}
      </td>
      <td class="nowrap">
        <select name="input[{$ipaddr.ipaddr}][type]"
                tabindex="{counter}"
                onchange="document.forms.ips.ip_{$ipaddr.ipaddr|replace:".":"_"}.checked=true"
                {if ( count( $ipaddr.resellers ) > 1 && $ipaddr.type eq 'shared' )
                   || $ipaddr.type eq 'static' && $ipaddr.ssl_domain neq ''
                   || $linedisabled
                   || $ipaddr.type eq 'shared' && $ipaddr.siteworx_count > 1
                }disabled{/if}
                class="select">
          {html_options options=$iw_ip_types
                        selected=$ipaddr.type}
        </select>
        {if $ipaddr.ssl_domain neq ''}
          {assign var="temp" value=$ipaddr.ssl_domain}
          {iw_icon title="##LG_SSL_IN_USE_BY## $temp" class="iw-i-key"}
        {/if}
      </td>

      <td class="center" width="10%">

        {if $ipaddr.reseller eq '' || $ipaddr.reseller eq 'no'}
          {assign var='iw_message_mode' value='neutral'}
        {else}
          {assign var='iw_message_mode' value='positive'}
        {/if}
        {iw_message_block mode=$iw_message_mode}

        <select name="input[{$ipaddr.ipaddr}][reseller]"
                tabindex="{counter}"
                {if $linedisabled}disabled{/if}
                onchange="document.forms.ips.ip_{$ipaddr.ipaddr|replace:".":"_"}.checked=true"
                  {if $ipaddr.assigned_to_reseller ||
                    (!$ipaddr.assigned_to_reseller &&
                    count( $ipaddr.domains ) > 0 &&
                    $ipaddr.type eq "static") }
                    disabled
                  {/if}
                class="select">
          <option value="yes"
                  {if $ipaddr.reseller eq "yes" || $ipaddr.assigned_to_reseller}
                    selected
                  {/if}>
            ##LG_YES##
          </option>
          <option value="no"
                  {if $ipaddr.reseller ne "yes"}
                    selected
                  {/if}>
            ##LG_NO##
          </option>
        </select>
        {/iw_message_block}
      </td>

      {if $iw_node.isdirector}
      <td class="center" width="10%">

        {if $iw_quorum_ip eq $ipaddr.ipaddr}
          {assign var='iw_message_mode' value='positive'}
        {else}
          {if $ipaddr.vip eq 'no' || $ipaddr.vip eq ''}
            {assign var='iw_message_mode' value='neutral'}
          {else}
            {assign var='iw_message_mode' value='positive'}
          {/if}
        {/if}
        {iw_message_block mode=$iw_message_mode}
        {if $iw_quorum_ip eq $ipaddr.ipaddr}
          <label for="ip_{$ipaddr.ipaddr|replace:".":"_"}">
            ##LG_QUORUM##
          </label>
        {else}
          <select name="input[{$ipaddr.ipaddr}][vip]"
                  tabindex="{counter}"
                  {if $linedisabled}disabled{/if}
                  onchange="document.forms.ips.ip_{$ipaddr.ipaddr|replace:".":"_"}.checked=true"

                  class="select">
            <option value="yes"
                    {if $ipaddr.vip eq "yes"}
                      selected
                    {/if}>
              ##LG_YES##
            </option>
            <option value="no"
                    {if $ipaddr.vip ne "yes"}
                      selected
                    {/if}>
              ##LG_NO##
            </option>
          </select>
        {/if}
        {/iw_message_block}
      </td>
      {/if}

      <td class="center" width="10%">
        {if !$ipaddr.sys_aware}
          {assign var='iw_message_mode' value='negative'}
        {else}
          {assign var='iw_message_mode' value='positive'}
        {/if}
        {iw_message_block mode=$iw_message_mode}
        <select name="input[{$ipaddr.ipaddr}][sys_aware]"
                tabindex="{counter}"
                {if $iw_quorum_ip eq $ipaddr.ipaddr}disabled{/if}
                {if count( $ipaddr.domains ) gt 0 && $ipaddr.sys_aware}disabled{/if}
                {if $linedisabled}disabled{/if}
                onchange="document.forms.ips.ip_{$ipaddr.ipaddr|replace:".":"_"}.checked=true"
                class="select">
          <option value="yes"
                  {if $ipaddr.sys_aware}
                    selected
                  {/if}>
            ##LG_YES##
          </option>
          <option value="no"
                  {if !$ipaddr.sys_aware}
                    selected
                  {/if}>
            ##LG_NO##
          </option>
        </select>
        {/iw_message_block}
      </td>
      <td class="center" width="10%">
        {if !$ipaddr.iworx_aware}
          {assign var='iw_message_mode' value='negative'}
        {else}
          {assign var='iw_message_mode' value='positive'}
        {/if}
        {iw_message_block mode=$iw_message_mode}

	{if $ipaddr.iworx_aware}
          ##LG_YES##
        {else}

        <select name="input[{$ipaddr.ipaddr}][iworx_aware]"
                {if $linedisabled}disabled{/if}
                tabindex="{counter}"
                onchange="document.forms.ips.ip_{$ipaddr.ipaddr|replace:".":"_"}.checked=true"
                class="select">
          <option value="yes"
                  {if $ipaddr.iworx_aware}
                    selected
                  {/if}>
            ##LG_YES##
          </option>
          <option value="no"
                  {if !$ipaddr.iworx_aware}
                    selected
                  {/if}>
            ##LG_NO##
          </option>
        </select>

        {/if}
        {/iw_message_block}
      </td>
      <td class="center nowrap" width="20%">{strip}
        <div class="iw-neutral">
           <label for="ip_{$ipaddr.ipaddr|replace:".":"_"}">
        {if count( $ipaddr.domains ) gt 0}
              ##LG_USED##
        {else}
          <span class="iw-positive">
              ##LG_UNUSED##
          </span>
        {/if}
        {if count( $ipaddr.domains ) gt 0}
<br>
[ <a title="{", "|implode:$ipaddr.domains}"
              href="{$iw_self}?action=domains&amp;ip={$ipaddr.ipaddr}">{$ipaddr.domains|@count} ##LG_DOMAINS##</a> ]
<br>
        {/if}

	{if $ipaddr.assigned_to_reseller}
[ <a title="{", "|implode:$ipaddr.resellers}"
              href="{$iw_self}?action=resellers&amp;ip={$ipaddr.ipaddr}">{$ipaddr.resellers|@count} ##LG_RESELLERS##</a> ]
        {/if}
            {/strip}</label>
          </div>
      </td>
    </tr>

    {foreachelse}
      <tr>
        <td colspan="9">
          {iw_message text='##LG_NOIPADDRESSESCONFIGURED##' mode='negative'}
        </td>
      </tr>
    {/foreach}

    {if count( $iw_ip ) > 0}
    <tr class="iw-table-ft">
      <td class="center">
        <img alt="arrow" src="/nodeworx/templates/{$iw_theme}/images/arrow.gif">
      </td>
      <td colspan="8" class="left">
        [ <a href="#"
             tabindex="{counter}"
             onClick="setCheckboxes('ips','input[ips][]',true);return false;">##LG_CHECKALL##</a> ]
        [ <a href="#"
             tabindex="{counter}"
             onClick="setCheckboxes('ips','input[ips][]',false);return false;">##LG_CHECKNONE##</a> ]
        {iw_quickhelp id="LG_QH_IP_MNGMT_DROPDOWN"}
        <select name="action"
                class="select"
                onchange='javascript: enableElements(); this.form.submit();'
                tabindex="{counter}">
          <option value="0">##LG_WITH_SELECTED##:</option>
          {html_options options=$iw_ip_actions}
        </select>
      </td>
    </tr>
    {/if}
  </table>
  </form>

{include file="content-frame-bottom.tpl"}
