
<!--
  NodeWorx Template
-->

<!--
  This template is used to display your server overview,
  including your info, the server info, and a quick look at
  the server statistics.
-->

<!--
  PLEASE read the skinning  manual before editing this
  template.  The skinning manual can be found at:
  http://interworx.info/products/iworx-cp/themes/howto/
-->

<!--
  Smarty variables available to the template designer:

  Just edit the iworx.ini file to see a popup window of
  what smarty variables are available to you.  You should
  base all of your templates on the iw_ prefix'd variables
  as any others *may* change
-->

{include file="content-frame-top.tpl"
         header="##LG_MYSQL_SERVER_MANAGEMENT##"}

{iw_add_js file="/static/$iw_lang/$iw_rpm_release/nodeworx/js/iw_service.js"}
{iw_add_js file="/static/$iw_lang/$iw_rpm_release/nodeworx/js/iw_mysql.js"}

  {* for tabindex *}
  {counter start=1 print=false}

  {if $iw_server.is_local == true}
  <div style="width: 100%; margin: 0px auto 5px auto; text-align: center;">
    <a href="/nodeworx/rrd?action=history&amp;service=mysql&amp;graph=queries">
    <img alt="MySQL Graph"
         id="rrdgraphimage"
      {if !$iw_mysql.rrd}
         style=" height: 0;"
      {/if}
         src="/nodeworx/rrd?action=full&amp;service=mysql&amp;graph=queries"
         /></a>
  </div>
  {/if}

  {if isset( $iw_form.rrd ) }
    {iw_form_inline form=$iw_form.rrd align="center"}
  {/if}

  <table class="columns">

    <tr>
      <td class="columns" style="width: 50%;">
        {if $iw_server.is_local == true}
        <h1>##LG_MYSQL_SERVER_CONTROL##
        {iw_quickhelp id="LG_QH_MYSQLSERVERCONTROL"}
        </h1>

        <table class="iw-table"
               width="100%">
          <tr class="{cycle}">
            <td class="iw-col1">
              ##LG_STATUS##:
            </td>
            <td>
              {iw_service_status_verbose driver="MySQL"}
            </td>
          </tr>
          <tr class="{cycle}">
            <td class="iw-col1">
              ##LG_ACTION##:
            </td>
            <td class="nowrap">
              {iw_service_control driver="MySQL"}
            </td>
          </tr>
        </table>
        {/if}

        {if isset( $iw_form.sob ) }
          {iw_form form=$iw_form.sob}
        {/if}

        {if isset( $iw_form.autorestart ) }
          {iw_form form=$iw_form.autorestart}
        {/if}

        <h1>##LG_MYSQL_SERVER_INFO##</h1>

        <table class="iw-table"
               width="100%">
          <tr class="{cycle}">
            <td class="iw-col1">
              ##LG_VERSION##:
              {iw_quickhelp id="LG_QH_MYSQLVERSION"}
            </td>
            <td>
              {$iw_mysql.version}
            </td>
          </tr>
        </table>

        {if isset( $iw_form.autorestart ) }
          {iw_form form=$iw_form.options}
        {/if}
      </td>
      <td class="columns">
        {if isset( $iw_form.nickname) }
          {iw_form form=$iw_form.nickname}
        {/if}

        {if isset( $iw_form.rootpw ) }
          {iw_form form=$iw_form.rootpw}
        {/if}

        <h1>##LG_MYSQL_CURRENT_PROCESSES##
        {iw_quickhelp id="LG_QH_MYSQL_CURRENT_PROCESSES"}
        </h1>

        <form name="processes"
              method="post"
              action="{$iw_self}">
        <input type="hidden" name="action" value="terminate">
        <input type="hidden" name="server" value="{$iw_server.nickname}">
        <table class="iw-table" width="100%">
          <tr class="iw-table-hd">
            <td>
              &nbsp;
            </td>
            <td class="left">
              ##LG_ID##
            </td>
            <td class="left">
              ##LG_USERNAME##
            </td>
            <td>
              ##LG_COMMAND##
            </td>
            <td>
              ##LG_TIME##
            </td>
          </tr>

          {if count( $iw_mysql.processes ) gt 1}
          {foreach item=process from=$iw_mysql.processes}

            <tr class="{cycle} center ruler">
              <td>
                <input type="checkbox"
                       name="processes[]"
                       tabindex="{counter}"
                       value="{$process.Id}"
                       id="process-{$process.Id}">
              </td>

              <td class="left">
                <label for="process-{$process.Id}">
                  {$process.Id}
                </label>
              </td>

              <td class="left">
                <label for="process-{$process.Id}">
                  {$process.User}
                </label>
              </td>

              <td>
                <label for="process-{$process.Id}">
                  {$process.Command}
                </label>
              </td>

              <td>
                <label for="process-{$process.Id}">
                  {$process.Time}
                </label>
              </td>
            </tr>

          {/foreach}

            <tr class="iw-table-ft">
              <td class="center">
                <img alt="arrow" src="/nodeworx/templates/{$iw_theme}/images/arrow.gif">
              </td>
              <td colspan="4" class="left nowrap">
                [ <a href="#"
                     tabindex="{counter}"
                     onClick="setCheckboxes('processes','processes[]',true);return false;">##LG_CHECKALL##</a> ]
                [ <a href="#"
                     tabindex="{counter}"
                     onClick="setCheckboxes('processes','processes[]',false);return false;">##LG_CHECKNONE##</a> ]
                <select name="action"
                        class="select"
    onchange='javascript:confirmSubmitCheckbox( this,
                                                "processes[]",
                                                "##LG_SELECTED_MYSQL_PROCESSES##",
                                                "##LG_CONFIRM_ACTION##",
                                                "##LG_NOTHING_SELECTED##" );'
                        tabindex="{counter}">
                  <option value="0">##LG_WITH_SELECTED##:</option>
                  {html_options options=$iw_process_actions}
                </select>
              </td>
            </tr>

          {else}
            <tr>
              <td colspan="6">
                {iw_message text='##LG_NO_MYSQL_PROCESSES##' mode='neutral'}
              </td>
            </tr>
          {/if}
        </table>
        </form>
      </td>
    </tr>
  </table>

{include file="content-frame-bottom.tpl"}
