
<!--
  NodeWorx Template
-->

<!--
  This template is used to display your server overview,
  including your info, the server info, and a quick look at
  the server statistics.
-->

<!--
  PLEASE read the skinning  manual before editing this
  template.  The skinning manual can be found at:
  http://interworx.info/products/iworx-cp/themes/howto/
-->

<!--
  Smarty variables available to the template designer:

  Just edit the iworx.ini file to see a popup window of
  what smarty variables are available to you.  You should
  base all of your templates on the iw_ prefix'd variables
  as any others *may* change
-->

{include file="content-frame-top.tpl"
         header="##LG_NFS_MANAGEMENT## :: ##LG_EXPORTED_SHARES##"}

  {counter start=1 print=false}
  
  <table class="columns">
    <tr>
      <td class="columns" style="width: 100%;">
        {iw_form form=$iw_form }

        <h1>##LG_ADD_EXPORTED_FILESYSTEM##
      </td>
    </tr>
  </table>

  <h1>##LG_EXPORTED_NFS_SHARES##
  {iw_quickhelp id="LG_QH_EXPORTEDNFSSHARES"}
  </h1>
  <form name="nfs_exports"
        method="post"
        action="{$iw_self}">
  <table class="iw-table"
         width="100%">
    <tr class="iw-table-hd">
      <td width="5%">
        &nbsp;
      </td>
{if 0}
      <td width="5%">
        &nbsp;
      </td>
{/if}
      <td width="5%">
        ##LG_DIRECTORY##
      </td>
      <td>
        ##LG_ALLOWED_IPS##
      </td>
      <td>
        ##LG_EXPORT_OPTIONS##
      </td>
    </tr>

    

    {foreach item=export from=$iw_nfs.exports}

      {assign var=dir
              value=$export.dir|replace:"/":"_"}
      {assign var=ip
              value=$export.ip|replace:".":"_"}
      {assign var=id
              value=dir_$dir$ip}

      {if $iw_dir eq $export.dir &&
          $iw_ip  eq $export.ip}

        {* EDITING INTERFACE *}

        <form name="nfs_export_edit" action="{$iw_self}" method="post">
        <input type="hidden" name="action" value="edit">
        <input type="hidden" name="dir"    value="{$export.dir}">
        <input type="hidden" name="ip"     value="{$export.ip}">

        <tr class="{cycle}">
          <td class="center nowrap" colspan="2">
            <input type="button"
                   class="button"
                   tabindex="{counter}"
                   value="##LG_CANCEL##"
                   onClick='window.location="{$iw_self}";'>
            <input type="submit"
                   tabindex="{counter}"
                   class="button"
                   value="##LG_SAVE##">
          </td>
          <td>
            <input type="text"
                   value="{$export.dir}"
                   tabindex="{counter}"
                   class="textbox"
                   id="dir"
                   size="30"
                   name="input[dir]">
          </td>
          <td class="center">
            <input type="text"
                   value="{$export.ip}"
                   tabindex="{counter}"
                   class="textbox"
                   id="ip"
                   size="17"
                   maxlength="15"
                   name="input[ip]">
          </td>
          <td align="center">

            <table style="background-color: transparent;">
              <tr>
                <td class="nowrap">
                  ##LG_READ_WRITE_ACCESS##:
                </td>
                <td>
                  <select name="input[options][]"
                          id="access"
                          tabindex="{counter}"
                          class="select">
                    {html_options options=$iw_read_opts
                                  selected=$export.options.0}
                  </select>
                </td>
              </tr>
              <tr class="{cycle}">
                <td class="nowrap">
                  ##LG_ROOT_USER_ACCESS##:
                </td>
                <td>
                  <select name="input[options][]"
                          id="root"
                          tabindex="{counter}"
                          class="select">
                    {html_options options=$iw_root_opts
                                  selected=$export.options.1}
                  </select>
                </td>
              </tr>
              <tr class="{cycle}">
                <td class="nowrap">
                  ##LG_SYNC_OPTIONS##:
                </td>
                <td>
                  <select name="input[options][]"
                          id="sync"
                          tabindex="{counter}"
                          class="select">
                    {html_options options=$iw_sync_opts
                                  selected=$export.options.2}
                  </select>
                </td>
              </tr>
            </table>

          </td>
        </tr>

        </form>

      {else}

        {* NORMAL INTERFACE *}

        <tr class="{cycle}">
          {if !$iw_editing}
            <td class="center">
              <input type="checkbox"
                     name="exports[]"
                     tabindex="{counter}"
                     value="{$export.dir}:{$export.ip}"
                     id="{$id}">
            </td>
          {/if}
          {if 0}
          <td class="center nowrap" {if $iw_editing}colspan="2"{/if}>
            [ <a href="{$iw_self}?action=edit&amp;dir={$export.dir}&amp;ip={$export.ip}">##LG_EDIT##</a> ]
          </td>
          {/if}
          <td>
            <label for="{$id}">
              {$export.dir}
            </label>
          </td>
          <td class="center">
            <label for="{$id}">
              {$export.ip}
            </label>
          </td>
          <td class="center">
            <label for="{$id}">
              {foreach item=option from=$export.options name=options}
                {$option}{if $smarty.foreach.options.last neq 1},{/if}
              {/foreach}
            </label>
          </td>
        </tr>

      {/if}

    {/foreach}

    {if count( $iw_nfs.exports ) eq 0}

      <tr>
        <td colspan="5">
          {iw_message text='##LG_NO_EXPORTED_NFS_SHARES##' mode='neutral'}
        </td>
      </tr>

    {elseif !$iw_editing}

      <tr class="iw-table-ft">
        <td class="center">
          <img alt="arrow" src="/nodeworx/templates/{$iw_theme}/images/arrow.gif">
        </td>
        <td colspan="3" class="left">
          [ <a href="#"
               tabindex="{counter}"
               onClick="setCheckboxes('nfs_exports','exports[]',true);return false;">##LG_CHECKALL##</a> ]
          [ <a href="#"
               tabindex="{counter}"
               onClick="setCheckboxes('nfs_exports','exports[]',false);return false;">##LG_CHECKNONE##</a> ]

          {iw_quickhelp id="LG_QH_NFSEXPORTSACTION"}

          <select name="action"
                  class="select"
                  onchange='javascript:confirmSubmitCheckbox( this,
                                                "exports[]",
                                                "##LG_SELECTED_NFS_EXPORTS##",
						                                    "##LG_CONFIRM_ACTION##",
                                                "##LG_NOTHING_SELECTED##" );'
                  tabindex="{counter}">
            <option value="0">##LG_WITH_SELECTED##:</option>
            {html_options options=$iw_nfs_export_actions}
          </select>
        </td>
      </tr>

    {/if}
  </table>
  </form>

{include file="content-frame-bottom.tpl"}
