
<!--
  NodeWorx Template
-->

<!--
  This template is used to display your server overview,
  including your info, the server info, and a quick look at
  the server statistics.
-->

<!--
  PLEASE read the skinning  manual before editing this
  template.  The skinning manual can be found at:
  http://interworx.info/products/iworx-cp/themes/howto/
-->

<!--
  Smarty variables available to the template designer:

  Just edit the iworx.ini file to see a popup window of
  what smarty variables are available to you.  You should
  base all of your templates on the iw_ prefix'd variables
  as any others *may* change
-->

{include file="content-frame-top.tpl"
         header="##LG_NFS_MANAGEMENT## :: ##LG_MOUNTED_SHARES##"}

  {* for tabindex *}
  {counter start=1 print=false}

  

  <table class="columns">
    <tr>
      <td class="columns" style="width: 100%;">
        {iw_form form=$iw_form}
      </td>
    </tr>
  </table>

  <h1>##LG_MOUNTED_NFS_SHARES##
  {iw_quickhelp id="LG_QH_MOUNTNFSHARES"}
  </h1>
  <form name="mounts"
        method="post"
        action="{$iw_self}">
  <table class="iw-table"
         width="100%">
    <tr class="iw-table-hd">
      <td>
        &nbsp;
      </td>
{if 0}
      <td>
        &nbsp;
      </td>
{/if}
      <td width="5%">
        ##LG_HOST##
      </td>
      <td>
        ##LG_REMOTE_DIRECTORY##
      </td>
      <td>
        ##LG_MOUNT_POINT##
      </td>
      <td>
        ##LG_MOUNT_OPTIONS##
      </td>
    </tr>

    

    {foreach item=mount from=$iw_nfs.mounts}


      {assign var=id
              value='dir'|cat:$mount.local|replace:"/":"_"}

      {if $iw_local eq $mount.local}

        {* EDITING INTERFACE *}

        <form name="nfs_mount_edit" action="{$iw_self}" method="post">
        <input type="hidden" name="action" value="edit">
        <input type="hidden" name="local"  value="{$mount.local}">

        <tr class="{cycle}">
          <td class="center nowrap" colspan="2">
            <input type="button"
                   class="button"
                   tabindex="{counter}"
                   value="##LG_CANCEL##"
                   onClick='window.location="{$iw_self}";'>
            <input type="submit"
                   tabindex="{counter}"
                   class="button"
                   value="##LG_SAVE##">
          </td>
          <td>
            <input type="text"
                   value="{$mount.ip}"
                   tabindex="{counter}"
                   class="textbox"
                   id="ip"
                   size="17"
                   maxlength="15"
                   name="input[ip]">
          </td>
          <td class="center">
            <input type="text"
                   value="{$mount.remote}"
                   tabindex="{counter}"
                   class="textbox"
                   id="remote"
                   size="24"
                   name="input[ip]">
          </td>
          <td class="center">
            <input type="text"
                   value="{$mount.local}"
                   tabindex="{counter}"
                   class="textbox"
                   id="local"
                   size="24"
                   name="input[ip]">
          </td>
          <td class="center">

            <table style="background-color: transparent;">
              <tr class="{cycle}">
                <td class="nowrap">
                  ##LG_PROTOCOL##:
                </td>
                <td>
                  <select name="input[options][]"
                          id="protocol"
                          tabindex="{counter}"
                          class="select">
                    {html_options options=$iw_protocol_opts}
                  </select>
                </td>
              </tr>
              <tr class="{cycle}">
                <td class="nowrap">
                  ##LG_MOUNT_TYPE##:
                </td>
                <td>
                  <select name="input[options][]"
                          id="type"
                          tabindex="{counter}"
                          class="select">
                    {html_options options=$iw_type_opts}
                  </select>
                </td>
              </tr>
              <tr class="{cycle}">
                <td class="nowrap">
                  ##LG_REMOUNT_OPTIONS##:
                  <div class="subtext">(##LG_ON_ERROR##)</div>
                </td>
                <td>
                  <select name="input[options][]"
                          id="remount"
                          tabindex="{counter}"
                          class="select">
                    {html_options options=$iw_remount_opts}
                  </select>
                </td>
              </tr>
              <tr class="{cycle}">
                <td class="nowrap">
                  ##LG_INTERRUPT_HANDLING##:
                  <div class="subtext">(##LG_FOR_FILE_OPERATIONS##)</div>
                </td>
                <td>
                  <select name="input[options][]"
                          id="intr"
                          tabindex="{counter}"
                          class="select">
                    {html_options options=$iw_intr_opts}
                  </select>
                </td>
              </tr>
            </table>

          </td>
        </tr>

        </form>

      {else}

        <tr class="{cycle}">
          {if !$iw_editing}
            <td class="center">
              <input type="checkbox"
                     name="mounts[]"
                     tabindex="{counter}"
                     value="{$mount.local}"
                     id="{$id}">
            </td>
          {/if}
          {if 0}
          <td class="center nowrap" {if $iw_editing}colspan="2"{/if}>
            [ <a href="{$iw_self}?action=edit&amp;local={$mount.local}">##LG_EDIT##</a> ]
          </td>
          {/if}
          <td>
            <label for="{$id}">
              {$mount.ip}
            </label>
          </td>
          <td class="center">
            <label for="{$id}">
              {$mount.remote}
            </label>
          </td>
          <td class="center">
            <label for="{$id}">
              {$mount.local}
            </label>
          </td>
          <td class="center">
            <label for="{$id}">
              {foreach item=option key=key from=$mount.options name=options}
                {if $option neq ''}
                  {$key}={$option}{if $smarty.foreach.options.last neq 1},{/if}
                {else}
                  {$key}{if $smarty.foreach.options.last neq 1},{/if}
                {/if}
              {/foreach}
            </label>
          </td>
        </tr>
      {/if}

    {/foreach}

    {if count( $iw_nfs.mounts ) eq 0}

      <tr>
        <td colspan="6">
          {iw_message text='##LG_NO_NFS_MOUNTS##' mode='neutral'}
        </td>
      </tr>

    {elseif !$iw_editing}

      <tr class="iw-table-ft">
        <td class="center">
          <img alt="arrow" src="/nodeworx/templates/{$iw_theme}/images/arrow.gif">
        </td>
        <td colspan="5" class="left">
          [ <a href="#"
               tabindex="{counter}"
               onClick="setCheckboxes('mounts','mounts[]',true);return false;">##LG_CHECKALL##</a> ]
          [ <a href="#"
               tabindex="{counter}"
               onClick="setCheckboxes('mounts','mounts[]',false);return false;">##LG_CHECKNONE##</a> ]
          {iw_quickhelp id="LG_QH_NFSMOUNTADD"}
          <select name="action"
                  class="select"
                  onchange='javascript:confirmSubmitCheckbox( this,
                                                "mounts[]",
                                                "##LG_SELECTED_NFS_MOUNTS##",
						"##LG_CONFIRM_ACTION##",
                                                "##LG_NOTHING_SELECTED##" );'
                  tabindex="{counter}">
            <option value="0">##LG_WITH_SELECTED##:</option>
            {html_options options=$iw_nfs_mount_actions}
          </select>
        </td>
      </tr>

    {/if}
  </table>
  </form>

{include file="content-frame-bottom.tpl"}
