{*
  SiteWorx Template

  This template is used to display your server overview,
  including your info, the server info, and a quick look at
  the server statistics.

  PLEASE read the skinning  manual before editing this
  template.  The skinning manual can be found at:
  http://interworx.info/products/iworx-cp/themes/howto/

  Smarty variables available to the template designer:

  Just edit the iworx.ini file to see a popup window of
  what smarty variables are available to you.  You should
  base all of your templates on the iw_ prefix'd variables
  as any others *may* change
*}
{include file="content-frame-top.tpl" header="false"}
  <table id="usercontent" width="100%">
   {if count( $iw_announcements ) > 0}
     {include file="announcements.tpl"}
   {/if}

    <tr>
      <td width="90%">
        <div class="iw-box">
          <div class="hd">
            ##LG_MYINFO##
            {if !$iw_is_clustered || $iw_is_manager}
              [<a href="/nodeworx/users?action=edit&amp;id={$iw_user.userid}">##LG_EDIT##</a>]
            {/if}
            {iw_quickhelp id="LG_QH_MYINFO"}
          </div>
          <div class="bd">
            <table>
              <tr>
                <td>
                  ##LG_USER##:
                </td>
                <td>
                  {$iw_user.nickname} &lt;{$iw_user.email}&gt;
                </td>
              </tr>
            </table>
          </div>
        </div>
      </td>
      {if $iw_user_perms.SWACCOUNTS eq 'YES' || $iw_user_perms.MASTER eq 'YES'}
        <td>
          <div class="iw-box" id="iw-quick-login">
            <div class="hd">
              ##LG_QUICK_SITEWORX_LOGIN##
            </div>
            {iw_form_tag_open form=$iw_form}
            {iw_form_hidden_inputs form=$iw_form}            
            <div class="bd">
              <table>
                <tr>
                  <td>
                    ##LG_DOMAIN##:
                  </td>
                  <td>
                    {iw_form_input form=$iw_form input_name='domain'} 
                  </td>
                  <td>
                    {iw_form_input form=$iw_form input_name='account_action'}
                  </td>
                </tr>
              </table>
            </div>
            {iw_form_tag_close form=$iw_form}
          </div>
        </td>
      {/if}
    </tr>
    <tr>
      <td {if $iw_is_reseller || ($iw_user_perms.GRAPHS neq 'YES' && $iw_user_perms.MASTER neq 'YES') }colspan="2"{/if}>

        {if $iw_is_reseller}
        <div class="iw-box">
          <div class="hd">
            ##LG_ACCOUNTINFO##
              <span class="iw-toggle">{iw_icon id="account-info-toggle" class="iw-i-plus" title="##LG_OPEN##"}</span>
          </div>
          <div class="bd" style="display: none">
            {include file="reseller-status.tpl"}
          </div>
        </div>
        {/if}

      {if !$iw_is_reseller}
        <div class="iw-box">
          <div class="hd">
              ##LG_SERVICESTATUS##
              {iw_quickhelp id="LG_QH_SERVICESTATUS"}
              <span class="iw-toggle">{iw_icon id="service-status-toggle" class="iw-i-plus" title="##LG_OPEN##"}</span>
          </div>
          <div class="bd" style="display: none">
              {include file="service-status.tpl"}
          </div>
        </div>
      {/if}

        <div class="iw-box">
          <div class="hd">
            ##LG_SERVERINFO##
            {iw_quickhelp id="LG_QH_SYSTEMSTATUS"}
              <span class="iw-toggle">{iw_icon id="server-info-toggle" class="iw-i-plus" title="##LG_OPEN##"}</span>
          </div>
          <div class="bd" style="display: none">
            {include file="server-info.tpl"}
          </div>
        </div>

      </td>
      {if ( (!$iw_is_reseller ) &&
            ($iw_user_perms.GRAPHS eq 'YES' ||
       $iw_user_perms.MASTER eq 'YES' ) )}
      <td>
        <div class="iw-box">
          <div class="hd">
            ##LG_SERVERATAGLANCE##
              <span class="iw-toggle">{iw_icon id="server-at-a-glance-toggle" class="iw-i-plus" title="##LG_OPEN##"}</span>
          </div>
          <div class="bd" style="display: none" align="center">
                  <h1>
                    ##LG_REALTIMECPUUSAGE##
                    {iw_quickhelp id="LG_QH_REALTIMECPUUSAGE"}
                  </h1>
                  <a href="/nodeworx/rrd?action=history&amp;service=cpu&amp;graph=usage"><img id="cpu_graph" alt="CPU Graph" src="/img/spinner.gif"></a>
                  <h1>
                    ##LG_REALTIMEMEMORYUSAGE##
                    {iw_quickhelp id="LG_QH_REALTIMEMEMORYUSAGE"}
                  </h1>
                  <a href="/nodeworx/rrd?action=history&amp;service=memory&amp;graph=usage"><img id="mem_graph" alt="Memory Graph" src="/img/spinner.gif"></a>
                  <h1>
                    ##LG_REALTIMEBANDWIDTHUSAGE##
                    {iw_quickhelp id="LG_QH_REALTIMEBANDWIDTHUSAGE"}
                    (##LG_SERVERWIDE##)
                  </h1>
                  <a href="/nodeworx/rrd?action=history&amp;service=network&amp;graph=traffic&amp;sub={$iw_eth0}"><img id="bw_graph" alt="Bandwidth Graph" src="/img/spinner.gif"></a>
          </div>
        </div>
      </td>
      {/if}
    </tr>
  </table>

{iw_add_js file="/static/$iw_lang/$iw_rpm_release/nodeworx/js/iw_overview.js"}
{include file="content-frame-bottom.tpl"}
