
<!--
  NodeWorx Template
-->

<!--
  This template is used to display your server overview,
  including your info, the server info, and a quick look at
  the server statistics.
-->

<!--
  PLEASE read the skinning  manual before editing this
  template.  The skinning manual can be found at:
  http://interworx.info/products/iworx-cp/themes/howto/
-->

<!--
  Smarty variables available to the template designer:

  Just edit the iworx.ini file to see a popup window of
  what smarty variables are available to you.  You should
  base all of your templates on the iw_ prefix'd variables
  as any others *may* change
-->

{include file="content-frame-top.tpl"
         header="##LG_SITEWORX_ACCOUNT_MANAGEMENT##"}

{iw_add_js file="/static/$iw_lang/$iw_rpm_release/nodeworx/js/iw_siteworx.js"}

  {if $iw_total_accounts >= $iw_licensed_accounts}
        {iw_message text='##LG_ACCOUNT_LIMIT_WARNING##'
                    mode='neutral'
                    id='lic_limit_box'}
  {/if}

  
  <table class="iw-table" width="100%">
    <tr>
      <td class="nowrap" colspan="3">
    {if !$iw_is_reseller && count( $iw_resellers ) > 0}

        <select name="reseller_select"
	        onChange="window.location='{$iw_self}' + '?reseller=' + this.options[this.selectedIndex].value">
          {foreach item=racct from=$iw_resellers}
            <option {if $iw_filters.reseller ne "" &&
	                $iw_filters.reseller eq $racct.resellerid} SELECTED
                    {/if}
                   value="{$racct.resellerid}">{$racct.masteruser.nickname}</option>
          {/foreach}
        </select>

    {/if}

        {if (!$iw_is_clustered || $iw_is_manager) &&
            !($iw_total_accounts >= $iw_licensed_accounts)}
          [ <a href="{$iw_self}?action=add&amp;do=show{if $iw_filters.reseller ne
          "" && $iw_is_reseller eq ""}&amp;reseller={$iw_filters.reseller}{/if}">##LG_ADDSITEWORXACCOUNT##</a> ]
        {/if}
      </td>
      <td colspan="5" class="right nowrap">
        <form action="{$iw_self}" method="GET">
        {if $iw_filters.search eq ""}
        {$iw_pager_links.all}
        <select name="perpage"
                class="select"
                onChange="window.location='{$iw_self}' + '?page=1&amp;perpage=' +
                this.options[this.selectedIndex].value +
                '&amp;{iworx_build_filters filters=$iw_filters
                  hide_filters='perpage,page'}'">
        {html_options options=$iw_perpage_options selected=$iw_filters.perpage}
        </select>
        {/if}
        <input type="text"
               class="textbox"
               name="search"
               value="{$iw_filters.search}">
        <input type="submit"
               class="button"
               value="##LG_SEARCH##">
        {if $iw_is_reseller eq 0}
        <select name="search_all"
                class="select">
        {html_options options=$iw_search_all selected=$iw_filters.search_all}
        </select>
        {foreach key=filter_name item=filter_value from=$iw_filters}
          {if $filter_name neq "perpage" && $filter_name neq "search" &&
              $filter_name neq "search_all"}
          <input type="hidden" name="{$filter_name}" value="{$filter_value}">
          {/if}
        {/foreach}
        {/if}
        </form>
      </td>
    </tr>

  {foreach item=accounts key="resellerid" from=$iw_siteworx}
    {if $iw_filters.search_all eq true && $iw_is_reseller eq ""}
      <tr>
        <td colspan="8">
          <b>{$iw_resellers.$resellerid.masteruser.nickname}
          ({$iw_resellers.$resellerid.masteruser.email})</b>
        </td>
      </tr>
    {/if}
    <tr class="iw-table-hd">
      <td colspan="3">
        ##LG_ACTION##
        {iw_quickhelp id="LG_QH_SITEWORXACTION"}
      </td>
      <td>
        <a href="{$iw_self}?{iworx_build_filters filters=$iw_filters
                             hide_filters='sort,order'}&amp;sort=name&amp;order={$iw_other_sort}">##LG_NAME##</a>
      </td>
      <td>
        <a href="{$iw_self}?{iworx_build_filters filters=$iw_filters
                             hide_filters='sort,order'}&amp;sort=domain&amp;order={$iw_other_sort}">##LG_DOMAIN##</a>
      </td>
      <td>
        <a href="{$iw_self}?{iworx_build_filters filters=$iw_filters
                             hide_filters='sort,order'}&amp;sort=bwused&amp;order={$iw_other_sort}">##LG_BANDWIDTH##</a>
      </td>
      <td>
        <a href="{$iw_self}?{iworx_build_filters filters=$iw_filters
                             hide_filters='sort,order'}&amp;sort=storused&amp;order={$iw_other_sort}">##LG_STORAGE##</a>
      </td>
      <td>
        <a href="{$iw_self}?{iworx_build_filters filters=$iw_filters
                             hide_filters='sort,order'}&amp;sort=status&amp;order={$iw_other_sort}">##LG_STATUS##</a>
      </td>
    </tr>
    <form name="siteworx_domains" action="{$iw_self}?{iworx_build_filters filters=$iw_filters}" method="POST">
    {foreach item=account from=$accounts}

    <tr class="{cycle} ruler">
      <td width="29" class="center td-tight">
        <input type="checkbox"
           name="domains[]"
           tabindex="{counter}"
           value="{$account.domain}"
           {if $iw_is_clustered && !$iw_is_manager}disabled{/if}
           id="siteworx_domain_{$account.id}">
      </td>
      <td width="26" class="center td-tight">
        {assign var="fav_class" value="iw-fav iw-i iw-i-star"}
        {if $account.is_favorite neq 1}
          {assign var="fav_class" value="iw-fav iw-i iw-i-star off"}
        {/if}
        
        {iw_icon title="##LG_FLAG##" class=$fav_class}
      </td>
      <td class="nowrap">
              {if !$iw_is_clustered || $iw_is_manager}
              [
                <a href="{$iw_self}?action=delete&amp;domain={$account.domain}">
                  ##LG_DELETE##
                </a>
              ]
              {/if}
              {if !$iw_is_clustered || $iw_is_manager}
              [
                <a href="{$iw_self}?action=edit&amp;domain={$account.domain}">
                  ##LG_EDIT##
                </a>
              ]
              {/if}
            [
              <a href="{$iw_self}?action=siteworxLoginCommit&amp;domain={$account.domain}">
                ##LG_SITEWORX##
              </a>
            ]
      </td>
      <td class="center">
          <a href="mailto:{$account.email}">
            {$account.name}
          </a>
      </td>
      <td class="center">
          <a class="iw-domain" href="http://{$account.domain}" target="_blank">
            {$account.domain}
          </a>
          {if $account.extra_domain}
            <br>
            {$account.extra_domain}
          {/if}
      </td>
      <td class="center">
        <label for="siteworx_domain_{$account.id}">
        {if $account.bwused > $account.bandwidth_quota}
          <!-- color -->
        {/if}
        {$account.bwused|string_format:"%.2f"} /
        {if $account.bandwidth_quota eq $iw_unlimited_val}
          ##LG_UNLIMITED## GB
        {else}
          {$account.bandwidth_quota|string_format:"%.2f"} GB
        {/if}
        </label>
      </td>
      <td class="center">
        <label for="siteworx_domain_{$account.id}">
        {if $account.storused > $account.storage_quota}
          <!-- color -->
        {/if}
        {$account.storused|string_format:"%.2f"} /
        {if $account.storage_quota eq $iw_unlimited_val}
          ##LG_UNLIMITED## MB
        {else}
          {$account.storage_quota|string_format:"%.2f"} MB
        {/if}
        </label>
      </td>

      <td class="center">
        {if $account.status eq 'active'}
          {assign var='iw_message_mode' value='positive'}
        {else}
          {assign var='iw_message_mode' value='negative'}
        {/if}
        {iw_message_block mode=$iw_message_mode}
          <label for="siteworx_domain_{$account.id}">
          {$account.status}
          </label>
        {/iw_message_block}
      </td>
    </tr>

    {/foreach}
    {if $iw_filters.search_all eq true && $iw_is_reseller eq ""}
      <tr>
        <td colspan="6">&nbsp;</td>
      </tr>
    {/if}

    {foreachelse}

    <tr>
      <td colspan="8">
        {iw_message_block mode='neutral'}
          {if $iw_filters.search eq ""}
          ##LG_SITEWORX_NOACCOUNTS##
          {else}
          ##LG_SITEWORX_NO_SEARCH_RESULTS##
          {/if}
        {/iw_message_block}
      </td>
    </tr>

  {/foreach}

    {if count( $iw_siteworx ) gt 0 }
    {if !$iw_is_clustered || $iw_is_manager}
      <tr class="iw-table-ft">
        <td class="nowrap" colspan="4">
          <div align="left">
	      <img alt="arrow" src="/nodeworx/templates/{$iw_theme}/images/arrow.gif">
	        [ <a href="#"
               tabindex="{counter}"
               onClick="setCheckboxes('siteworx_domains','domains[]',true);return false;">##LG_CHECKALL##</a> ]
          [ <a href="#"
               tabindex="{counter}"
               onClick="setCheckboxes('siteworx_domains','domains[]',false);return false;">##LG_CHECKNONE##</a> ]
          {iw_quickhelp id="LG_QH_SITEWORXSUDROPDOWN"}
                <select name="action"
                        class="select"
    onchange='javascript:confirmSubmitCheckbox( this,
                                                "domains[]",
                                                "##LG_SELECTED_SITEWORX_ACCOUNTS##",
						                                    "##LG_CONFIRM_ACTION##",
                                                "##LG_NOTHING_SELECTED##" );'
                        tabindex="{counter}">
                  <option value="0">##LG_WITH_SELECTED##:</option>
                  {html_options options=$iw_siteworx_domain_actions}
                </select>
        </td>
          </div>
        <td>
          {if $iw_filters.search eq ""}
          <div class="center">##LG_TOTALS_CAPS##:</div>
          {/if}
        </td>

        <td>
          {if $iw_filters.search eq ""}
          <div class="center">{$iw_all_bw_used|string_format:"%.2f"} GB</div>
          {/if}
        </td>
        <td>
          {if $iw_filters.search eq ""}
          <div class="center">{$iw_all_stor_used|string_format:"%.2f"} MB</div>
          {/if}
        </td>
        <td>

        </td>
      </tr>

      {/if}
      {/if}

  </table>
    </form>
{include file="content-frame-bottom.tpl"}
