<!--
  NodeWorx Template
-->

<!--
  This template is used to display your server overview,
  including your info, the server info, and a quick look at
  the server statistics.
-->

<!--
  PLEASE read the skinning  manual before editing this
  template.  The skinning manual can be found at:
  http://interworx.info/products/iworx-cp/themes/howto/
-->

<!--
  Smarty variables available to the template designer:

  Just edit the iworx.ini file to see a popup window of
  what smarty variables are available to you.  You should
  base all of your templates on the iw_ prefix'd variables
  as any others *may* change
-->

{include file="content-frame-top.tpl"
         header="##LG_SSHD_SERVER_MANAGEMENT##"}

{iw_add_js file="/static/$iw_lang/$iw_rpm_release/nodeworx/js/iw_service.js"}
{iw_add_js file="/static/$iw_lang/$iw_rpm_release/nodeworx/js/iw_sshd.js"}

  {literal}
  <script language="javascript" type="text/javascript">
  function selectAllOptions() {
    allow_list = document.getElementById( "allow_users" );
    deny_list  = document.getElementById( "deny_users" );

    for ( var i=0; i < allow_list.options.length; i++ ) {
      allow_list.options[i].selected = true;
    }

    for ( var i=0; i < deny_list.options.length; i++ ) {
      deny_list.options[i].selected = true;
    }
  }

  function toggleFocus(focus_id, unfocus_id) {
    unfocus_list = document.getElementById( unfocus_id );
    focus_bttn   = document.getElementById( unfocus_id+"_button" );
    unfocus_bttn = document.getElementById( focus_id+"_button" );

    focus_bttn.disabled   = false;
    unfocus_bttn.disabled = true;

    for ( var i=0; i < unfocus_list.options.length; i++ ) {
      if (unfocus_list.options[i].selected) {
        unfocus_list.options[i].selected = false;
      }
    }
  }

  function addOption(list_id, text, value)
  {
    var list    = document.getElementById( list_id );
    var new_opt = new Option(text, value);
    var list_length = list.length;
    list.options[list_length] = new_opt;
  }

  function deleteOption(list_id, index)
  {
    var list        = document.getElementById( list_id );
    var list_length = list.length;
    if(list_length > 0)
    {
      list.options[index] = null;
    }
  }

  function moveOptions(from_id, to_id)
  {
    var from_list = document.getElementById( from_id );
    var to_list   = document.getElementById( to_id );

    var from_length = from_list.length;
    var selectedText = new Array();
    var selectedValues = new Array();
    var selectedCount = 0;

    var i;

    // Find the selected Options in reverse order
    // and delete them from the 'from' Select.
    for(i=from_length-1; i>=0; i--)
    {
      if(from_list.options[i].selected)
      {
        selectedText[selectedCount] = from_list.options[i].text;
        selectedValues[selectedCount] = from_list.options[i].value;
        deleteOption(from_id, i);
        selectedCount++;
      }
    }

    // Add the selected text/values in reverse order.
    // This will add the Options to the 'to' Select
    // in the same order as they were in the 'from' Select.
    for(i=selectedCount-1; i>=0; i--)
    {
      addOption(to_id, selectedText[i], selectedValues[i]);
    }
  }
  </script>
  {/literal}

  {* for tabindex *}
  {counter start=1 print=false}

  <div style="width: 100%; margin: 0px auto 5px auto; text-align: center;">
    <a href="/nodeworx/rrd?action=history&amp;service=shell&amp;graph=users">
      <img id="rrdgraphimage"
           alt="Graph"
           src="/nodeworx/rrd?action=full&service=shell&graph=users"
           {if !$iw_sshd.rrd}
           style="height: 0"
           {/if}
           /></a>
  </div>

  {iw_form_inline form=$iw_form.rrd align="center"}

  <table class="columns">

    <tr>
      <td class="columns" style="width: 47%;">

        <h1>##LG_SSHD_SERVER_CONTROL##
            {iw_quickhelp id="LG_QH_SSHDSERVERCONTROL"}
        </h1>

        <table class="iw-table"
               width="100%">
          <tr class="{cycle}">
            <td class="iw-col1">
              ##LG_STATUS##:
            </td>
            <td>
              {iw_service_status_verbose driver="SSHD"}
            </td>
          </tr>
          <tr class="{cycle}">
            <td class="iw-col1">
              ##LG_ACTION##:
            </td>
            <td class="nowrap">
              {iw_service_control driver="SSHD"}
            </td>
          </tr>
        </table>

        {iw_form form=$iw_form.startonboot}

        {iw_form form=$iw_form.autorestart}

        <h1>##LG_SSHD_SERVER_INFO##</h1>

        <table class="iw-table"
               width="100%">
          <tr class="{cycle}">
            <td class="iw-col1">
              ##LG_VERSION##:
              {iw_quickhelp id="LG_QH_SSHDSERVERVERSION"}
            </td>
            <td>
              {$iw_sshd.version}
            </td>
          </tr>
          <tr class="{cycle}">
            <td class="nowrap">
              ##LG_SSHD_CONF_SYNTAX##:
              {iw_quickhelp id="LG_QH_SSHDCONF"}
            </td>
            <td>
              <table width="98%">
                <tr>
                  <td>
                    {if $iw_sshd.syntax_check}
                      {iw_message text='##LG_OK##' mode='positive'}
                    {else}
                      {iw_message_block mode='negative'}
                        ##LG_NOTOK##<br>
                        (<a href=""
                            onclick="javascript:popUp( '{$iw_self}?action=syntax', 'syntax', 750, 250);"
                            >##LG_DETAILS##</a>)
                      {/iw_message_block}
                    {/if}
                  </td>
                  {if $iw_edit_conf === '1'}
                  <td class="iw-table-col-collapse nowrap">[ <a href="?action=editConf">##LG_EDIT_CONF##</a> ]</td>
                  {/if}
                </tr>
              </table>
            </td>
          </tr>
        </table>

        {iw_form form=$iw_form.options}

{*
        <h1>##LG_SSHD_USER_ACCESS_CONTROL##</h1>

        {if count( $iw_sshd.allowusers ) gt 250}
          {assign var='disableaccess' value='true'}
        {/if}
        {if count( $iw_sshd.denyusers ) gt 250}
          {assign var='disableaccess' value='true'}
        {/if}

        <form method="post" action="{$iw_self}" name="allow_deny_users"
              onsubmit="selectAllOptions()"
              onload="javascript:toggleFocus('allow_users','deny_users')">
        <input type="hidden" name="action" value="update_access_control">
        <table class="iw-table"
               width="100%">
          <tr>
            <td>
              ##LG_SSHD_ALLOWED_USERS##
              <select name="input[allow_users][]"
                      id="allow_users"
                      class="select"
                      multiple
                      size="10"
                      width="175"
                      style="width: 175px"
                      tabindex="{counter}"
                      {if $disableaccess eq 'true' } disabled {/if}
                      onfocus="javascript:toggleFocus('allow_users','deny_users')">
              {html_options values=$iw_sshd.allowusers
                            output=$iw_sshd.allowusers
                            selected=$iw_feedback.allowusers}
              </select>
            </td>
            <td width="5%">
              <input type="button"
                     value="<-- ##LG_SSHD_ALLOW_USER##"
                     id="allow_users_button"
                     class="button"
                     disabled
                     onclick="javascript:moveOptions('deny_users','allow_users')">
              <br /><br />
              <input type="button"
                     value="##LG_SSHD_DENY_USER## -->"
                     class="button"
                     id="deny_users_button"
                     {if $disableaccess eq 'true' } disabled {/if}
                     onclick="javascript:moveOptions('allow_users','deny_users')">
            </td>
            <td>
              ##LG_SSHD_DENIED_USERS##
              <select name="input[deny_users][]"
                      id="deny_users"
                      class="select"
                      multiple
                      size="10"
                      width="175"
                      style="width: 175px"
                      {if $disableaccess eq 'true' } disabled {/if}
                      tabindex="{counter}"
                      onfocus="javascript:toggleFocus('deny_users','allow_users')">
              {html_options values=$iw_sshd.denyusers
                            output=$iw_sshd.denyusers
                            selected=$iw_feedback.denyusers}
              </select>
            </td>
          </tr>
          <tr class="iw-table-ft">
            <td colspan="2" class="submit">
              <input type="submit"
                     value="##LG_UPDATE##"
                     {if $disableaccess eq 'true' } disabled {/if}
                     tabindex="{counter}"
                     class="button">
            </td>
          </tr>
        </table>
        </form>
*}
      </td>
      <td class="columns">

        <h1>##LG_CURRENT_SHELL_SESSIONS##
        {iw_quickhelp id="LG_QH_SITEWORXSHELLSESSIONS"}
        </h1>

        <form name="session_pids"
              method="post"
              action="{$iw_self}">
        <input type="hidden" name="action" value="shell_sessions">
        <table class="iw-table"
               width="100%">


          <tr class="iw-table-hd">
            <td>
              &nbsp;
            </td>
            <td width="5%">
              ##LG_USER##
            </td>
            <td>
              ##LG_FROM##
            </td>
            <td>
              ##LG_LOGIN_AT##
            </td>
            <td class="nowrap">
              ##LG_IDLE##
            </td>
            <td>
              ##LG_COMMAND##
            </td>
          </tr>



          {foreach item=session from=$iw_shell.sessions}

            <tr class="{cycle} center ruler">
              <td width="5%">
                <input type="checkbox"
                       name="input[session_pids][]"
                       tabindex="{counter}"
                       value="{$session.pid}"
                       {if eregi( '^tty', $session.tty )}disabled{/if}                                id="session_{$session.user}_{$session.tty}">
              </td>
              <td class="left" width="5%">
                <label for="session_{$session.user}_{$session.tty}">
                  {$session.user}
                </label>
              </td>
              <td>
                <label for="session_{$session.user}_{$session.tty}">
                  {if eregi( '^tty', $session.tty )}
                    {$session.tty}
                  {else}
                    {$session.ip}
                  {/if}
                </label>
              </td>
              <td class="center nowrap">
                <label for="session_{$session.user}_{$session.tty}">
                  {$session.when}
                </label>
              </td>
              <td>
                <label for="session_{$session.user}_{$session.tty}">
                  {$session.idle}
                </label>
              </td>
              <td>
                <label for="session_{$session.user}_{$session.tty}">
                  {$session.what}
                </label>
              </td>
            </tr>

          {/foreach}

          {if count( $iw_shell.sessions ) eq 0}
            <tr>
              <td colspan="8">
                {iw_message text='##LG_NO_SHELL_SESSIONS##' mode='neutral'}
              </td>
            </tr>
          {else}
            <tr class="iw-table-ft">
              <td class="center">
                <img alt="arrow" src="/nodeworx/templates/{$iw_theme}/images/arrow.gif">
              </td>
              <td colspan="7" class="left">
                [ <a href="#"
                     tabindex="{counter}"
                     onClick="setCheckboxes('session_pids','input[session_pids][]',true);return false;">##LG_CHECKALL##</a> ]
                [ <a href="#"
                     tabindex="{counter}"
                     onClick="setCheckboxes('session_pids','input[session_pids][]',false);return false;">##LG_CHECKNONE##</a> ]
                {iw_quickhelp id="LG_QH_SITEWORXSSDROPDOWN"}
                <select name="input[action]"
                        class="select"
    onchange='javascript:confirmSubmitCheckbox( this,
                                                "input[session_pids][]",
                                                "##LG_SELECTED_SITEWORX_ACCOUNTS##",
						"##LG_CONFIRM_ACTION##",
                                                "##LG_NOTHING_SELECTED##" );'
                        tabindex="{counter}">
                  <option value="0">##LG_WITH_SELECTED##:</option>
                  {html_options options=$iw_session_actions}
                </select>
              </td>
            </tr>
          {/if}
        </table>
        </form>
      </td>
    </tr>
  </table>

{include file="content-frame-bottom.tpl"}
