
<!--
  NodeWorx Template
-->

<!--
  This template is used to display your server overview,
  including your info, the server info, and a quick look at
  the server statistics.
-->

<!--
  PLEASE read the skinning  manual before editing this
  template.  The skinning manual can be found at:
  http://interworx.info/products/iworx-cp/themes/howto/
-->

<!--
  Smarty variables available to the template designer:

  Just edit the iworx.ini file to see a popup window of
  what smarty variables are available to you.  You should
  base all of your templates on the iw_ prefix'd variables
  as any others *may* change
-->

{include file="content-frame-top.tpl"
         header="##LG_THEMEMANAGEMENT##"}

<div style="margin-bottom:1em">
[ <a href="{$iw_self}?action=add">##LG_ADDTHEME##</a> ]
{iw_quickhelp id="LG_QH_ADDTHEME"}
</div>

<script type="text/javascript" language="javascript">
  var forms_to_handle = [];
</script>


{foreach key=file item=theme from=$iw_themes}

<div id="{$file}" class="iw-box">
  <div class="hd">{$theme.name}</div>
  <div class="bd">
  {if $theme.is_valid eq false}
    {iw_message text=$theme.is_valid_error mode="negative"}
  {/if}
  <table style="width:97%">
    <tr>
      <td width="5%">
        {if $theme.is_valid}
        <a href="{$iw_self}?action=cssTest&amp;theme={$file}" target="_blank" title="##LG_PREVIEW##">
        {/if}
  {if $theme.thumbnail}
    <img src="/static/{$iw_rpm_release}/nodeworx/templates/{$file}/images/thumbnail.jpg"
         alt="{$theme.name}" width="320" height="262"/>
  {else}
    <img src="/static/{$iw_rpm_release}/nodeworx/templates/interworx/images/theme_no_thumb.gif"
         alt="{$theme.name}"/>
  {/if}
        {if $theme.is_valid}</a>{/if}
  </td>
  <td>
  <table class="iw-table">
    <tr class="iw-table-hd">
      <td colspan="2">##LG_DETAILS##</td>
    </tr>
    <tr class="{cycle reset=1}">
      <td class="iw-col1">##LG_NAME##</td>
      <td>{$theme.name}</td>
    </tr>
    <tr class="{cycle}">
      <td class="iw-col1">##LG_AUTHOR##</td>
      <td>{$theme.author}</td>
    </tr>
    <tr class="{cycle}">
      <td class="iw-col1">##LG_IN_USE##</td>
      <td>
        {if $theme.is_in_use eq 1}
          {iw_message text='##LG_YES##' mode='positive'}
<form name="switch_theme_{$file}" action="/nodeworx/themes?action=switchAllUsersThemeCommit" method="post" class="iw-form" enctype="application/x-www-form-urlencoded">
<input name="change_from" value="{$file}" id="change_from" class="iw-form-req" type="hidden">
<input name="iw_form_class_name" value="Form_NW_Theme_Switcher" id="iw_form_class_name" class="iw-form-req" type="hidden">
<input name="iw_ctrl_name" value="/nodeworx/themes" id="iw_ctrl_name" class="iw-form-req" type="hidden">
<input name="iw_action_name" value="switchAllUsersThemeCommit" id="iw_action_name" class="iw-form-req" type="hidden">
<div class="iw-form-input">
<table>
  <tr>
    <td>
      <label for="change_to">##LG_CHANGE_EVERYONE_USING_THIS_TO##:</label>
    </td>
    <td>
      <select name="change_to" id="change_to" class="iw-form-req">
        {foreach item=theme_opt from=$iw_theme_opts}
          {if $theme_opt[0] neq $file}
            <option value="{$theme_opt[0]}">{$theme_opt[1]}</option>
          {/if}
        {/foreach}
      </select>
    </td>
    <td>
      <div class="nowrap"><input value="Save" type="submit" name="submit" class="button"> <img class="iw-i-clear iw-form-img iw-i" width="16" height="16" src="/static/3.1.0-100/img/blank.gif" alt="icon"></div>
    </td>
  </tr>
</table>
</form>
        {else}
          {iw_message text='##LG_NO##' mode='neutral'}
        {/if}
      </td>
    </tr>
    {if $theme.base_theme}
    <tr class="{cycle}">
      <td class="iw-col1">##LG_PARENT_THEME##</td>
      <td>{$iw_themes[$theme.base_theme].name}</td>
    </tr>
    {/if}
    <tr class="{cycle}">
      <td class="iw-col1">##LG_ACTION##</td>
      <td class="nowrap">
        {if $theme.is_deletable}
          [ <a href="{$iw_self}?action=delete&amp;theme={$file}">##LG_DELETE##</a> ]
        {/if}
        [ <a href="{$iw_self}?action=download&amp;theme={$file}">##LG_DOWNLOAD##</a> ]

        {if $theme.is_valid}
        [ <a href="{$iw_self}?action=cssTest&amp;theme={$file}" target="_blank">##LG_PREVIEW##</a> ]
        {/if}
        {if $theme.is_updatable}
          [ <a href="{$iw_self}?action=update&amp;theme={$file}">##LG_THEMEUPDATE##</a> ]
        {/if}
      </td>
    </tr>
  </table>
        </td
      </tr>
    </table>
  </div>
</div>

{/foreach}

{include file="content-frame-bottom.tpl"}
