
<!--
  NodeWorx Template
-->

<!--
  This template is used to display your server overview,
  including your info, the server info, and a quick look at
  the server statistics.
-->

<!--
  PLEASE read the skinning  manual before editing this
  template.  The skinning manual can be found at:
  http://interworx.info/products/iworx-cp/themes/howto/
-->

<!--
  Smarty variables available to the template designer:

  Just edit the iworx.ini file to see a popup window of
  what smarty variables are available to you.  You should
  base all of your templates on the iw_ prefix'd variables
  as any others *may* change
-->

{include file="content-frame-top.tpl"
         header="##LG_SOFTWAREUPDATES##"}

{iw_add_js file="/static/$iw_rpm_release/js/log_handler.js"}
{iw_add_js file="/static/$iw_rpm_release/nodeworx/js/iw_updates.js"}

{literal}
<script language="javascript" type="text/javascript">
  function changeAll() {
    for (i = 0; i < document.updates.elements['updates[]'].length; i++) {
      document.updates.elements['updates[]'][i].checked=document.updates.elements['master'].checked;
    }
  }

  function killRefresh( comp ) {
    comp.disabled = true;
    comp.value    = '##LG_PLEASEWAIT##';
    with( document.refresh ) {
      for(i=0; i<elements.length; i++) {
        if( elements[i].disabled && elements[i].type != 'submit')
          elements[i].disabled=false;
      }
    }
    document.refresh.submit();
  }
</script>
{/literal}



  <div id="iw-form-shell">
  {iw_form form=$iw_form}
  </div>
  <h1>
    ##LG_UPDATE_MANAGEMENT##
  </h1>
  <table class="iw-table"
         width="100%">
    <tr class="iw-table-input">
      <td colspan="2">
        {if count( $iw_batches ) gt 0}
          <form action="{$iw_self}" method="get" name="batches">
            <span class="bold">
            ##LG_INSTALLEDUPDATES## (##LG_BYBATCHDATE##):
            </span>
            <input type="hidden" name="mode"   value="{$iw_mode}">
            <input type="hidden" name="action" value="batch">
            <select onChange="document.batches.submit();" name="batch_id"
                        class="select">
              <option value="-1">&lt;&lt;##LG_PENDINGUPDATES##&gt;&gt;</option>
              {foreach item=batch from=$iw_batches}
                <option value="{$batch.batch_id}" {if $iw_batch_id eq $batch.batch_id}selected{/if}>{$batch.date}</option>
              {/foreach}
            </select>
            {iw_quickhelp id="LG_QH_UPDATEBATCHES"}
           </form>
        {else}
          ##LG_NOPREVIOUSINSTALLS##
        {/if}
      </td>
      <td colspan="3" class="nowrap right">
        <form style="display: inline;" action="{$iw_self}" method="post" name="refresh">
          <input type="hidden" name="mode" value="{$iw_mode}">
          <input type="hidden" name="action" value="refresh">
          {if $iw_batch eq ''}
          <input type="submit"
                 class="button"
                 value="##LG_REFRESH##"
                 {if $iw_running neq 0}
                   disabled
                 {else}
                   onClick="killRefresh(this);"
                 {/if}>
          {iw_quickhelp id="LG_QH_UPDATEREFRESH"}
          {/if}
          </form>
        {if $iw_batch eq ''}
            <input type="button"
                   id="install-updates-btn"
                   class="button"
                   value="##LG_INSTALL##"
                   {if count( $iw_pending ) eq 0 || $iw_running neq 0}disabled{/if}>
            {iw_quickhelp id="LG_QH_UPDATEINSTALL"}
            <input type="button"
                   id="show-log-btn"
                   class="button"
                   value="##LG_SHOWLOG##">
        {/if}
      </td>
    </tr>

    <!-- CONTENT GOES HERE -->

    <tr class="iw-table-hd">
      <td>
        &nbsp;
      </td>
      <td>
        ##LG_NAME##
      </td>
      <td>
        ##LG_VERSION##
      </td>
      <td>
        ##LG_TYPE##
      </td>
      <td>
        ##LG_STATUS##
      </td>
    </tr>

    {counter start=0 print=false}

    {if count( $iw_batch ) gt 0}

      {foreach item=update from=$iw_batch}

      <tr class="{cycle} ruler">
        <td width="5%" class="center">
          {counter}.
        </td>
        <td>
          {$update.name}
        </td>
        <td class="center">
          {$update.version}
        </td>
        <td class="center">
          {$update.type}
        </td>
        <td>
          {if $update.status eq 'pending'}
            {iw_message_block mode='neutral'}{$update.status}{/iw_message_block}
          {elseif $update.status eq 'applied'}
            {iw_message_block mode='positive'}{$update.status}{/iw_message_block}
          {elseif $update.status eq 'ignore'}
         {/if}
        </td>
      </tr>

      {foreachelse}

      <tr>
        <td colspan="5">
          {iw_message text='##LG_NOUPDATESPENDING##' mode='neutral'}
        </td>
      </tr>

      {/foreach}

    {else}

      {foreach item=update from=$iw_pending}

      <tr class="{cycle} ruler">
        <td class="center">
          {counter}.
        </td>
        <td>
          {$update.name}
        </td>
        <td class="center">
          {$update.version}
        </td>
        <td class="center">
          {$update.type}
        </td>
        <td class="center">
          {if $update.status eq 'pending'}
            {iw_message_block mode='neutral'}{$update.status}{/iw_message_block}
          {elseif $update.status eq 'applied'}
            {iw_message_block mode='positive'}{$update.status}{/iw_message_block}
          {elseif $update.status eq 'ignore'}
          {/if}
        </td>
      </tr>

      {foreachelse}

      <tr>
        <td colspan="5">
          {iw_message text='##LG_NOUPDATESPENDING##' mode='neutral'}
        </td>
      </tr>

      {/foreach}
    {/if}
  </table>

{include file="content-frame-bottom.tpl"}
