<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2009 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Paul Oehler <poehler@interworx.com>
 * @date    Oct 7, 2009
 * @id $Id: Installatron.php,v 1.4 2009/10/15 05:14:58 poehler Exp $
 */

/**
 * Installatron Siteworx Controller
 *
 * @package    InterWorx
 * @subpackage Ctrl
 */
class Ctrl_Siteworx_Installatron extends Ctrl_Siteworx_Plugin {

  /**
   * Launch action
   */
  public function launchAction() {
    $this->disabledIn( ~IW::WEB );
    $this->getView()->assign( 'title', 'Installatron' );
    $this->getView()->assign( 'worx',  'siteworx' );
  }

  /**
   * Index action
   */
  public function indexAction() {
    $this->disabledIn( ~IW::WEB );
    $this->_getPlugin()->run();
    exit;
  }

  /**
   * Retrieve user data that installatron needs to know
   *
   * @param Form_Input_InstallatronUser $Form
   */
  public function listUserDataAction( Form_Input_InstallatronUser $Form ) {
    $user = $Form->getValue( 'user' );
    $this->_displayPayload( $this->_getPlugin()->getUserData( $user ) );
  }

  /**
   * Get the directory install where installatron should install the script
   */
  public function listInstallPathAction() {
    $this->disabledIn( ~IW::API );

    $httphttps = $this->_getInput( 'proto' );
    $domain    = $this->_getInput( 'domain' );
    $path      = $this->_getInput( 'path' );
    $subdomain = $this->_getInput( 'subdomain' );

    if( $subdomain === 'www' ) {
      $subdomain = '';
    }

    $result  = IW::SW()->getPackageRoot();
    $result .= "/{$domain}/html{$path}{$subdomain}";
    $this->_displayPayload( $result );
  }
}
?>