#!/usr/local/interworx/bin/php -c /usr/local/interworx/etc
<?php
/**
 * InterWorx Hosting Control Panel
 *
 * r1soft CDP integration script
 *
 * @package InterWorx
 * @author  Paul Oehler <poehler@interworx.com>
 * @date    Sep 17, 2009
 * @Id      $Id: buagentauth.interworx.php,v 1.3 2009/10/08 22:46:53 poehler Exp $
 */

/**
 * Print auth ok and quit
 *
 * Note: This function quits the script.
 *
 * @param integer $uid
 * @param integer $gid
 * @param string  $home
 */
function printAuthOk( $uid, $gid, $home ) {
  echo 'auth_ok:1', "\n";
  echo "uid:{$uid}\n";
  echo "gid:{$gid}\n";
  echo "dir:home:{$home}\n";
  echo "end\n";
}

/**
 * Attempt to authenticate using the SOAP api and a session id
 *
 * @param string $email
 * @param string $sessionid
 */
function tryApiSession( $email, $sessionid ) {
  $client    = new SoapClient( 'https://127.0.0.1:2443/nodeworx/soap?wsdl' );
  $key       = array( 'sessionid' => $sessionid );
  $ctrl_name = '/siteworx/r1soft';
  $action    = 'listAuthInfo';
  $input     = array();
  $result    = $client->route( $key, $ctrl_name, $action, $input );

  if( $result['status'] === 0 && $email === $result['payload']['workinguser'] ) {
    printAuthOk( $result['payload']['uid'],
                 $result['payload']['gid'],
                 $result['payload']['packageroot'] );
  } else {
    echo 'auth_ok:0', "\n";
  }
}

/**
 * execution starts here
 */
function main() {
  ini_set( 'memory_limit', '24M' );
  require_once( '/usr/local/interworx/include/iworx.conf.php' );

  $email_domain = getenv( 'BUAGENT_AUTH_ACCOUNT' );
  $password     = getenv( 'BUAGENT_AUTH_PASSWORD' );

  list( $email, $domain ) = split( ':', $email_domain );

  $SW = new SiteWorx( $domain );
  if( $SW->login( $email, $password ) ) {
    printAuthOk( $SW->getUniqname(),
                 ShellAccount::getUID( $SW->getUniqname() ),
                 ShellAccount::getGID( $SW->getUniqname() ) );
  } else {
    tryApiSession( $email, $password );
  }
}

main();
?>