{*
  SiteWorx Template

  This template is used to display your server overview,
  including your info, the server info, and a quick look at
  the server statistics.

  PLEASE read the skinning  manual before editing this
  template.  The skinning manual can be found at:
  http://interworx.info/products/iworx-cp/themes/howto/

  Smarty variables available to the template designer:

  Just edit the iworx.ini file to see a popup window of
  what smarty variables are available to you.  You should
  base all of your templates on the iw_ prefix'd variables
  as any others *may* change
*}

{include file="content-frame-top.tpl"
         header="##LG_SYSTEM_CRONTAB_MANAGEMENT##"}

  {* for tabindex *}
  {counter start=1 print=false}

  <div id="iw-form-shell">
    {iw_form form=$iw_form.cron_options}
  </div>

  <h1>
    ##LG_CRONTAB_EDITOR##
  </h1>

  <form action="{$iw_self}"
        name="cronjobs"
        method="post">

  <table class="iw-table" width="100%">

    <tr>
      <td class="nowrap" colspan="8">
        ##LG_ADD_CRONJOB##:
         [ <a href="{$iw_self}?action=add&interface=simple">##LG_SIMPLE_INTERFACE##</a> ]
         [ <a href="{$iw_self}?action=add&interface=advanced">##LG_ADVANCED_INTERFACE##</a> ]

      </td>
    </tr>

    <tr class="iw-table-hd nowrap">

      <td align="center" colspan="2" width="10%">
        &nbsp;
      </td>

      <td>
        ##LG_CRONMINUTE##
      </td>

      <td>
        ##LG_CRONHOUR##
      </td>

      <td>
        ##LG_CRONDAY##
      </td>

      <td>
        ##LG_CRONMONTH##
      </td>

      <td>
        ##LG_CRONDAYWEEK##
      </td>

      <td width="25%">
        ##LG_CRONJOBSSCRIPT##
      </td>
    </tr>

  {foreach item=job from=$iw_cron.crontab.jobs}
    <tr class="{cycle} center">

      <td class="center">
        <input type="checkbox"
               name="jobs[]"
               tabindex="{counter}"
               value="{$job.linenum}"
               id="job_{$job.linenum}">
      </td>

      <td class="nowrap" align="left">
        [ <a tabindex="{counter}"
             href="{$iw_self}?action=edit&amp;job={$job.linenum}">##LG_EDIT##</a> ]
      </td>

      <td>
        <label for="job_{$job.linenum}">
          {$job.minute|replace:",":", "}
        </label>
      </td>
      <td>
        <label for="job_{$job.linenum}">
          {$job.hour|replace:",":", "}
        </label>
      </td>
      <td>
        <label for="job_{$job.linenum}">
          {$job.day|replace:",":", "}
        </label>
      </td>
      <td>
        <label for="job_{$job.linenum}">
          {$job.month|replace:",":", "}
        </label>
      </td>
      <td>
        <label for="job_{$job.linenum}">
          {$job.dayofweek|replace:",":", "}
        </label>
      </td>
      <td class="left">
        <pre>{$job.script|wordwrap:35:"\n"}</pre>
      </td>

    </tr>

  {foreachelse}

    <tr>
      <td colspan="9">
        {iw_message text='##LG_NO_CRONJOBS##' mode='neutral'}
      </td>
    </tr>

  {/foreach}

  {if count( $iw_cron.crontab.jobs ) > 0 && $iw_cron.edit_linenum eq ''}
    <tr class="iw-table-ft">
      <td class="center">
        <img alt="arrow" src="/nodeworx/templates/{$iw_theme}/images/arrow.gif">
      </td>

      <td colspan="7" class="left">
        [ <a href="#"
             tabindex="{counter}"
             onClick="setCheckboxes('cronjobs','jobs[]',true);return false;">##LG_CHECKALL##</a> ]
        [ <a href="#"
             tabindex="{counter}"
             onClick="setCheckboxes('cronjobs','jobs[]',false);return false;">##LG_CHECKNONE##</a> ]
        {iw_quickhelp id="LG_QH_CRONDROPDOWN"}
        <select name="action"
                class="select"
                onchange='javascript:confirmSubmitCheckbox( this,
                                                            "jobs[]",
                                                            "##LG_SELECTED_CRONJOBS##",
                                                            "##LG_CONFIRM_ACTION##",
                                                            "##LG_NOTHING_SELECTED##" );'
                tabindex="{counter}">
          <option value="0">##LG_WITH_SELECTED##:</option>
            {html_options options=$iw_job_actions}
        </select>
      </td>
    </tr>
  {/if}

  </table>

  </form>

{include file="content-frame-bottom.tpl"}
