
<!--
  SiteWorx Template
-->

<!--
  This template is used to display your server overview,
  including your info, the server info, and a quick look at
  the server statistics.
-->

<!--
  PLEASE read the skinning  manual before editing this
  template.  The skinning manual can be found at:
  http://interworx.info/products/iworx-cp/themes/howto/
-->

<!--
  Smarty variables available to the template designer:

  Just edit the iworx.ini file to see a popup window of
  what smarty variables are available to you.  You should
  base all of your templates on the iw_ prefix'd variables
  as any others *may* change
-->

{include file="content-frame-top.tpl"
         header="##LG_SSLCERT##"}
  {if $iw_sharedip eq true}
    {iw_message text='##LG_SSL_NOT_STATIC_IP##'
                mode='negative'
                class='center'}
  {else}
    {if $iw_ssl_expiry_info.message neq ""}
      {if $iw_ssl_expiry_info.status eq "expired"}
        {assign var='iw_message_mode' value='negative'}
      {else}
        {assign var='iw_message_mode' value='neutral'}
      {/if}
        {iw_message_block mode=$iw_message_mode class='center'}
          {$iw_ssl_expiry_info.message}
        {/iw_message_block}
    {/if}

    {* for tabindex *}
    {counter start=1 print=false}
    
    <table class="columns">
      <tr>
        <td class="columns" style="width: 50%">
        <table class="iw-table" width="100%">
          <tr class="iw-table-hd">
            <td width="5%">
            </td>
            <td>
            ##LG_SSL_FILES##
            </td>
            <td>
            ##LG_STATUS##
            </td>
          </tr>
          <tr class="{cycle} ruler nowrap">
            <td>
            1.
            </td>
            <td>
              ##LG_SSL_PRIVATE_KEY##
            </td>
            <td class="nowrap">
              {if $iw_sslinfo.key eq ""}
                {assign var='iw_message_mode' value='neutral'}
                {assign var='iw_message_text' value='##LG_NOT_INSTALLED##'}
              {else}
                {assign var='iw_message_mode' value='positive'}
                {assign var='iw_message_text' value='##LG_INSTALLED##'}
              {/if}
              {iw_message_block mode=$iw_message_mode}
              {$iw_message_text}
              <br>
              [ <a href="/siteworx/ssl/key">
              {if $iw_sslinfo.key eq ""}
              ##LG_SSL_SETUP_PRIVATE_KEY##
              {else}
              ##LG_SSL_VIEW_PRIVATE_KEY##
              {/if}</a> ]
                {/iw_message_block}
            </td>
          </tr>
          <tr class="{cycle} ruler nowrap">
            <td>
            2.
            </td>
            <td>
              ##LG_SSL_CSR##
            </td>
            <td>
              {if $iw_sslinfo.csr eq ""}
                {assign var='iw_message_mode' value='neutral'}
                {assign var='iw_message_text' value='##LG_NOT_INSTALLED##'}
              {else}
                {assign var='iw_message_mode' value='positive'}
                {assign var='iw_message_text' value='##LG_INSTALLED##'}
              {/if}
              {iw_message_block mode=$iw_message_mode}
              {$iw_message_text}<br>
              {if $iw_sslinfo.key neq ""}
                [ <a href="/siteworx/ssl/csr">
                {if $iw_sslinfo.csr eq ""}
                ##LG_SSL_SETUP_CSR##
                {else}
                ##LG_SSL_VIEW_CSR##
                {/if}</a> ]
              {/if}
                {/iw_message_block}
            </td>
          </tr>
          <tr class="{cycle} ruler">
            <td>
            3.
            </td>
            <td>
              ##LG_SSL_CERTIFICATE##
            </td>
            <td class="nowrap">
              {if $iw_sslinfo.crt eq ""}
                {assign var='iw_message_mode' value='neutral'}
                {assign var='iw_message_text' value='##LG_NOT_INSTALLED##'}
              {else}
                {assign var='iw_message_mode' value='positive'}
                {assign var='iw_message_text' value='##LG_INSTALLED##'}
              {/if}
              
              {* Overwrite the above if the ssl_domain is set already *}
              
              {if $iw_ssl_domain}
                {if $iw_ssl_domain neq $iw_working_domain }
                  {assign var='iw_message_mode' value='negative'}
                  {assign var='iw_message_text' value='##LG_IN_USE##'}
                  {assign var='iw_hide_crt_link' value=1}
                {/if}
              {/if}
              
              {iw_message_block mode=$iw_message_mode}
              {$iw_message_text}<br>
              {if $iw_hide_crt_link neq 1}
                {if $iw_sslinfo.key neq ""}
                  [ <a href="/siteworx/ssl/crt">
                  {if $iw_sslinfo.crt eq ""}
                  ##LG_SSL_SETUP_CERTIFICATE##
                  {else}
                  ##LG_SSL_VIEW_CERTIFICATE##
                  {/if}</a> ]
                {/if}
              {/if}
              {/iw_message_block}
            </td>
          </tr>
          <tr class="{cycle} ruler">
            <td>
            4.
            </td>
            <td>
              ##LG_SSL_CHAIN_CERTIFICATE##
            </td>
            <td class="nowrap">
              {if $iw_sslinfo.chain eq ""}
                {assign var='iw_message_mode' value='neutral'}
                {assign var='iw_message_text' value='##LG_NOT_INSTALLED##'}
              {else}
                {assign var='iw_message_mode' value='positive'}
                {assign var='iw_message_text' value='##LG_INSTALLED##'}
              {/if}
              {iw_message_block mode=$iw_message_mode}
              {$iw_message_text}<br>
              {if $iw_sslinfo.crt neq "" ||
                  $iw_sslinfo.chain neq "" }
                [ <a href="/siteworx/ssl/chain">
                {if $iw_sslinfo.chain eq ""}
                ##LG_SSL_SETUP_CHAIN_CERTIFICATE##
                {else}
                ##LG_SSL_VIEW_CHAIN_CERTIFICATE##
                {/if}</a> ]
              {/if}
              {/iw_message_block}
            </td>
          </tr>
        </table>
        </td>
        <td class="columns" style="width: 50%">
        
        {if $iw_ssl_domain}
          {if $iw_ssl_domain neq $iw_working_domain }
            {iw_message_block mode='negative'}
              ##LG_SSL_IN_USE_BY## {$iw_ssl_domain}
              <br>
              <br>
              ##LG_SSL_PLEASE_REMOVE_BEFORE_CONTINUING##
            {/iw_message_block}
          {/if}
        {/if}
        
        {if $iw_sslinfo.config_exists eq true}
          <table class="iw-table" width="100%">
            <tr class="iw-table-hd">
              <td colspan="2">##LG_SSL_INSTALLED_CERTIFICATE_OVERVIEW##</td>
            </tr>
            <tr class="{cycle} ruler">
              <td width="5%">##LG_DOMAIN##:</td>
              <td>
                {if is_array( $iw_sslinfo.parsed_cert.CN )}
                {foreach from=$iw_sslinfo.parsed_cert.CN item=name}
                  {$name} 
                {/foreach}                       
                {else}
                  {$iw_sslinfo.parsed_cert.CN}
                {/if}          
              </td>
            </tr>
            {if is_array( $iw_sslinfo.alt_names )}
            <tr class="{cycle} ruler">
              <td width="5%">##LG_ALTERNATE_DOMAINS##:</td>
              <td>
                {foreach from=$iw_sslinfo.alt_names item=name}
                  {$name} 
                {/foreach}
              </td>
            </tr>
            {/if}
            <tr class="{cycle} ruler">
              <td>##LG_SSL_CSR_COMPANY##:</td>
              <td>{$iw_sslinfo.parsed_cert.O}</td>
            </tr>
            <tr class="{cycle} nowrap ruler">
              <td>##LG_SSL_ISSUED_BY##:</td>
              <td>{$iw_sslinfo.cert_issued_by}</td>
            </tr>
            <tr class="{cycle} nowrap ruler">
              <td>##LG_SSL_ISSUED_ON##:</td>
              <td>{$iw_sslinfo.expiry.valid_from|date_format}</td>
            </tr>
            <tr class="{cycle} nowrap ruler">
              <td>##LG_SSL_EXPIRES_ON##:</td>
              <td><b>{$iw_sslinfo.expiry.valid_to|date_format}</b></td>
            </tr>
          </table>
        {/if}
        </td>
      </tr>
    </table>
  {/if}
{include file="content-frame-bottom.tpl"}

