# phpMyAdmin MySQL-Dump
# version 2.5.1
# http://www.phpmyadmin.net/ (download page)
#
# Host: localhost
# Generation Time: Oct 01, 2003 at 02:51 AM
# Server version: 3.23.54
# PHP Version: 4.3.1
# Database : `iworx`
# --------------------------------------------------------

DROP TABLE IF EXISTS `webmail_servermap`;
CREATE TABLE `webmail_servermap` (
  `domain` VARCHAR( 255 ) NOT NULL ,
  `host` VARCHAR( 255 ) NOT NULL ,
  PRIMARY KEY ( `domain` )
) ENGINE = MYISAM;

DROP TABLE IF EXISTS `database_servers`;
CREATE TABLE `database_servers` (
  `id` int(11) NOT NULL auto_increment,
  `dsn` varchar(255) NOT NULL default '',
  `nickname` varchar(255) NOT NULL default '',
  `active` enum('yes','no') NOT NULL default 'yes',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `nickname` (`nickname`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `siteworx_database_server_map`;
CREATE TABLE `siteworx_database_server_map` (
  `database_server_id` int(11) NOT NULL default '0',
  `siteworx_id` int(11) NOT NULL default '0',
  UNIQUE KEY `object_pair` (`database_server_id`,`siteworx_id`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `nodeworx_reseller_database_server_map`;
CREATE TABLE `nodeworx_reseller_database_server_map` (
  `database_server_id` int(11) NOT NULL default '0',
  `reseller_id` int(11) NOT NULL default '0',
  UNIQUE KEY `object_pair` (`database_server_id`,`reseller_id`)
) TYPE=MyISAM;

#
# Table structure for table `dns_records`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 30, 2003 at 05:36 PM
#

DROP TABLE IF EXISTS `dns_records`;
#
# Table structure for table `dns_records`
#
# Creation: Nov 01, 2003 at 11:11 PM
# Last update: Nov 01, 2003 at 11:11 PM
#

CREATE TABLE `dns_records` (
  `record_id` int(11) NOT NULL auto_increment,
  `zone_id` int(11) NOT NULL default '0',
  `type` enum('A','CNAME','NS','HOST','MX','PTR','NSSOA','SOA','TXT','SPF','SRV') NOT NULL default 'A',
  `host` varchar(128) NOT NULL default '',
  `target` varchar(255) NOT NULL default '',
  `ttl` int(11) NOT NULL default '14400',
  `last_update` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`record_id`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `dns_zones`;
CREATE TABLE `dns_zones` (
  `zone_id` int(11) NOT NULL auto_increment,
  `domain` varchar(128) NOT NULL default '0',
  `nameserver` varchar(128) NOT NULL default '',
  `contact` varchar(64) NOT NULL default '',
  `refresh` int(11) NOT NULL default '7200',
  `retry` int(11) NOT NULL default '2048',
  `expire` int(11) NOT NULL default '1048576',
  `minimum` int(11) NOT NULL default '2560',
  `serial` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`zone_id`),
  UNIQUE KEY `domain_id` (`domain`)
) TYPE=MyISAM;

ALTER TABLE `dns_records` ADD INDEX ( `zone_id` );

#
# Table structure for table `domains`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 30, 2003 at 05:36 PM
#

DROP TABLE IF EXISTS `domains`;
CREATE TABLE `domains` (
  `domain_id` int(11) NOT NULL auto_increment,
  `registrar_id` int(11) NOT NULL default '0',
  `package_id` int(11) NOT NULL default '0',
  `parent_domain_id` int(11) NOT NULL default '0',
  `name` varchar(128) NOT NULL default '',
  `status` enum('inactive','active','pending') NOT NULL default 'pending',
  `type` enum('master','pointer','slave','subdomain') NOT NULL default 'slave',
  `reg_user` varchar(32) NOT NULL default '',
  `reg_password` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`domain_id`),
  UNIQUE KEY `domain_name` (`name`),
  KEY `parent_domain_id` (`parent_domain_id`)
) TYPE=MyISAM;

ALTER TABLE `domains` ADD INDEX `package_type_index` ( `package_id` , `type` );
ALTER TABLE `domains` ADD INDEX ( `type` );

#
# Table structure for table `email_templates`
#
# Creation: Oct 17, 2003 at 08:33 PM
# Last update: Oct 18, 2003 at 12:15 AM
#

DROP TABLE IF EXISTS `email_templates`;
CREATE TABLE `email_templates` (
  `template_id` int(11) NOT NULL auto_increment,
  `name` varchar(128) NOT NULL default '',
  `description` text NOT NULL,
  `from_email` varchar(128) NOT NULL default '',
  `from_name` varchar(128) NOT NULL default '',
  `subject` varchar(128) NOT NULL default '',
  `template` text NOT NULL,
  `default_from_name` varchar(128) NOT NULL default '',
  `default_subject` varchar(128) NOT NULL default '',
  `default_template` text NOT NULL,
  PRIMARY KEY  (`template_id`),
  UNIQUE KEY `name` (`name`)
) TYPE=MyISAM AUTO_INCREMENT=5 ;

#
# Dumping data for table `email_templates`
#

INSERT INTO `email_templates` VALUES (1, 'BANDWIDTH_OVERAGE', 'E-mail sent to SiteWorx account owners when they reach 80% and 100% of their bandwidth usage.', 'root@localhost', 'NodeWorx Server Manager', '[[domain]]: bandwidth [[used]]% used', 'Hi,\r\n\r\nThis in an automatic informational message to notify you that domain has used [[used]]% of its bandwidth allotment under your current plan.\r\n\r\nOnce you reach 100% utilization of your bandwidth your site will either be interrupted or you will incur bandwidth\r\noverage charges.\r\n\r\nThanks,\r\n\r\nYour NodeWorx Server Manager', 'NodeWorx Server Manager', '[[domain]]: bandwidth [[used]]% used', 'Hi,\r\n\r\nThis in an automatic informational message to notify you that domain has used [[used]]% of its bandwidth allotment under your current plan.\r\n\r\nOnce you reach 100% utilization of your bandwidth your site will either be interrupted or you will incur bandwidth\r\noverage charges.\r\n\r\nThanks,\r\n\r\nYour NodeWorx Server Manager');
INSERT INTO `email_templates` VALUES (2, 'STORAGE_OVERAGE', 'E-mail sent to SiteWorx account owners when they reach 80% and 100% of their storage space usage.', 'root@localhost', 'NodeWorx Server Manager', '[[domain]]: storage [[used]]% used', 'Hi,\r\n\r\nThis in an automatic informational message to notify you that [[domain]] has used [[used]]% of its storage allotment under your current plan.  Once you reach 100% utilization of your disk storage you will not be able to upload any more of your content and more importantly your databases if you have any and e-mail will be hindered due to lack of disk space.\r\n\r\nThanks,\r\n\r\nYour NodeWorx Server Manager\r\n', 'NodeWorx Server Manager', '[[domain]]: storage [[used]]% used', 'Hi,\r\n\r\nThis in an automatic informational message to notify you that [[domain]] has used [[used]]% of its storage allotment under your current plan.  Once you reach 100% utilization of your disk storage you will not be able to upload any more of your content and more importantly your databases if you have any and e-mail will be hindered due to lack of disk space.\r\n\r\nThanks,\r\n\r\nYour NodeWorx Server Manager\r\n');
INSERT INTO `email_templates` VALUES (3, 'MONITOR_LOADAVG', 'E-mail sent out when the load average goes over the preset threshold as set in Server Setup.', 'root@localhost', 'NodeWorx Server Manager', '[[hostname]]: high load alert [[1minload]] / [[5minload]] / [[15minload]]', 'Hi,\r\n\r\nThis in an automatic informational message to notify you that [[hostname]] has hit the load threshold set for your server.  The load at the time of this e-mail\'s creation is as follows:\r\n\r\n1 minute: [[1minload]]\r\n5 minute: [[5minload]]\r\n15 minute: [[15minload]]\r\n\r\nThanks,\r\n\r\nYour NodeWorx Server Manager\r\n', 'NodeWorx Server Manager', '[[hostname]]: high load alert [[1minload]] / [[5minload]] / [[15minload]]', 'Hi,\r\n\r\nThis in an automatic informational message to notify you that [[hostname]] has hit the load threshold set for your server.  The load at the time of this e-mail\'s creation is as follows:\r\n\r\n1 minute: [[1minload]]\r\n5 minute: [[5minload]]\r\n15 minute: [[15minload]]\r\n\r\nThanks,\r\n\r\nYour NodeWorx Server Manager\r\n');
INSERT INTO `email_templates` VALUES (4, 'MONITOR_STORAGE', 'E-mail sent out when the free space on any storage partition goes over the preset threshold as set in Server Setup.', 'root@localhost', 'NodeWorx Server Manager', '[[hostname]]:[[mount]] partition [[percentage]] alert', 'Hi,\r\n\r\nThis in an automatic informational message to notify you that the [[mount]] partition on [[hostname]] has hit the storage partition threshold set for your server.  The [[mount]] partition is [[percentage]] full at the time of this e-mail\'s creation.\r\n\r\nThanks,\r\n\r\nYour NodeWorx Server Manager\r\n', 'NodeWorx Server Manager', '[[hostname]]:[[mount]] partition [[percentage]] alert', 'Hi,\r\n\r\nThis in an automatic informational message to notify you that the [[mount]] partition on [[hostname]] has hit the storage partition threshold set for your server.  The [[mount]] partition is [[percentage]] full at the time of this e-mail\'s creation.\r\n\r\nThanks,\r\n\r\nYour NodeWorx Server Manager\r\n');
INSERT INTO `email_templates` VALUES (5, 'SITEWORX_BACKUP_COMPLETE','E-mail sent out when the SiteWorx backup script (~/bin/backup.pex) completes, regardless of if it was successful.', 'root@localhost','NodeWorx Server Manager', '[[domain]] backup: [[success_status]] completed', 'Hi,\r\n\r\nThis in an automatic informational message to notify you that the [[backup_type]] backup of domain [[domain]] was [[success_status]] completed.  The backup file can be found here:\r\n[[backup_file]]\r\n\r\nThanks,\r\n\r\nYour NodeWorx Server Manager\r\n[[warnings]]', 'NodeWorx Server Manager', '[[domain]] backup: [[success_status]] completed', 'Hi,\r\n\r\nThis in an automatic informational message to notify you that the [[backup_type]] backup of domain [[domain]] was [[success_status]] completed.  The backup file can be found here:\r\n[[backup_file]]\r\n\r\nThanks,\r\n\r\nYour NodeWorx Server Manager\r\n[[warnings]]');
INSERT INTO `email_templates` VALUES (6, 'SALEARN_UPDATE','E-mail sent out when messages are found in the "Learn Spam" and/or "Learn Ham" folder to train the Bayes database', 'root@localhost','SiteWorx Server Manager', 'SpamAssassin Bayes Update.  [[trainedspam]] Spam, [[trainedham]] Ham (non-spam)', 'Hi,\n\nThis is an automatic message to let you know that some messages were found in your spam training folders.  \nThese messages have been used to train the spam bayes database, and have been deleted.  \n\nTrained Spam: [[trainedspam]] ([[spamexam]] examined)\nTrained Ham:  [[trainedham]] ([[hamexam]] examined)\n\nHere are the current overall statistics for your bayes database:\n\nBayes username: [[bayesuser]]\nTotal Trained Spam: [[totalspam]]\nTotal Trained Ham:  [[totalham]]\n\nThings to keep in mind:\n*You can only train [[maxlearn]] messages in each folder per day.\n*You must have at least 200 spam messages and 200 ham (non-spam) trained before the Bayesian filter will start having an effect.\n*You must train both spam and ham (non-spam) for the Bayesian system to be effective, and you should try to keep around the same number of each trained at a time.\n*You can create an IMAP folder named "Spam", and messages tagged by SpamAssassin will be delivered to this folder rather than your INBOX.\n', 'SiteWorx Server Manager', 'SpamAssassin Bayes Update.  [[trainedspam]] Spam, [[trainedham]] Ham (non-spam)', 'Hi,\n\nThis is an automatic message to let you know that some messages were found in your spam training folders.  \nThese messages have been used to train the spam bayes database, and have been deleted.  \n\nTrained Spam: [[trainedspam]] ([[spamexam]] examined\nTrained Ham:  [[trainedham]] ([[hamexam]] examined\n\nHere are the current overall statistics for your bayes database:\n\nBayes username: [[bayesuser]]\nTotal Trained Spam: [[totalspam]]\nTotal Trained Ham:  [[totalham]]\n\nThings to keep in mind:\n*You can only train [[maxlearn]] messages in each folder per day.\n*You must have at least 200 spam messages and 200 ham (non-spam) trained before the Bayesian filter will start having an effect.\n*You must train both spam and ham (non-spam) for the Bayesian system to be effective, and you should try to keep around the same number of each trained at a time.\n*You can create an IMAP folder named "Spam", and messages tagged by SpamAssassin will be delivered to this folder rather than your INBOX.\n');



# --------------------------------------------------------

#
# Table structure for table `log`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 24, 2003 at 09:03 PM
#

DROP TABLE IF EXISTS `log`;
CREATE TABLE `log` (
  `id` int(11) NOT NULL default '0',
  `logtime` datetime NOT NULL default '0000-00-00 00:00:00',
  `ident` varchar(64) NOT NULL default '',
  `priority` tinyint(3) NOT NULL default '0',
  `message` longtext NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Dumping data for table `log`
#

# --------------------------------------------------------

#
# Table structure for table `log_id_seq`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 24, 2003 at 09:03 PM
#

DROP TABLE IF EXISTS `log_id_seq`;
CREATE TABLE `log_id_seq` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# Dumping data for table `log_id_seq`
#


#
# Table structure for table `nodeworx`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 30, 2003 at 07:59 PM
#

DROP TABLE IF EXISTS `nodeworx`;
CREATE TABLE `nodeworx` (
  `nodeworx_id` int(11) NOT NULL auto_increment,
  `bandwidth` float NOT NULL default '0',
  `storage` float NOT NULL default '0',
  `accounts` int(11) NOT NULL default '0',
  `domains` int(11) NOT NULL default '0',
  `status` enum('inactive','active','pending','canceled','fraud') NOT NULL default 'pending',
  PRIMARY KEY  (`nodeworx_id`)
) TYPE=MyISAM;

ALTER TABLE `nodeworx`
        CHANGE `bandwidth` `bandwidth` VARCHAR( 10 ) NOT NULL DEFAULT '0',
        CHANGE `storage` `storage` VARCHAR( 10 ) NOT NULL DEFAULT '0',
        CHANGE `accounts` `accounts` VARCHAR( 10 ) NOT NULL DEFAULT '0',
        CHANGE `domains` `domains` VARCHAR( 10 ) NOT NULL DEFAULT '0' ;
ALTER TABLE `nodeworx` ADD `apikey` TEXT NOT NULL;
ALTER TABLE `nodeworx` ADD `billing_day` INT NOT NULL DEFAULT '1' AFTER `domains`;


#
# Table structure for table `nodeworx_ips`
#
# Creation: Sep 28, 2003 at 07:18 PM
# Last update: Sep 30, 2003 at 07:21 PM
#

DROP TABLE IF EXISTS `nodeworx_ips`;
CREATE TABLE `nodeworx_ips` (
  `ip_id` int(11) NOT NULL auto_increment,
  `ipaddr` varchar(15) NOT NULL default '',
  `type` enum('static','shared') NOT NULL default 'static',
  `ptr` varchar(128) NOT NULL default '',
  `status` enum('used','unused') NOT NULL default 'unused',
  PRIMARY KEY  (`ip_id`),
  UNIQUE KEY `ipaddr` (`ipaddr`)
) TYPE=MyISAM;

ALTER TABLE `nodeworx_ips`
        ADD `device` VARCHAR( 32 ) DEFAULT 'eth0' NOT NULL ,
        ADD `netmask` VARCHAR( 15 ) DEFAULT '255.255.255.0' NOT NULL ;
ALTER TABLE `nodeworx_ips`
        ADD `reseller` ENUM( 'yes', 'no' ) DEFAULT 'no' NOT NULL ;
ALTER TABLE `nodeworx_ips` ADD `vip` ENUM( 'yes', 'no' ) DEFAULT 'no' NOT NULL ;
ALTER TABLE `nodeworx_ips` ADD `ext_ipaddr` VARCHAR( 15 ) DEFAULT '0.0.0.0' NOT NULL ;

ALTER TABLE `nodeworx_ips`
        ADD `siteworx_id` INT(11) UNSIGNED NOT NULL DEFAULT '0';
ALTER TABLE `nodeworx_ips` DROP `status`;
ALTER TABLE `nodeworx_ips` ADD INDEX ( `siteworx_id` ) ;


#
# Table structure for table `nodeworx_reseller_ip_map`
#
#

DROP TABLE IF EXISTS `nodeworx_reseller_ip_map`;
CREATE TABLE `nodeworx_reseller_ip_map` (
  `reseller_id` int(11) NOT NULL,
  `ip_id` int(11) NOT NULL,
  PRIMARY KEY (`reseller_id`, `ip_id` )
) TYPE=MyISAM;

#
# Table structure for table `reseller_preferences`
#
#

DROP TABLE IF EXISTS `reseller_preferences`;
CREATE TABLE `reseller_preferences` (
  `reseller_id` INT NOT NULL ,
  `pref_name` VARCHAR( 25 ) NOT NULL ,
  `pref_value` VARCHAR( 254 ) NOT NULL
) TYPE = MYISAM;

ALTER TABLE `reseller_preferences` ADD PRIMARY KEY ( `reseller_id` , `pref_name` );

#
# Table structure for table `nodeworx_package_map`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 29, 2003 at 08:14 PM
#

DROP TABLE IF EXISTS `nodeworx_package_map`;
CREATE TABLE `nodeworx_package_map` (
  `nodeworx_id` int(11) NOT NULL default '0',
  `package_id` int(11) NOT NULL default '0',
  UNIQUE KEY `nodeworx_package_id` (`nodeworx_id`,`package_id`)
) TYPE=MyISAM;

#
# Table structure for table `nodeworx_reseller_package_map`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 29, 2003 at 08:14 PM
#

DROP TABLE IF EXISTS `nodeworx_reseller_package_map`;
CREATE TABLE `nodeworx_reseller_package_map` (
  `nodeworx_id` int(11) NOT NULL default '0',
  `package_id` int(11) NOT NULL default '0',
  UNIQUE KEY `nodeworx_package_id` (`nodeworx_id`,`package_id`)
) TYPE=MyISAM;

#
# Table structure for table `nodeworx_permissions`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 30, 2003 at 08:09 PM
#

DROP TABLE IF EXISTS `nodeworx_permissions`;
CREATE TABLE `nodeworx_permissions` (
  `permission_id` int(11) NOT NULL auto_increment,
  `parent_id` int(11) NOT NULL default '0',
  `short_name` varchar(13) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`permission_id`),
  UNIQUE KEY `short_name` (`short_name`),
  KEY `parent_id` (`parent_id`)
) TYPE=MyISAM AUTO_INCREMENT=28;

#
# Dumping data for table `nodeworx_permissions`
#

INSERT INTO `nodeworx_permissions` VALUES (3, 0, 'NODEWORXUSER', 'LG_PERM_USERS_DESC');
INSERT INTO `nodeworx_permissions` VALUES (4, 0, 'LANGUAGES', 'LG_LANGUAGES');
INSERT INTO `nodeworx_permissions` VALUES (5, 0, 'THEMES', 'LG_THEMES');
INSERT INTO `nodeworx_permissions` VALUES (6, 0, 'SWACCOUNTS', 'LG_SITEWORXACCOUNTS');
INSERT INTO `nodeworx_permissions` VALUES (7, 0, 'SHELLUSERS', 'LG_USERSLOGGEDIN');
INSERT INTO `nodeworx_permissions` VALUES (8, 0, 'PACKAGES', 'LG_PACKAGES');
INSERT INTO `nodeworx_permissions` VALUES (10, 0, 'LOGIN', 'LG_LOGIN');
INSERT INTO `nodeworx_permissions` VALUES (11, 0, 'BRESTORE', 'LG_BACKUPRESTORE');
INSERT INTO `nodeworx_permissions` VALUES (12, 0, 'IMPORT', 'LG_IMPORT');
INSERT INTO `nodeworx_permissions` VALUES (14, 0, 'RESELLER', 'LG_RESELLERS');
INSERT INTO `nodeworx_permissions` VALUES (15, 0, 'APACHE', 'LG_WEBSERVER');
INSERT INTO `nodeworx_permissions` VALUES (13, 0, 'EMAIL', 'LG_EMAIL');
INSERT INTO `nodeworx_permissions` VALUES (16, 0, 'FTP', 'LG_FTP_SERVER_MANAGEMENT');
INSERT INTO `nodeworx_permissions` VALUES (17, 0, 'MYSQL', 'LG_MYSQL');
INSERT INTO `nodeworx_permissions` VALUES (18, 0, 'DNS', 'LG_DNS');
INSERT INTO `nodeworx_permissions` VALUES (19, 0, 'SSH', 'LG_SSHSERVER');
INSERT INTO `nodeworx_permissions` VALUES (20, 0, 'APIKEY', 'LG_APIKEY');
INSERT INTO `nodeworx_permissions` VALUES (21, 0, 'CRON', 'LG_CRON_OPTIONS');
INSERT INTO `nodeworx_permissions` VALUES (22, 0, 'IPS', 'LG_IPMANAGEMENT');
INSERT INTO `nodeworx_permissions` VALUES (23, 0, 'FIREWALL', 'LG_FIREWALL');
INSERT INTO `nodeworx_permissions` VALUES (24, 0, 'UPDATES', 'LG_UPDATES');
INSERT INTO `nodeworx_permissions` VALUES (25, 0, 'GRAPHS', 'LG_SYSTEM_GRAPHS');
INSERT INTO `nodeworx_permissions` VALUES (26, 0, 'NFS', 'LG_NFS_MANAGEMENT');
INSERT INTO `nodeworx_permissions` VALUES (27, 0, 'CLUSTERING', 'LG_CLUSTERING');
INSERT INTO `nodeworx_permissions` VALUES (28, 0, 'SETTINGS', 'LG_SETTINGS');
INSERT INTO `nodeworx_permissions` VALUES (29, 0, 'IWORXLOGS', 'LG_IWORXLOGS');
INSERT INTO `nodeworx_permissions` VALUES (30, 0, 'PHPMYADMIN', 'LG_PHPMYADMIN');
INSERT INTO `nodeworx_permissions` VALUES (31, 0, 'PLUGINS', 'LG_PLUGINS');
# --------------------------------------------------------

#
# Table structure for table `nodeworx_reseller_map`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 24, 2003 at 09:03 PM
#

DROP TABLE IF EXISTS `nodeworx_reseller_map`;
CREATE TABLE `nodeworx_reseller_map` (
  `nodeworx_id` int(11) NOT NULL default '0',
  `reseller_id` int(11) NOT NULL default '0',
  UNIQUE KEY `nodeworx_siteworx_id` (`nodeworx_id`,`reseller_id`)
) TYPE=MyISAM;

#
# Dumping data for table `nodeworx_reseller_map`
#

# --------------------------------------------------------

#
# Table structure for table `nodeworx_siteworx_map`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 30, 2003 at 05:36 PM
#

DROP TABLE IF EXISTS `nodeworx_siteworx_map`;
CREATE TABLE `nodeworx_siteworx_map` (
  `nodeworx_id` int(11) NOT NULL default '0',
  `siteworx_id` int(11) NOT NULL default '0',
  UNIQUE KEY `nodeworx_siteworx_id` (`nodeworx_id`,`siteworx_id`)
) TYPE=MyISAM;


#
# Table structure for table `nodeworx_users`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 24, 2003 at 09:03 PM
#

DROP TABLE IF EXISTS `nodeworx_users`;
CREATE TABLE `nodeworx_users` (
  `user_id` int(11) NOT NULL auto_increment,
  `nickname` varchar(128) NOT NULL default '',
  `email` varchar(128) NOT NULL default '',
  `password` varchar(40) NOT NULL default '',
  `clear_password` varchar(40) NOT NULL default '',
  `type` enum('root','master','slave') NOT NULL default 'slave',
  `status` enum('active','inactive') NOT NULL default 'active',
  `language` varchar(32) NOT NULL default '',
  `apikey` text NOT NULL,
  PRIMARY KEY  (`user_id`),
  UNIQUE KEY `email` (`email`)
) TYPE=MyISAM;
ALTER TABLE `nodeworx_users` DROP `apikey`;
ALTER TABLE `nodeworx_users` ADD `theme` VARCHAR( 128 ) NOT NULL ;
ALTER TABLE `nodeworx_users` ADD `nodeworx_id` INT( 11 ) NOT NULL DEFAULT '1';

#
# Table structure for table `nw_user_permission_map`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 24, 2003 at 09:03 PM
#

DROP TABLE IF EXISTS `nw_user_permission_map`;
CREATE TABLE `nw_user_permission_map` (
  `user_id` int(11) NOT NULL auto_increment,
  `permission_id` int(11) NOT NULL default '0',
  `nodeworx_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`user_id`)
) TYPE=MyISAM;
ALTER TABLE `nw_user_permission_map` CHANGE `user_id` `user_id` INT( 11 ) NOT NULL;
ALTER TABLE `nw_user_permission_map` DROP PRIMARY KEY;
ALTER TABLE `nw_user_permission_map` ADD PRIMARY KEY ( `user_id` , `permission_id` , `nodeworx_id` );

#
# Table structure for table `package_bandwidth`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Oct 01, 2003 at 02:50 AM
#

DROP TABLE IF EXISTS `package_bandwidth`;
CREATE TABLE `package_bandwidth` (
  `bandwidth_id` int(11) NOT NULL auto_increment,
  `package_id` int(11) NOT NULL default '0',
  `domain_id` int(11) NOT NULL default '0',
  `type` varchar(15) NOT NULL default 'empty',
  `in_bytes` bigint(20) NOT NULL default '0',
  `out_bytes` bigint(20) NOT NULL default '0',
  `month` enum('january','february','march','april','may','june','july','august','september','october','november','december') NOT NULL default 'january',
  `year` int(4) NOT NULL default '0',
  `last_update` bigint(20) default '0',
  PRIMARY KEY  (`bandwidth_id`)
) TYPE=MyISAM;

ALTER TABLE `package_bandwidth` ADD `period_start` BIGINT NOT NULL ;
ALTER TABLE `package_bandwidth` ADD `period_end` BIGINT NOT NULL ;
ALTER TABLE `package_bandwidth` DROP `month` , DROP `year` ; 

ALTER TABLE `package_bandwidth`
                ADD `in_counter`  BIGINT( 20 ) NOT NULL,
                ADD `out_counter` BIGINT( 20 ) NOT NULL ;

ALTER TABLE `package_bandwidth` ADD INDEX ( `package_id` );
ALTER TABLE `package_bandwidth` ADD INDEX `domain_type_index` ( `domain_id` , `type` );


# 
# Table structure for table `reseller_bandwidth`
# 

CREATE TABLE `reseller_bandwidth` (
  `bandwidth_id` int(11) NOT NULL auto_increment,
  `reseller_id` int(11) NOT NULL default '0',
  `package_id` int(11) NOT NULL default '0',
  `type` varchar(15) NOT NULL default 'empty',
  `in_bytes` bigint(20) NOT NULL default '0',
  `out_bytes` bigint(20) NOT NULL default '0',
  `last_update` bigint(20) default '0',
  `period_start` bigint(20) NOT NULL default '0',
  `period_end` bigint(20) NOT NULL default '0',
  `in_counter` bigint(20) NOT NULL default '0',
  `out_counter` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`bandwidth_id`),
  KEY `package_id` (`package_id`)
) TYPE=MyISAM;
        

#
# Table structure for table `package_option_map`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Oct 01, 2003 at 02:43 AM
#

DROP TABLE IF EXISTS `package_option_map`;
CREATE TABLE `package_option_map` (
  `option_id` int(11) NOT NULL default '0',
  `package_id` int(11) NOT NULL default '0',
  `value_id` int(11) NOT NULL default '0',
  UNIQUE KEY `option_package_value_unique` (`option_id`,`package_id`,`value_id`)
) TYPE=MyISAM;

ALTER TABLE `package_option_map` ADD INDEX `package_value_index` (`package_id` , `value_id`);

#
# Table structure for table `package_option_values`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 30, 2003 at 05:36 PM
#

DROP TABLE IF EXISTS `package_option_values`;
CREATE TABLE `package_option_values` (
  `value_id` int(11) NOT NULL auto_increment,
  `value` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`value_id`),
  UNIQUE KEY `value_unique` (`value`)
) TYPE=MyISAM;

#
# Table structure for table `package_options`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 25, 2003 at 10:46 PM
#

DROP TABLE IF EXISTS `package_options`;
CREATE TABLE `package_options` (
  `option_id` int(11) NOT NULL auto_increment,
  `name` varchar(128) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `type` enum('bool','double','float','integer','string') NOT NULL default 'string',
  `unit` varchar(100) NOT NULL default '',
  `access` enum('user','system') NOT NULL default 'user',
  `changable` enum('true','false') NOT NULL default 'true',
  `regex` varchar(255) NOT NULL default '',
  `displaygroup` tinyint NOT NULL default '0',
  PRIMARY KEY  (`option_id`),
  UNIQUE KEY `name` (`name`)
) TYPE=MyISAM AUTO_INCREMENT=15;

#
# Dumping data for table `package_options`
#

INSERT INTO `package_options` VALUES (1, 'LG_OPT_EMAIL_BOXES', 'LG_OPT_EMAIL_BOXES_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `package_options` VALUES (2, 'LG_OPT_MYSQL_DBS', 'LG_OPT_MYSQL_DBS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `package_options` VALUES (3, 'LG_OPT_SUBDOMAINS', 'LG_OPT_SUBDOMAINS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `package_options` VALUES (4, 'LG_OPT_FTP_ACCOUNTS', 'LG_OPT_FTP_ACCOUNTS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `package_options` VALUES (5, 'LG_OPT_CGI_ACCESS', 'LG_OPT_CGI_ACCESS_DESC', 'bool', '', 'system', 'true', '', '2');
#INSERT INTO `package_options` VALUES (6, 'LG_OPT_PHP_ACCESS', 'LG_OPT_PHP_ACCESS_DESC', 'bool', '', 'system', 'false', '', '2');
INSERT INTO `package_options` VALUES (7, 'LG_OPT_EMAIL_ALIASES', 'LG_OPT_EMAIL_ALIASES_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `package_options` VALUES (8, 'LG_OPT_EMAIL_GROUPS', 'LG_OPT_EMAIL_GROUPS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `package_options` VALUES (9, 'LG_OPT_BANDWIDTH', 'LG_OPT_BANDWIDTH_DESC', 'float', 'Gigabytes / Month', 'system', 'true', '/^0*([1-9][0-9]*|[0-9]*\\.0*[1-9][0-9]*|[1-9][0-9]*\\.[0-9]*)0*$/', '1');
INSERT INTO `package_options` VALUES (10, 'LG_OPT_STORAGE', 'LG_OPT_STORAGE_DESC', 'float', 'Megabytes', 'system', 'true', '/^0*([1-9][0-9]*|[0-9]*\\.0*[1-9][0-9]*|[1-9][0-9]*\\.[0-9]*)0*$/', '1');
INSERT INTO `package_options` VALUES (11, 'LG_OPT_SAVE_XFER_LOGS', 'LG_OPT_SAVE_XFER_LOGS_DESC', 'bool', '', 'user', 'true', '', '2');
INSERT INTO `package_options` VALUES (12, 'LG_OPT_BURSTABLE', 'LG_OPT_BURSTABLE_DESC', 'bool', '', 'user', 'true', '', '2');
INSERT INTO `package_options` VALUES (13, 'LG_OPT_MYSQL_DB_USERS', 'LG_OPT_MYSQL_DB_USERS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `package_options` VALUES (14, 'LG_OPT_RESOLVE_XFERLOG_DNS', 'LG_OPT_RESOLVE_XFERLOG_DNS_DESC', 'bool', '', 'system', 'true', '', '2');
INSERT INTO `package_options` VALUES (15, 'LG_OPT_EMAIL_AUTORESPONDERS', 'LG_OPT_EMAIL_AUTORESPONDERS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `package_options` VALUES (16, 'LG_OPT_POINTER_DOMAINS', 'LG_OPT_POINTER_DOMAINS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `package_options` VALUES (17, 'LG_OPT_CRONTAB', 'LG_OPT_CRONTAB_DESC', 'bool', '', 'system', 'true', '', '2');
INSERT INTO `package_options` VALUES (18, 'LG_OPT_SSL', 'LG_OPT_SSL_DESC', 'bool', '', 'system', 'true', '', '2');
INSERT INTO `package_options` VALUES (20, 'LG_OPT_BACKUP', 'LG_OPT_BACKUP_DESC', 'bool', '', 'system', 'true', '', '2');
INSERT INTO `package_options` VALUES (21, 'LG_OPT_SLAVE_DOMAINS', 'LG_OPT_SLAVE_DOMAINS_DESC', 'integer', '', 'system', 'true', '', '1');


# --------------------------------------------------------

#
# Table structure for table `reseller_package_option_map`
#
# Creation: Apr 20, 2006 
# Last update: Apr 20, 2006 
#

DROP TABLE IF EXISTS `reseller_package_option_map`;
CREATE TABLE `reseller_package_option_map` (
  `option_id` int(11) NOT NULL default '0',
  `package_id` int(11) NOT NULL default '0',
  `value_id` int(11) NOT NULL default '0',
  UNIQUE KEY `option_package_value_unique` (`option_id`,`package_id`,`value_id`)
) TYPE=MyISAM;

#
# Table structure for table `reseller_package_option_values`
#
# Creation: Apr 20, 2006 
# Last update: Apr 20, 2006 
#

DROP TABLE IF EXISTS `reseller_package_option_values`;
CREATE TABLE `reseller_package_option_values` (
  `value_id` int(11) NOT NULL auto_increment,
  `value` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`value_id`),
  UNIQUE KEY `value_unique` (`value`)
) TYPE=MyISAM;


#
# Table structure for table `reseller_package_options`
#
# Creation: Apr 20, 2006 
# Last update: Apr 20, 2006 
#

DROP TABLE IF EXISTS `reseller_package_options`;
CREATE TABLE `reseller_package_options` (
  `option_id` int(11) NOT NULL auto_increment,
  `name` varchar(128) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `type` enum('bool','double','float','integer','string') NOT NULL default 'string',
  `unit` varchar(100) NOT NULL default '',
  `access` enum('user','system') NOT NULL default 'user',
  `changable` enum('true','false') NOT NULL default 'true',
  `regex` varchar(255) NOT NULL default '',
  `displaygroup` tinyint NOT NULL default '0',
  PRIMARY KEY  (`option_id`),
  UNIQUE KEY `name` (`name`)
);


#
# Dumping data for table `reseller_package_options`
#

INSERT INTO `reseller_package_options` VALUES (1, 'LG_RSL_OPT_OVERSELL_STORAGE', 'LG_RSL_OPT_OVERSELL_STORAGE_DESC', 'bool', 'Megabytes', 'system', 'true', '', '2');
INSERT INTO `reseller_package_options` VALUES (2, 'LG_RSL_OPT_OVERSELL_BANDWIDTH', 'LG_RSL_OPT_OVERSELL_BANDWIDTH_DESC', 'bool', 'Gigabytes / Month', 'system', 'true', '', '2');
INSERT INTO `reseller_package_options` VALUES (3, 'LG_RSL_OPT_EMAIL_BOXES', 'LG_RSL_OPT_EMAIL_BOXES_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `reseller_package_options` VALUES (4, 'LG_RSL_OPT_MYSQL_DBS', 'LG_RSL_OPT_MYSQL_DBS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `reseller_package_options` VALUES (5, 'LG_RSL_OPT_SUBDOMAINS', 'LG_RSL_OPT_SUBDOMAINS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `reseller_package_options` VALUES (6, 'LG_RSL_OPT_FTP_ACCOUNTS', 'LG_RSL_OPT_FTP_ACCOUNTS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `reseller_package_options` VALUES (8, 'LG_RSL_OPT_EMAIL_ALIASES', 'LG_RSL_OPT_EMAIL_ALIASES_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `reseller_package_options` VALUES (9, 'LG_RSL_OPT_EMAIL_GROUPS', 'LG_RSL_OPT_EMAIL_GROUPS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `reseller_package_options` VALUES (10, 'LG_RSL_OPT_BANDWIDTH', 'LG_RSL_OPT_BANDWIDTH_DESC', 'float', 'Gigabytes / Month', 'system', 'true', '/^0*([1-9][0-9]*|[0-9]*\\.0*[1-9][0-9]*|[1-9][0-9]*\\.[0-9]*)0*$/', '1');
INSERT INTO `reseller_package_options` VALUES (11, 'LG_RSL_OPT_STORAGE', 'LG_RSL_OPT_STORAGE_DESC', 'float', 'Megabytes', 'system', 'true', '/^0*([1-9][0-9]*|[0-9]*\\.0*[1-9][0-9]*|[1-9][0-9]*\\.[0-9]*)0*$/', '1');
INSERT INTO `reseller_package_options` VALUES (14, 'LG_RSL_OPT_MYSQL_DB_USERS', 'LG_RSL_OPT_MYSQL_DB_USERS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `reseller_package_options` VALUES (16, 'LG_RSL_OPT_EMAIL_AUTORESPONDERS', 'LG_RSL_OPT_EMAIL_AUTORESPONDERS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `reseller_package_options` VALUES (17, 'LG_RSL_OPT_POINTER_DOMAINS', 'LG_RSL_OPT_POINTER_DOMAINS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `reseller_package_options` VALUES (22, 'LG_RSL_OPT_SLAVE_DOMAINS', 'LG_RSL_OPT_SLAVE_DOMAINS_DESC', 'integer', '', 'system', 'true', '', '1');
INSERT INTO `reseller_package_options` VALUES (23, 'LG_RSL_OPT_SITEWORX_ACCOUNTS', 'LG_RSL_OPT_SITEWORX_ACCOUNTS_DESC', 'integer', ' ', 'system', 'true', '', '1');

#
# Table structure for table `package_storage`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Oct 01, 2003 at 02:50 AM
#

DROP TABLE IF EXISTS `package_storage`;
CREATE TABLE `package_storage` (
  `storage_id` int(11) NOT NULL auto_increment,
  `package_id` int(11) NOT NULL default '0',
  `domain_id` int(11) NOT NULL default '0',
  `type` varchar(15) NOT NULL default 'empty',
  `bytes` bigint(20) NOT NULL default '0',
  `last_update` bigint(20) NOT NULL,
  PRIMARY KEY  (`storage_id`)
) TYPE=MyISAM;

ALTER TABLE `package_storage` ADD INDEX (`package_id`);


#
# Table structure for table `packages`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 30, 2003 at 05:36 PM
#

DROP TABLE IF EXISTS `packages`;
CREATE TABLE `packages` (
  `package_id` int(11) NOT NULL auto_increment,
  `name` varchar(128) NOT NULL default '',
  `type` enum('live','template') NOT NULL default 'live',
  PRIMARY KEY  (`package_id`)
) TYPE=MyISAM;

#
# Table structure for table `reseller_packages`
#
# Creation: Apr 20, 2006 
# Last update: Apr 20, 2006 
#

DROP TABLE IF EXISTS `reseller_packages`;
CREATE TABLE `reseller_packages` (
  `package_id` int(11) NOT NULL auto_increment,
  `name` varchar(128) NOT NULL default '',
  `type` enum('live','template') NOT NULL default 'live',
  PRIMARY KEY  (`package_id`)
) TYPE=MyISAM;


#
# Table structure for table `registrars`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 24, 2003 at 09:03 PM
#

DROP TABLE IF EXISTS `registrars`;
CREATE TABLE `registrars` (
  `registrar_id` int(11) NOT NULL auto_increment,
  `reg_name` varchar(30) NOT NULL default '',
  `reg_url` varchar(138) NOT NULL default '',
  `other` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`registrar_id`),
  UNIQUE KEY `reg_name` (`reg_name`)
) TYPE=MyISAM;

#
# Dumping data for table `registrars`
#

# --------------------------------------------------------

#
# Table structure for table `sessions`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Oct 01, 2003 at 02:50 AM
#

DROP TABLE IF EXISTS `sessions`;
CREATE TABLE `sessions` (
  `sesskey` varchar(32) NOT NULL default '',
  `expiry` int(11) unsigned NOT NULL default '0',
  `value` text NOT NULL,
  PRIMARY KEY  (`sesskey`)
) TYPE=MyISAM;


#
# Table structure for table `siteworx`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 30, 2003 at 05:36 PM
#

DROP TABLE IF EXISTS `siteworx`;
CREATE TABLE `siteworx` (
  `siteworx_id` int(11) NOT NULL auto_increment,
  `billing_id` int(11) NOT NULL default '0',
  `uniqname` varchar(8) NOT NULL default '',
  `status` enum('inactive','active','pending','canceled','fraud') NOT NULL default 'pending',
  PRIMARY KEY  (`siteworx_id`),
  UNIQUE KEY `billing_id` (`billing_id`,`uniqname`)
) TYPE=MyISAM;

ALTER TABLE `siteworx` ADD `billing_day` INT NOT NULL default '1';


#
# Table structure for table `siteworx_package_map`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 30, 2003 at 05:36 PM
#

DROP TABLE IF EXISTS `siteworx_package_map`;
CREATE TABLE `siteworx_package_map` (
  `siteworx_id` int(11) NOT NULL default '0',
  `package_id` int(11) NOT NULL default '0',
  UNIQUE KEY `siteworx_package_id` (`siteworx_id`,`package_id`)
) TYPE=MyISAM;

ALTER TABLE `siteworx_package_map` ADD UNIQUE (`package_id`);


#
# Table structure for table `siteworx_permissions`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 24, 2003 at 09:03 PM
#

DROP TABLE IF EXISTS `siteworx_permissions`;
CREATE TABLE `siteworx_permissions` (
  `permission_id` int(11) NOT NULL auto_increment,
  `parent_id` int(11) NOT NULL default '0',
  `short_name` varchar(13) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`permission_id`),
  UNIQUE KEY `short_name` (`short_name`),
  KEY `parent_id` (`parent_id`)
) TYPE=MyISAM AUTO_INCREMENT=13;

#
# Dumping data for table `siteworx_permissions`
#
INSERT INTO `siteworx_permissions` VALUES (1, 0, 'MASTER', 'Master User - All Access');
INSERT INTO `siteworx_permissions` VALUES (2, 0, 'OVERVIEW', 'LG_OVERVIEW');
INSERT INTO `siteworx_permissions` VALUES (3, 0, 'LOGIN', 'LG_LOGIN');
INSERT INTO `siteworx_permissions` VALUES (4, 0, 'EMAIL', 'LG_EMAIL');
INSERT INTO `siteworx_permissions` VALUES (5, 0, 'STATS', 'LG_STATISTICS');
INSERT INTO `siteworx_permissions` VALUES (6, 0, 'FTP', 'LG_FTPACCOUNTS');
INSERT INTO `siteworx_permissions` VALUES (7, 0, 'LOGS', 'LG_RAWLOGS');
INSERT INTO `siteworx_permissions` VALUES (8, 0, 'MYSQL', 'LG_MYSQLDATABASES');
INSERT INTO `siteworx_permissions` VALUES (9, 0, 'BACKUP', 'LG_BACKUPRESTORE');
INSERT INTO `siteworx_permissions` VALUES (10, 0, 'SUBDOMAINS', 'LG_SUBDOMAINS');
INSERT INTO `siteworx_permissions` VALUES (11, 0, 'PREFERENCES', 'LG_PREFERENCES');
INSERT INTO `siteworx_permissions` VALUES (12, 0, 'USERS', 'LG_USERS');
INSERT INTO `siteworx_permissions` VALUES (13, 0, 'FILEMANAGER', 'LG_FILEMANAGER');
INSERT INTO `siteworx_permissions` VALUES (14, 0, 'POINTERDOMS', 'LG_POINTERDOMAINS');
INSERT INTO `siteworx_permissions` VALUES (15, 0, 'CRONTAB', 'LG_CRONTAB');
INSERT INTO `siteworx_permissions` VALUES (16, 0, 'SSL', 'LG_OPT_SSL');
INSERT INTO `siteworx_permissions` VALUES (18, 0, 'HTACCESS', 'LG_DIRECTORY_OPTIONS');
INSERT INTO `siteworx_permissions` VALUES (19, 0, 'SLAVEDOMS', 'LG_SLAVEDOMAINS');
# --------------------------------------------------------

#
# Table structure for table `siteworx_users`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 30, 2003 at 05:36 PM
#

DROP TABLE IF EXISTS `siteworx_users`;
CREATE TABLE `siteworx_users` (
  `user_id` int(11) NOT NULL auto_increment,
  `nickname` varchar(128) NOT NULL default '',
  `email` varchar(128) NOT NULL default '',
  `password` varchar(40) NOT NULL default '',
  `clear_password` varchar(40) NOT NULL default '',
  `type` enum('master','slave') NOT NULL default 'slave',
  `status` enum('active','inactive') NOT NULL default 'active',
  `language` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`user_id`)
) TYPE=MyISAM;

ALTER TABLE `siteworx_users` ADD `theme` VARCHAR( 128 ) NOT NULL ;
ALTER TABLE `siteworx_users` ADD `package_id` INT( 11 ) NOT NULL ;
ALTER TABLE `siteworx_users` ADD INDEX `package_type_index` ( `package_id` , `type` );

#
# Table structure for table `sw_package_user_permission_map`
#
# Creation: Sep 24, 2003 at 09:03 PM
# Last update: Sep 30, 2003 at 05:36 PM
#

DROP TABLE IF EXISTS `sw_package_user_permission_map`;
CREATE TABLE `sw_package_user_permission_map` (
  `user_id` int(11) NOT NULL default '0',
  `permission_id` int(11) NOT NULL default '0',
  `package_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`user_id`,`permission_id`,`package_id`),
  KEY `permission_id` (`permission_id`)
) TYPE=MyISAM;

#
# Table structure for table `nodeworx_updates`
#
# Creation: Oct 20, 2003 at 10:18 AM
# Last update: Oct 20, 2003 at 10:19 AM
#

DROP TABLE IF EXISTS `nodeworx_updates`;
CREATE TABLE `nodeworx_updates` (
  `update_id` int(11) NOT NULL auto_increment,
  `batch_id` int(11) NOT NULL default '0',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `name` varchar(128) NOT NULL default '',
  `version` varchar(64) NOT NULL default '',
  `arch` varchar(16) NOT NULL default '',
  `type` enum('os','iworx') NOT NULL default 'os',
  `status` enum('applied','pending','ignore') NOT NULL default 'pending',
  PRIMARY KEY  (`update_id`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `cluster_nodes`;
CREATE TABLE `cluster_nodes` (
  `node_id` int(11) unsigned zerofill NOT NULL auto_increment,
  `hostname` varchar(128) NOT NULL default '',
  `ipaddr` varchar(15) NOT NULL default '',
  `apikey` text NOT NULL,
  `status` enum('active','inactive') NOT NULL default 'inactive',
  PRIMARY KEY  (`node_id`),
  UNIQUE KEY `hostname` (`hostname`),
  UNIQUE KEY `ipaddr` (`ipaddr`)
) TYPE=MyISAM ;

CREATE TABLE `dns_sync_hosts` (
  `host_id` int(11) unsigned zerofill NOT NULL auto_increment,
  `hostname` varchar(128) NOT NULL default '',
  `ipaddr` varchar(15) NOT NULL default '',
  `role` enum('master','slave') NOT NULL default 'slave',
  `apikey` text NOT NULL,
  `status` enum('active','inactive') NOT NULL default 'inactive',
  `last_sync` bigint(20) NOT NULL default '0',
  `last_error` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`host_id`),
  UNIQUE KEY `hostname` (`hostname`,`role`),
  UNIQUE KEY `ipaddr` (`ipaddr`,`role`)
) TYPE=MyISAM ;

CREATE TABLE `siteworx_favorites` (
 `domain` varchar(128) NOT NULL default '',
 `nodeworx_user_id` int(11) NOT NULL default '0',
 PRIMARY KEY  (`domain`,`nodeworx_user_id`)
) TYPE=MyISAM COMMENT='Stores "favorite" information for siteworx account list';

CREATE TABLE IF NOT EXISTS `plugin_datastore` (
  `plugin` varchar(25) NOT NULL default '',
  `name` varchar(100) NOT NULL default '',
  `value` text NOT NULL,
  PRIMARY KEY  (`plugin`,`name`)
) TYPE=MyISAM;
