<!--
  NodeWorx Template
-->

<!--
  This template is used to display your server overview,
  including your info, the server info, and a quick look at
  the server statistics.
-->

<!--
  PLEASE read the skinning  manual before editing this
  template.  The skinning manual can be found at:
  http://interworx.info/products/iworx-cp/themes/howto/
-->

<!--
  Smarty variables available to the template designer:

  Just edit the iworx.ini file to see a popup window of
  what smarty variables are available to you.  You should
  base all of your templates on the iw_ prefix'd variables
  as any others *may* change
-->

{include file="content-frame-top.tpl"
         header="##LG_MAIL_SERVER_MANAGEMENT## :: ##LG_VIRUS_FILTER_SETTINGS##"}

{iw_add_js file="/static/$iw_lang/$iw_rpm_release/nodeworx/js/iw_service.js"}

  {* for tabindex *}
  {counter start=1 print=false}

  {if $iw_virus.running eq 0 && $iw_virus.enabled eq 1}
    {iw_message text='##LG_CLAM_NOT_RUNNING_BUT_ENABLED##' mode='negative'}
  {/if}


  <table class="columns">
    <tr>
      <td class="columns" style="width: 50%;">

        <h1>##LG_VIRUS_FILTER_CONTROL##</h1>

        <table class="iw-table" width="100%">
          <tr class="{cycle}">
            <td class="iw-col1">
              ##LG_VIRUS_FILTER_STATUS##:
            </td>
            <td>
              {iw_service_status_verbose driver="ClamAV"}
            </td>
          </tr>
          <tr class="{cycle}">
            <td class="iw-col1">
              ##LG_ACTION##:
	      {iw_quickhelp id="LG_QH_CLAMAV_ACTION"}
            </td>
            <td>
              {iw_service_control driver="ClamAV"}
            </td>
          </tr>
        </table>
        {iw_form form=$iw_form.clam_sob}
        {iw_form form=$iw_form.clam_autorestart}

        <h1>##LG_CLAMAV_INFO##</h1>

        <table class="iw-table" width="100%">
          <tr class="{cycle}">
            <td class="iw-col1">
              ##LG_VERSION##:
	      {iw_quickhelp id="LG_QH_CLAMAV_VERSION"}
            </td>
            <td>
              {$iw_virus.version}
            </td>
          </tr>

          {if 0}
          <tr class="{cycle}">
            <td>
              ##LG_VIRUS_RRD_GRAPHS##:
            </td>
            <td>
              <form method="post"
                    action="{$iw_self}"
                    name="virusinfo">
                <input type="hidden" name="action" value="update">
                <select name="input[rrd]"
                        class="select"
                        tabindex="{counter}">
                  <option value="1"
                          {if $iw_virus.rrd}
                            selected
                          {/if}>##LG_ON##</option>
                  <option value="0"
                          {if !$iw_virus.rrd}
                            selected
                          {/if}>##LG_OFF##</option>
                </select>
              {if $iw_virus.rrd}
                (##LG_AS_SEEN_ABOVE##)
              {/if}
              </form>
            </td>
          </tr>
          {/if}
        </table>

        {iw_form form=$iw_form.options}
      </td>

      <td class="columns">

        <h1>##LG_VIRUS_UPDATER_CONTROL##</h1>

        <table class="iw-table"
               width="100%">
          <tr class="{cycle}">
            <td class="iw-col1">
              ##LG_VIRUS_UPDATER_STATUS##:
            </td>
            <td>
              {iw_service_status_verbose driver="Service_FreshClam"}
            </td>
          </tr>
          <tr class="{cycle}">
            <td class="iw-col1">
              ##LG_ACTION##:
              {iw_quickhelp id="LG_QH_FRESHCLAM_ACTION"}
            </td>
            <td>
              {iw_service_control driver="Service_FreshClam"}
            </td>
          </tr>
        </table>
        {iw_form form=$iw_form.fresh_sob}

        <h1>##LG_VIRUS_DEFINITION_INFO##
        {iw_quickhelp id="LG_QH_VIRUS_DEFINITION_INFO"}
	</h1>

        <table class="iw-table" width="100%">
          <tr class="iw-table-hd">
            <td>
              ##LG_FILE##
            </td>
            <td width="50%">
              ##LG_DATE##
            </td>
            <td width="5%">
              ##LG_NUMBER_OF_SIGNATURES##
            </td>
          </tr>

          {foreach item=file from=$iw_virus.freshclam.defs}
            <tr class="{cycle} ruler">
              <td>
                {$file.filename}
              </td>
              <td>
                {$file.build_time}
              </td>
              <td class="center">
                {$file.signatures}
              </td>
            </tr>
          {/foreach}
        </table>
      </td>
    </tr>
  </table>

{include file="content-frame-bottom.tpl"}
